# WidgetManager plugin for Movable Type
# Author: Byrne Reese, Six Apart (http://www.sixapart.com)
# Released under the Artistic License
#
package WidgetManager::L10N::de;

use strict;
use base 'WidgetManager::L10N::en_us';
use vars qw( %Lexicon );

## The following is the translation table.

%Lexicon = (
    'Technorati Search' => 'Technorati-Suche',
    'Calendar' => 'Kalendar',
    'Category list (nested)' => 'Kategorieliste (geschachtelt)',
    'Creative Commons' => 'Creative Commons',
    'Monthly archive list' => 'Monatsarchive',
    'Recent posts' => 'Aktuelle Einträge',
    'Search form' => 'Suche',
    'Subscribe to feed' => 'Feed abonnieren',
    'Recent comments' => 'Aktuelle Kommentare',
    'Tag cloud (sidebar)' => 'Tag Cloud (Seitenleiste)',
    'Monthly archive dropdown' => 'Monatsarchive (Dropdown)',
    'Maintain your weblog\'s widget content using a handy drag and drop interface.' => 'Verwalten Sie Ihre Widgets ganz einfach per Drag-and-Drop',
    'Widget Manager' => 'Widget Manager', # Translate - Previous (2)
    'Your changes to the Widget Manager have been saved.' => 'Änderungen übernommen',
    'You have successfully deleted the selected Widget Manager(s) from your weblog.' => 'Widgetgruppe erfolgreich gelöscht.',
    'To add a Widget Manager to your templates, use the following syntax:' => 'Um eine Widgetgruppe in ein Template einzufügen, verwenden Sie folgende Syntax:',
    'Widget Managers' => 'Widgetgruppen',
    'Add Widget Manager' => 'Widgetgruppe hinzufügen',
    'Create Widget Manager' => 'Widgetgruppe anlegen',
    'Delete Selected' => 'Ausgewählte Elemente löschen',
    'Are you sure you wish to delete the selected Widget Manager(s)?' => 'Diese Widgetgruppe(n) wirklich löschen?',
    'WidgetManager Name' => 'Name der Widgetgruppe',
    'Installed Widgets' => 'Installierte Widgets',
    'Movable Type Publishing Platform' => 'Movable Type Publishing Platform', # Translate - Previous (4)
    'Weblogs' => 'Weblogs', # Translate - Previous (1)
    'Go' => 'Ausführen',
    'You already have a widget manager named [_1]. Please use a unique name for this widget manager.' => 'Es existiert bereits eine Widgetgruppe namens [_1]. Bitte wählen Sie einen anderen Namen.',
    'Rearrange Items' => 'Elemente anordnen',
    'Widget Manager Name:' => 'Name der Widgetgruppe:',
    'Build WidgetManager:' => 'Widgetgruppe anlegen:',
    'Available Widgets' => 'Verfügbare Widgets',
    'Save Changes' => 'Änderungen speichern',
    'Save changes (s)' => 'Änderungen speichern',
    'Technorati' => 'Technorati', # Translate - Previous (1)
    'this blog' => 'in diesem Blog',
    'all blogs' => 'in allen Blogs',
    'Blogs that link here' => 'Blogs, die Links auf diese Seite enthalte',
    'Recent Comments' => 'Neueste Kommentare',
    'Select a Month...' => 'Monat auswählen...',
    'Monthly calendar with links to each day\'s posts' => 'Monatskalender mit Links zu allen Einträgen',
    'Sunday' => 'Sonntag',
    'Sun' => 'So',
    'Monday' => 'Montag',
    'Mon' => 'Mo',
    'Tuesday' => 'Dienstag',
    'Tue' => 'Di',
    'Wednesday' => 'Mittwoch',
    'Wed' => 'Mi',
    'Thursday' => 'Donnerstag',
    'Thu' => 'Do',
    'Friday' => 'Freitag',
    'Fri' => 'Fr',
    'Saturday' => 'Samstag',
    'Sat' => 'Sa',
    'Tag cloud' => 'Tag Cloud',
    'Can\'t find included template module \'[_1]\'' => 'Kann verwendetes Template-Modul \'[_1]\' nicht finden',
    'Loading template \'[_1]\' failed: [_2]' => 'Laden des Templates \'[_1]\' fehlgeschlagen: [_2]',
    'Permission denied.' => 'Keine Berechtigung.',
    'Can\'t duplicate the existing \'[_1]\' Widget Manager. Please go back and enter a unique name.' => 'Die Widgetgruppe \'[_1]\' kann nicht dupliziert werden. Bitte wählen Sie einen bisher noch nicht verwendeten Namen.',
    'Moving [_1] to list of installed modules' => '[_1] auf die Liste der installierten Module verschoben',
    'Error opening file \'[_1]\': [_2]' => 'Fehler beim Öffnen der Datei \'[_1]\': [_2]',
    'First Widget Manager' => 'Erste Widgetgruppe',

);
1;

