# WidgetManager plugin for Movable Type
# Author: Byrne Reese, Six Apart (http://www.sixapart.com)
# Released under the Artistic License
#
package WidgetManager::L10N::nl;

use strict;
use base 'WidgetManager::L10N::en_us';
use vars qw( %Lexicon );

## The following is the translation table.

%Lexicon = (
    'Technorati Search' => 'Technorati zoekformulier',
    'Calendar' => 'Kalender',
    'Category list (nested)' => 'Categorielijst (genest)',
    'Creative Commons' => 'Creative Commons',
    'Monthly archive list' => 'Lijst maandelijkse archieven',
    'Recent posts' => 'Recente berichten',
    'Search form' => 'Zoekformulier',
    'Subscribe to feed' => 'Inschrijven op feed',
    'Recent comments' => 'Laatste reacties',
    'Tag cloud (sidebar)' => 'Tag-wolk (zijkolom)',
    'Monthly archive dropdown' => 'Uitklapmenu maandelijkse archieven',
    'Maintain your weblog\'s widget content using a handy drag and drop interface.' => 'Beheer de widgets op uw weblog met een handige klik-en-sleep interface.',
    'Widget Manager' => 'Widget Manager', # Translate - Previous (2)
    'Your changes to the Widget Manager have been saved.' => 'Uw wijzigingen aan de Widget Manager zijn opgeslagen.',
    'You have successfully deleted the selected Widget Manager(s) from your weblog.' => 'De geselecteerde Widget Manager(s) is met succes verwijderd van uw weblog.',
    'To add a Widget Manager to your templates, use the following syntax:' => 'Om een Widget Manager aan uw sjablonen toe te voegen, moet u volgende syntax gebruiken:',
    'Widget Managers' => 'Widget Managers', # Translate - Previous (2)
    'Add Widget Manager' => 'Voeg Widget Manager toe',
    'Create Widget Manager' => 'Widget Manager aanmaken',
    'Delete Selected' => 'Geselecteerde items verwijderen',
    'Are you sure you wish to delete the selected Widget Manager(s)?' => 'Bent u zeker dat u de geselecteerde Widget Manager(s) wenst te verwijderen?',
    'WidgetManager Name' => 'Naam Widget Manager',
    'Installed Widgets' => 'Geïnstalleerde widgets',
    'Movable Type Publishing Platform' => 'Movable Type publicatieplatform',
    'Weblogs' => 'Weblogs', # Translate - Previous (1)
    'Go' => 'Ga',
    'You already have a widget manager named [_1]. Please use a unique name for this widget manager.' => 'U heeft al een widget manager met de naam [_1]. Gelieve een unieke naam te gebruiken voor deze widget manager.',
    'Rearrange Items' => 'Items herschikken',
    'Widget Manager Name:' => 'Widget Manager naam:',
    'Build WidgetManager:' => 'Bouw WidgetManager:',
    'Available Widgets' => 'Beschikbare widgets',
    'Save Changes' => 'Wijzigingen opslaan',
    'Save changes (s)' => 'Wijziging(en) opslaan',
    'Technorati' => 'Technorati', # Translate - Previous (1)
    'this blog' => 'deze weblog',
    'all blogs' => 'alle blogs',
    'Blogs that link here' => 'Blogs die hierheen linken',
    'Recent Comments' => 'Recente reacties',
    'Select a Month...' => 'Selecteer een maand...',
    'Monthly calendar with links to each day\'s posts' => 'Maandkalender met links naar de berichten van elke dag',
    'Sunday' => 'Zondag',
    'Sun' => 'Zon',
    'Monday' => 'Maandag',
    'Mon' => 'Maa',
    'Tuesday' => 'Dinsdag',
    'Tue' => 'Din',
    'Wednesday' => 'Woensdag',
    'Wed' => 'Woe',
    'Thursday' => 'Donderdag',
    'Thu' => 'Don',
    'Friday' => 'Vrijdag',
    'Fri' => 'Vri',
    'Saturday' => 'Zaterdag',
    'Sat' => 'Zat',
    'Tag cloud' => 'Tagwolk',
    'Can\'t find included template module \'[_1]\'' => 'Kan de geïncludeerde sjabloonmodule \'[_1]\' niet vinden',
    'Loading template \'[_1]\' failed: [_2]' => 'Sjabloon \'[_1]\' laden mislukt: [_2]',
    'Permission denied.' => 'Toestemming geweigerd.',
    'Can\'t duplicate the existing \'[_1]\' Widget Manager. Please go back and enter a unique name.' => 'Kan de bestaande \'[_1]\' WidgetManager niet dupliceren. Gelieve terug te gaan en een unieke naam in te geven.',
    'Moving [_1] to list of installed modules' => '[_1] wordt verplaatst naar de lijst van geïnstalleerde modules',
    'Error opening file \'[_1]\': [_2]' => 'Fout bij openen bestand \'[_1]\': [_2]',
    'First Widget Manager' => 'Eerste Widget Manager',
);
1;

