package MT::L10N::fr;
# Copyright 2001-2006 Six Apart. This code cannot be redistributed without
# permission from www.sixapart.com.  For more information, consult your
# Movable Type license.
#
# $Id: fr.pm 33347 2006-07-07 23:48:38Z mschenk $

use strict;
use MT::L10N::en_us;
use vars qw( @ISA %Lexicon );
@ISA = qw( MT::L10N::en_us );

sub encoding { 'utf-8' } 

## The following is the translation table.

%Lexicon = (

    ## ./mt-check.cgi.pre
    'Movable Type System Check' => 'Vrification Systme Movable Type',
    'This page provides you with information on your system\'s configuration and determines whether you have all of the components you need to run Movable Type.' => 'Cette page vous fournit des informations sur la configuration de votre systme et vrifie que vous avez install tous les composants ncessaires  l\'utilisation de Movable Type.',
    'System Information' => 'Informations systme',
    'Current working directory:' => 'Rpertoire actuellement en activit:',
    'MT home directory:' => 'MT Rpertoire racine :',
    'Operating system:' => 'Systme  d\'exploitation :',
    'Perl version:' => 'Version Perl :',
    'Perl include path:' => 'Chemin Perl inclus :',
    'Web server:' => 'Serveur Web :',
    '(Probably) Running under cgiwrap or suexec' => 'Tche (probablement) lance sous cgiwrap ou suexec',
    'Checking for [_1] Modules:' => 'Vrification des Modules [_1] :',
    'Some of the following modules are required by the various data storage options in Movable Type. In order run the system, your server needs to have either DB_File, or else DBI and at least one of the other modules installed.' => 'Certains des modules suivants sont ncessaires pour les options stockage de donnes de Movable Type. Pour faire tourner le systme votre serveur doit tre quip de DB_File, ou bien de DBI et au moins l\'un des autres modules installs.',
    'Either your server does not have [_1] installed, the version that is installed is too old, or [_1] requires another module that is not installed.' => 'Soit [_1] n\'est pas install sur votre serveur, soit la version installe est trop ancienne, ou [_1] ncessite un autre module qui n\'est pas install.',
    'Your server does not have [_1] installed, or [_1] requires another module that is not installed.' => '[_1] n\'est pas install sur votre serveur, ou [_1] ncessite un autre module qui n\'est pas install.',
    'Please consult the installation instructions for help in installing [_1].' => 'Merci de consulter les instructions d\'installation de [_1].',
    'The DBD::mysql version you have installed is known to be incompatible with Movable Type. Please install the current release available from CPAN.' => 'La version DBD::mysql qui est installe n\'est pas compatible avec Movable Type. Merci d\'installer la version actuelle disponible sur CPAN.',
    'The $mod is installed properly, but requires an updated DBI module. Please see note above regarding the DBI module requirements.' => 'Le $mod est install correctement, mais ncessite une mise  jour du module DBI. Merci de consulter les information ci-dessus concernant les modules DBI.',
    'Your server has [_1] installed (version [_2]).' => '[_1] (version [_2]) est install sur votre serveur.',
    'Movable Type System Check Successful' => 'Vrification Systme Movable Type effectue avec succs',
    'You\'re ready to go!' => 'Vous pouvez commencer !',
    'Your server has all of the required modules installed; you do not need to perform any additional module installations. Continue with the installation instructions.' => 'Tous les modules requis sont installs sur votre serveur; vous n\'avez pas besoin d\'installer de modules additionnels. Continuez l\'installation.',

    ## ./extras/examples/plugins/mirror/mirror.pl

    ## ./extras/examples/plugins/mirror/tmpl/mirror.tmpl

    ## ./extras/examples/plugins/l10nsample/l10nsample.pl
    'l10nsample' => 'l10nsample', # Translate - Previous (2)
    'This description can be localized if there is l10n_class set.' => 'Cette description peut tre localise si un l10n_class est mis en place.',
    'Fumiaki Yoshimatsu' => 'Fumiaki Yoshimatsu', # Translate - Previous (2)

    ## ./extras/examples/plugins/l10nsample/tmpl/view.tmpl
    'This phrase is processed in template.' => 'Cette phrase est mise en place dans le template.',

    ## ./default_templates/individual_entry_archive.tmpl
    'Main' => 'Accueil',
    'Tags' => 'Tags', # Translate - Previous (1)
    'Posted by [_1] on [_2]' => 'Post par [_1] dans [_2]',
    'Permalink' => 'Lien permanent',
    'TrackBack' => 'TrackBack', # Translate - Previous (1)
    'TrackBack URL for this entry:' => 'URL de TrackBack de cette note:',
    'Listed below are links to weblogs that reference' => 'Ci-dessous la liste des liens des weblogs qui rfrencent',
    'from' => 'de',
    'Read More' => 'Lire la suite',
    'Tracked on' => 'Trackback le',
    'Comments' => 'Commentaires',
    'Posted by' => 'Publi par',
    'Anonymous' => 'Anonyme',
    'Posted on' => 'Publi le',
    'Permalink to this comment' => 'Permalien de ce commentaire',
    'Post a comment' => 'Poster un commentaire',
    '(If you haven\'t left a comment here before, you may need to be approved by the site owner before your comment will appear. Until then, it won\'t appear on the entry. Thanks for waiting.)' => '(Si vous n\'avez pas encore crit de commentaire ici, vous devez tre approuv par le propritaire du site avant que votre commentaire n\'apparaisse. En attendant, il n\'apparatra pas sur le site. Merci de patienter).',
    'Name' => 'Nom',
    'Email Address' => 'Adresse e-mail',
    'URL' => 'URL', # Translate - Previous (1)
    'Remember personal info?' => 'Mmoriser mes infos personnelles ?',
    '(you may use HTML tags for style)' => '(vous pouvez utiliser des tags HTML pour modifier le style)',
    'Preview' => 'Aperu',
    'Post' => 'Publier',
    'Search' => 'Rechercher',
    'Search this blog:' => 'Chercher dans ce blog :',
    'About' => 'A propos',
    'The previous post in this blog was <a href=' => 'La prcdente note de ce blog tait <a href=',
    'The next post in this blog is <a href=' => 'La note suivante de ce blog est <a href=',
    'Many more can be found on the <a href=' => 'En dcouvrir plus sur <a href=',
    'Subscribe to this blog\'s feed' => 'S\'abonner au flux de ce blog',
    'http://www.sixapart.com/about/feeds' => 'http://www.sixapart.com/about/feeds', # Translate - Previous (6)
    'What is this?' => 'De quoi s\'agit-il ?',
    'This weblog is licensed under a' => 'Ce weblog est sujet  une licence',
    'Creative Commons License' => 'Licence Creative Commons',

    ## ./default_templates/stylesheet.tmpl

    ## ./default_templates/uploaded_image_popup_template.tmpl

    ## ./default_templates/comment_error_template.tmpl
    'Comment Submission Error' => 'Erreur d\'envoi de commentaire',
    'Your comment submission failed for the following reasons:' => 'Votre envoi de commentaire a chou pour la raison suivante :',
    'Return to the original entry' => 'Retourner  la note originale',

    ## ./default_templates/rsd.tmpl

    ## ./default_templates/dynamic_site_bootstrapper.tmpl

    ## ./default_templates/main_index.tmpl
    'Continue reading' => 'Lire la suite',
    'TrackBacks' => 'TrackBacks', # Translate - Previous (1)
    'Recent Posts' => 'Notes rcentes',
    'Categories' => 'Catgories',
    'Archives' => 'Archives', # Translate - Previous (1)

    ## ./default_templates/comment_preview_template.tmpl
    'Comment on' => 'Commentaire sur',
    'Previewing your Comment' => 'Aperu',
    'Cancel' => 'Annuler',

    ## ./default_templates/site_javascript.tmpl
    'Thanks for signing in,' => 'Merci de vous tre enregistr,',
    '. Now you can comment. ' => '. Maintenant vous pouvez commenter. ',
    'sign out' => 'dconnexion',
    'You are not signed in. You need to be registered to comment on this site.' => 'Vous n\'tes pas enregistr.  Vous devez tre enregistr pour pouvoir commenter sur ce site.',
    'Sign in' => 'Inscription',
    'If you have a TypeKey identity, you can' => 'Si vous avez un identifiant TypeKey, vous pouvez',
    'sign in' => 'inscription',
    'to use it here.' => 'pour l\'utiliser ici.',

    ## ./default_templates/dynamic_pages_error_template.tmpl
    'Page Not Found' => 'Page Non Trouve',

    ## ./default_templates/trackback_listing_template.tmpl
    ': Discussion on [_1]' => ' : Discussion  propos de [_1]',
    'Trackbacks: [_1]' => 'TrackBacks : [_1]',
    'Tracked on [_1]' => 'Track sur [_1]',

    ## ./default_templates/search_results_template.tmpl
    'SEARCH FEED AUTODISCOVERY LINK PUBLISHED ONLY WHEN A SEARCH HAS BEEN EXECUTED' => 'LE LIEN DU FLUX DE LA RECHERCHE AUTOMATISE EST PUBLI UNIQUEMENT APRES L\'EXCUTION DE LA RECHERCHE.',
    'Search Results' => 'Rsultats de recherche',
    'STRAIGHT SEARCHES GET THE SEARCH QUERY FORM' => 'LES RECHERCHES SIMPLES ONT LE FORMULAIRE DE RECHERCHES',
    'Search this site' => 'Rechercher sur ce site',
    'Match case' => 'Respecter la casse',
    'Regex search' => 'Expression gnrique',
    'SEARCH RESULTS DISPLAY' => 'AFFICHAGE DES RESULTATS DE LA RECHERCHE',
    'Matching entries from [_1]' => 'Notes correspondant  [_1]',
    'Entries from [_1] tagged with \'[_2]\'' => 'Notes  partir de [_1] tagues avec \'[_2]\'',
    'Posted <MTIfNonEmpty tag=' => 'Publi <MTIfNonEmpty tag=',
    'NO RESULTS FOUND MESSAGE' => 'MESSAGE AUCUN RSULTAT',
    'Entries matching \'[_1]\'' => 'Notes correspondant  \'[_1]\'',
    'Entries tagged with \'[_1]\'' => 'Notes tagues avec \'[_1]\'',
    'No pages were found containing \'[_1]\'.' => 'Aucune page trouve contenant \'[_1]\'.',
    'Instructions' => 'Instructions', # Translate - Previous (1)
    'By default, this search engine looks for all words in any order. To search for an exact phrase, enclose the phrase in quotes' => 'Par dfaut, ce moteur de recherche analyse l\'ensemble des mots sans se procupper de leur ordre. Pour lancer une recherche sur une phrase exacte, insrez-la entre guillemets.',
    'movable type' => 'movable type', # Translate - Previous (2)
    'The search engine also supports AND, OR, and NOT keywords to specify boolean expressions' => 'Le moteur de recherche admet aussi AND, OR et NOT mais pas des mots clefs pour spcifier des expressions particulires',
    'personal OR publishing' => 'personnel OR publication',
    'publishing NOT personal' => 'publication NOT personnel',
    'END OF ALPHA SEARCH RESULTS DIV' => 'FIN DE LA RECHERCHE ALPHA RESULTATS DIV',
    'BEGINNING OF BETA SIDEBAR FOR DISPLAY OF SEARCH INFORMATION' => 'DEBUT DE LA COLONNE BETA POUR AFFICHAGE DES INFOS DE RECHERCHE',
    'SET VARIABLES FOR SEARCH vs TAG information' => 'DEFINIT LES VARIABLES DE RECHERCHE vs informations TAGS',
    'Subscribe to feed' => 'S\'abonner au flux',
    'If you use an RSS reader, you can subscribe to a feed of all future entries tagged \'[_1]\'.' => 'Si vous utilisez un lecteur de flux RSS, vous pouvez souscrire au flux de toutes notes futures dont le tag sera \'[_1]\'.',
    'If you use an RSS reader, you can subscribe to a feed of all future entries matching \'[_1]\'.' => 'Si vous utilisez un lecteur de flux RSS, vous pouvez souscrire au flux des futures notes contenant le mot \'[_1]\'.',
    'SEARCH/TAG FEED SUBSCRIPTION INFORMATION' => 'RECHERCHE/INFORMATION D\'ABONNEMENT AU FLUX',
    'Feed Subscription' => 'Abonnement au flux',
    'TAG LISTING FOR TAG SEARCH ONLY' => 'LISTE DES TAGS UNIQUEMENT POUR LA RECHERCHE DE TAG',
    'Other Tags' => 'Autres Tags',
    'Other tags used on this blog' => 'Autres tags utiliss sur ce blog',
    'END OF PAGE BODY' => 'FIN DU CORPS DE LA PAGE',
    'END OF CONTAINER' => 'FIN DU CONTENU',

    ## ./default_templates/datebased_archive.tmpl
    'About [_1]' => 'A propos de [_1]',
    '<a href=' => '<a href=', # Translate - Previous (3)

    ## ./default_templates/category_archive.tmpl
    'Posted on [_1]' => 'Publi le [_1]',

    ## ./default_templates/comment_pending_template.tmpl
    'Comment Pending' => 'Commentaires en attente',
    'Thank you for commenting.' => 'Merci de votre commentaire.',
    'Your comment has been received and held for approval by the blog owner.' => 'Votre commentaire a t reu et est en attente de validation par le propritaire de ce blog.',

    ## ./default_templates/rss_20_index.tmpl

    ## ./default_templates/master_archive_index.tmpl
    ': Archives' => ' : Archives',

    ## ./default_templates/atom_index.tmpl

    ## ./search_templates/comments.tmpl
    'Search for new comments from:' => 'Recherche de nouveaux commentaires depuis :',
    'the beginning' => 'le dbut',
    'one week back' => 'une semaine',
    'two weeks back' => 'deux semaines',
    'one month back' => 'un mois',
    'two months back' => 'deux mois',
    'three months back' => 'trois mois',
    'four months back' => 'quatre mois',
    'five months back' => 'cinq mois',
    'six months back' => 'six mois',
    'one year back' => 'un an',
    'Find new comments' => 'Trouver les nouveaux commentaires',
    'Posted in [_1] on [_2]' => 'Publi dans [_1] le [_2]',
    'No results found' => 'Aucun rsultat n\'a t trouv',
    'No new comments were found in the specified interval.' => 'Aucun nouveau commentaire n\'a t trouv dans la priode spcifie.',
    'Select the time interval that you\'d like to search in, then click \'Find new comments\'' => 'Slectionner l\'intervalle de temps dsir pour la recherche, puis cliquez sur \'Trouver les nouveaux commentaires\'',

    ## ./search_templates/results_feed.tmpl
    'Search Results for [_1]' => 'Rsultats de la recherche sur [_1]',

    ## ./search_templates/results_feed_rss2.tmpl

    ## ./search_templates/default.tmpl
    'Blog Search Results' => 'Rsultats de la recherche',
    'Blog search' => 'Recherche de Blog',

    ## ./plugins/nofollow/nofollow.pl
    'Adds a \'nofollow\' relationship to comment and TrackBack hyperlinks to reduce spam.' => 'Ajoutez un \'nofollow\' aux commentaires et aux trackbacks pour rduire le Spam.',
    'Restrict:' => 'Restreindre :',
    'Don\'t add nofollow to links in comments by authenticated commenters' => 'Ne pas ajouter No follow sur les liens des commentaires de auteurs de commentaires authentifis',

    ## ./plugins/TemplateRefresh/TemplateRefresh.pl
    'Backup and refresh existing templates to Movable Type\'s default templates.' => 'Sauvegarder et rafrachir les habillages existants dans les habillages par dfaut de Movable Type.',

    ## ./plugins/TemplateRefresh/tmpl/results.tmpl
    'Backup and Refresh Templates' => 'Sauvegarder et rafrachir les habillages',
    'No templates were selected to process.' => 'Aucun habillage slectionn pour cette action.',
    'Return' => 'Retour',

    ## ./plugins/feeds-app-lite/mt-feeds.pl
    'Feeds.App Lite helps you republish feeds on your blogs. Want to do more with feeds in Movable Type?' => 'Feeds.App Lite vous permet de republier des flux sur vos blogs. Vous voulez en faire plus avec les flux de Movable Type ?',
    'Upgrade to Feeds.App' => 'Mettez les  jour avec Feeds.App',

    ## ./plugins/feeds-app-lite/tmpl/select.tmpl
    'Feeds.App Lite Widget Creator' => 'Crateur de widget Feeds.App',
    'Multiple feeds were discovered. Select the feed you wish to use. Feeds.App lite supports text-only RSS 1.0, 2.0 and Atom feeds.' => 'Plusieurs flux ont t dtects. Merci de slectionner le flux que vous souhaitez utiliser. Feed.App Lite ne spporte que les flux en texte RSS 1.0, 2.0 et les flux Atom.',
    'Type' => 'Type', # Translate - Previous (1)
    'URI' => 'URI', # Translate - Previous (1)
    'Continue' => 'Continuer',

    ## ./plugins/feeds-app-lite/tmpl/msg.tmpl
    'No feeds could be discovered using [_1].' => 'Aucun flux n\'a t dcouvert avec [_1].',
    'An error occurred processing [_1]. Check <a href=' => 'Une erreur est survenue [_1]. Vrifiez <a href=',
    'It can be included onto your published blog using <a href=' => 'Il peut tre intgr sur votre blog en utilisant <a href=',
    'It can be included onto your published blog using this MTInclude tag' => 'Cela peut tre intgr  votre blog en utilisant le tag MTInclude',
    'Go Back' => 'Retour',
    'Create Another' => 'En crer un autre',

    ## ./plugins/feeds-app-lite/tmpl/header.tmpl
    'Main Menu' => 'Menu principal',
    'System Overview' => 'Aperu gnral du systme',
    'Help' => 'Aide',
    'Welcome' => 'Bienvenue',
    'Logout' => 'Dconnexion',
    'Entries' => 'Notes',
    'Search (q)' => 'Recherche (q)',

    ## ./plugins/feeds-app-lite/tmpl/start.tmpl
    'Feeds.App Lite creates modules that include feed data. Once you\'ve used it to create those modules, you can then use them in your blog templates.' => 'Feeds.App Lite cre des modules incluant les donnes des flux.  Une fois que vous l\'avez utilis pour crer ces modules, vous pouvez les utiliser dans les templates de vos blogs.',
    'You must enter an address to proceed' => 'Vous devez saisir une adresse',
    'Enter the URL of a feed, or the URL of a site that has a feed.' => 'Saisissez l\'adresse d\'un flux ou l\'adresse d\'un site possdant un flux.',

    ## ./plugins/feeds-app-lite/tmpl/footer.tmpl

    ## ./plugins/feeds-app-lite/tmpl/config.tmpl
    'Feed Configuration' => 'Configuration du flux',
    'Feed URL' => 'URL du flux',
    'Title' => 'Titre',
    'Enter a title for your widget.  This will also be displayed as the title of the feed when used on your published blog.' => 'Entrez un titre pour votre widget. Cela sera aussi utilis comme titre pour le flux qui sera utilis sur votre blog.',
    'Display' => 'Afficher',
    '3' => '3', # Translate - Previous (1)
    '5' => '5', # Translate - Previous (1)
    '10' => '10', # Translate - Previous (1)
    'All' => 'Tout',
    'Select the maximum number of entries to display.' => 'Slectionnez le nom maximum de notes que vous voulez afficher.',
    'Save' => 'Enregistrer',

    ## ./plugins/spamlookup/spamlookup_words.pl
    'SpamLookup module for moderating and junking feedback using keyword filters.' => 'Module SpamLookup pour modrer et nettoyer les retours lecteurs en utilisant des filtres de mots clefs.',

    ## ./plugins/spamlookup/spamlookup_urls.pl
    'SpamLookup - Link' => 'SpamLookup - Lien',
    'SpamLookup module for junking and moderating feedback based on link filters.' => ' Module SpamLookup pour modrer et nettoyer les retours lecteurs en utilisant des filtres de liens.',

    ## ./plugins/spamlookup/spamlookup.pl
    'SpamLookup module for using blacklist lookup services to filter feedback.' => 'Module SpamLookup pour utiliser les services blacklist visant  filtrer les retours lecteurs.',

    ## ./plugins/spamlookup/tmpl/url_config.tmpl
    'Link filters monitor the number of hyperlinks in incoming feedback. Feedback with many links can be held for moderation or scored as junk. Conversely, feedback that does not contain links or only refers to previously published URLs can be positively rated. (Only enable this option if you are sure your site is already spam-free.)' => 'Les Filtres de Liens contrlent le nombre d\'hyperliens dans les commentaires ou les TrackBacks. S\'ils contiennent beaucoup de liens, ils peuvent tre considrs comme indsirables.  Dans le cas contraire, les retours avec peu de liens ou des liens dj publis seront accepts. N\'activez cette fonction que si vous tes certain que votre site est dnu de tout Spam.',
    'Link Limits:' => 'Limites de lien :',
    'Credit feedback rating when no hyperlinks are present' => 'Accorder un crdit aux retours dpourvus de liens',
    'Adjust scoring' => 'Ajuster la notation',
    'Score weight:' => 'Poids du score :',
    'Decrease' => 'Baisser',
    'Increase' => 'Augmenter',
    'Moderate when more than' => 'Modrer si plus de',
    'link(s) are given' => 'lien(s) sont donns',
    'Junk when more than' => 'Rejeter si plus de',
    'Link Memory:' => 'Mmoire de Lien :',
    'Credit feedback rating when &quot;URL&quot; element of feedback has been published before' => 'Accorder un crdit  un retour quand &quot;URL&quot; l\'lment du retour a t publi auparavant',
    'Only applied when no other links are present in message of feedback.' => 'Appliqu uniquement si aucun autre lien n\'est prsent dans le message de retour.',
    'Exclude URLs from comments published within last [_1] days.' => 'Exclure les URLS des commentaires publis lors des [_1] derniers jours.',
    'Email Memory:' => 'Mmoire Email :',
    'Credit feedback rating when previously published comments are found matching on the &quot;Email&quot; address' => 'Accorder un crdit au retour quand des commentaires pralablement publis contiennent aussi &quot;Email&quot;',
    'Exclude Email addresses from comments published within last [_1] days.' => 'Exclure les adresses emails des commentaires publis dans les  [_1] derniers jours.',

    ## ./plugins/spamlookup/tmpl/lookup_config.tmpl
    'Lookups monitor the source IP addresses and hyperlinks of all incoming feedback. If a comment or TrackBack comes from a blacklisted IP address or contains a blacklisted domain, it can be held for moderation or scored as junk and placed into the blog\'s Junk folder. Additionally, advanced lookups on TrackBack source data can be performed.' => 'Les Lookups contrlent les sources des adresses IP et les liens hypertextes de tous les retours lecteurs. Si un commentaire ou un TrackBack provient d\'une adresse IP blacklist, ou contient un lien ou un domaine blacklist, il pourra tre automatiquement plac dans le dossier des lements indsirables.',
    'IP Address Lookups:' => 'Lookups Adresses IP :',
    'Off' => 'Dsactiv',
    'Moderate feedback from blacklisted IP addresses' => 'Modrer les retours des adresses IP blacklistes',
    'Junk feedback from blacklisted IP addresses' => 'Rejeter les retours des adresses IP blacklistes',
    'Less' => 'Moins',
    'More' => 'Plus',
    'block' => 'bloquer',
    'none' => 'aucun',
    'IP Blacklist Services:' => 'Services de Blackliste d\'IP :',
    'Domain Name Lookups:' => 'Lookups Noms de Domaines :',
    'Moderate feedback containing blacklisted domains' => 'Modrer les retours lecteur contenant des domaines blacklists',
    'Junk feedback containing blacklisted domains' => 'Rejeter les retours contenant des domaines blacklists',
    'Domain Blacklist Services:' => ' Services de Blackliste des Domaines :',
    'Advanced TrackBack Lookups:' => 'Lookups Avanc des Trackbacks :',
    'Moderate TrackBacks from suspicious sources' => 'Modrer les TrackBacks provenant de sources douteuses',
    'Junk TrackBacks from suspicious sources' => 'Rejeter les TrackBacks provenant de sources douteuses',
    'To prevent lookups for some IP addresses or domains, list them below. Place each entry on a line by itself.' => 'Pour ne pas appliquer le LookUps sur certaines IP ou Domaines, les lister ci-dessous. Merci de saisir un lment par ligne.',
    'Lookup Whitelist:' => 'Lookup Whiteliste :',

    ## ./plugins/spamlookup/tmpl/word_config.tmpl
    'Incomming feedback can be monitored for specific keywords, domain names, and patterns. Matches can be held for moderation or scored as junk. Additionally, junk scores for these matches can be customized.' => 'Les retours des lecteurs peuvent tre contrls sur un mot clef spcifique, un nom de domaine, et du contenu. La combinaison de critres permet de dtecter les indsirables. Vous pouvez paramtrer vos pondrations pour dfinir un indsirable.',
    'Keywords to Moderate:' => 'Mots clefs  modrer :',
    'Keywords to Junk:' => 'Mots clefs  rejeter :',

    ## ./plugins/GoogleSearch/GoogleSearch.pl

    ## ./plugins/GoogleSearch/tmpl/config.tmpl
    'Google API Key:' => 'Cl d\'API Google :',
    'If you wish to use any of the Google API functionality, you will need a Google API key. Paste it in here.' => 'Vous devrez vous procurer une cl d\'API Google si vous souhaitez utiliser une des fonctionnalits de l\'API propose par Google. Le cas chant, collez cette cl dans cet espace.',

    ## ./plugins/StyleCatcher/stylecatcher.pl
    '<p style=' => '<p style=', # Translate - Previous (3)
    'Theme Root URL:' => 'URL Racine du Thme :',
    'Theme Root Path:' => 'Chemin Racine du Thme :',
    'Style Library URL:' => 'URL de la bibliothque de styles :',

    ## ./plugins/StyleCatcher/tmpl/gmscript.tmpl

    ## ./plugins/StyleCatcher/tmpl/header.tmpl
    'View Site' => 'Voir le site',

    ## ./plugins/StyleCatcher/tmpl/view.tmpl
    'Please select a weblog to apply this theme.' => 'Merci de slectionner un weblog auquel appliquer ce thme.',
    'Please click on a theme before attempting to apply a new design to your blog.' => 'Merci de cliquer  sur un thme avant d\'essayer d\'appliquer un nouveau design  votre weblog.',
    'Applying...' => 'Appliquer...',
    'Choose this Design' => 'Choisir ce design',
    'Find Style' => 'Trouver un style',
    'Loading...' => 'Chargement...',
    'StyleCatcher user script.' => 'Script utilisateur StyleCatcher.',
    'Theme or Repository URL:' => 'URL du Thme ou du Rpertoire:',
    'Find Styles' => 'Trouver un Style',
    'NOTE:' => 'NOTE :',
    'It will take a moment for themes to populate once you click \'Find Style\'.' => 'La mise  jour des themes prendra quelques temps  partir du moment o vous cliquerez sur  \'trouver un style\'.',
    'Current theme for your weblog' => 'Thme actuel de votre weblog',
    'Current Theme' => 'Thme Actuel',
    'Current themes for your weblogs' => 'Thmes actuels de vos weblogs',
    'Current Themes' => 'Thmes actuels',
    'Locally saved themes' => 'Thmes enregistrs localement',
    'Saved Themes' => 'Thmes enregistrs',
    'Single themes from the web' => 'Thmes uniques venant du web',
    'More Themes' => 'Plus de thmes',
    'Templates' => 'Modles',
    'Details' => 'Dtails',
    'Show Details' => 'Afficher les Dtails',
    'Hide Details' => 'Masquer les Dtails',
    'Select a Weblog...' => 'Slectionner un weblog...',
    'Apply Selected Design' => 'Appliquer le Design slectionn',
    'You don\'t appear to have any weblogs with a \'styles-site.css\' template that you have rights to edit. Please check your weblog(s) for this template.' => 'Il semble que sur aucun de vos blogs vous ne bnficiez des droits d\'dition sur le modle \'styles-site.css\'. Merci de vrifier la prsence de ce modle sur vos weblog(s).',

    ## ./plugins/StyleCatcher/tmpl/footer.tmpl

    ## ./plugins/WidgetManager/WidgetManager.pl
    'Maintain your weblog\'s widget content using a handy drag and drop interface.' => 'Administrez les widgets de votre weblog en utilisant une interface glisser/dplacer.',

    ## ./plugins/WidgetManager/tmpl/list.tmpl
    'Widget Manager' => 'Gestionnaire de Widget',
    'Your changes to the Widget Manager have been saved.' => 'Vos changements dans votre Gestionnaire de Widgets sont enregistrs.',
    'You have successfully deleted the selected Widget Manager(s) from your weblog.' => 'Vous avez correctement supprim de votre weblog le(s) Gestionnaire(s) de Widgets slectionn(s).',
    'To add a Widget Manager to your templates, use the following syntax:' => 'Pour ajouter un Gestionnaire de Widget  vos modles, utilisez la syntaxe suivante:',
    'Widget Managers' => 'Gestionnaires de Widget',
    'Add Widget Manager' => 'Ajouter un Gestionnaire de Widgets',
    'Create Widget Manager' => 'Crer un Gestionnaire de Widgets',
    'Delete Selected' => 'Effacer les lments slectionns',
    'Are you sure you wish to delete the selected Widget Manager(s)?' => 'tes-vous sur de vouloir supprimer le(s) Gestionnaire(s) de Widgets selectionn(s) ?',
    'WidgetManager Name' => 'Nom du Gestionnaire de Widget',
    'Installed Widgets' => 'Widgets installs',

    ## ./plugins/WidgetManager/tmpl/header.tmpl
    'Movable Type Publishing Platform' => 'Plateforme de publication Movable Type',
    'Weblogs' => 'Weblogs', # Translate - Previous (1)
    'Go' => 'OK',

    ## ./plugins/WidgetManager/tmpl/edit.tmpl
    'You already have a widget manager named [_1]. Please use a unique name for this widget manager.' => 'Vous avez dj un gestionnaire de Widgets nomm [_1]. Merci d\'utiliser un nom unique pour ce gestionnaire de Widgets.',
    'Rearrange Items' => 'Rorganiser les lments',
    'Widget Manager Name:' => 'Nom du Gestionnaire de Widgets :',
    'Build WidgetManager:' => 'Construire le Gestionnaire de Widgets :',
    'Available Widgets' => 'Widgets disponibles',
    'Save Changes' => 'Enregistrer les modifications',
    'Save changes (s)' => 'Enregistrer les modifications',

    ## ./plugins/WidgetManager/tmpl/footer.tmpl

    ## ./plugins/WidgetManager/default_widgets/search.tmpl

    ## ./plugins/WidgetManager/default_widgets/recent_posts.tmpl

    ## ./plugins/WidgetManager/default_widgets/technorati_search.tmpl
    'Technorati' => 'Technorati', # Translate - Previous (1)
    'this blog' => 'ce blog',
    'all blogs' => 'tous les blogs',
    'Blogs that link here' => 'Blogs pointant ici',

    ## ./plugins/WidgetManager/default_widgets/copyright.tmpl

    ## ./plugins/WidgetManager/default_widgets/creative_commons.tmpl

    ## ./plugins/WidgetManager/default_widgets/recent_comments.tmpl
    'Recent Comments' => 'Commentaires rcents',

    ## ./plugins/WidgetManager/default_widgets/subscribe_to_feed.tmpl

    ## ./plugins/WidgetManager/default_widgets/monthly_archive_dropdown.tmpl
    'Select a Month...' => 'Slectionnez un Mois...',

    ## ./plugins/WidgetManager/default_widgets/monthly_archive_list.tmpl

    ## ./plugins/WidgetManager/default_widgets/category_archive_list.tmpl

    ## ./plugins/WidgetManager/default_widgets/calendar.tmpl
    'Monthly calendar with links to each day\'s posts' => 'Calendrier mensuel avec des liens vers les notes quotidiennes',
    'Sunday' => 'Dimanche',
    'Sun' => 'Dim',
    'Monday' => 'Lundi',
    'Mon' => 'Lun',
    'Tuesday' => 'Mar',
    'Tue' => 'Mar',
    'Wednesday' => 'Mercredi',
    'Wed' => 'Mer',
    'Thursday' => 'Jeudi',
    'Thu' => 'Jeu',
    'Friday' => 'Vendredi',
    'Fri' => 'Ven',
    'Saturday' => 'Samedi',
    'Sat' => 'Sam',

    ## ./plugins/WidgetManager/default_widgets/tag_cloud_module.tmpl
    'Tag cloud' => 'Nuage de Tag',

    ## ./lib/MT/default-templates.pl

    ## ./build/template_hash_signatures.pl

    ## ./build/exportmt.pl

    ## ./build/l10n/diff.pl

    ## ./build/l10n/wrap.pl

    ## ./build/l10n/trans.pl

    ## ./tmpl/error.tmpl
    'Missing Configuration File' => 'Fichier de configuration manquant',
    'Database Connection Error' => 'Erreur de connexion  la base de donnes',
    'CGI Path Configuration Required' => 'Configuration de chemin CGI requise',
    'An error occurred' => 'Une erreur s\'est produite',

    ## ./tmpl/cms/edit_entry.tmpl
    'You have unsaved changes to your entry that will be lost.' => 'Votre Note contient des changements non enregistrs qui seront perdus.',
    'Add new category...' => 'Ajouter une catgorie...',
    'Publish On' => 'Publi sur',
    'Entry Date' => 'Date de la note',
    'You must specify at least one recipient.' => 'Vos devez dfinir au moins un destinataire.',
    'Create New Entry' => 'Crer  une nouvelle note',
    'Edit Entry' => 'Modifier une note',
    'Your entry has been saved. You can now make any changes to the entry itself, edit the authored-on date, or edit comments.' => 'Votre note a t enregistre. Vous pouvez maintenant faire les changements de votre choix dans la note, changer la date de publication, ou en modifier les commentaires.',
    'Your changes have been saved.' => 'Les modifications ont t enregistres.',
    'One or more errors occurred when sending update pings or TrackBacks.' => 'Erreur lors de l\'envoi des pings ou des TrackBacks.',
    'Your customization preferences have been saved, and are visible in the form below.' => 'Vos prfrences ont t enregistres et sont affiches dans le formulaire ci-dessous.',
    'Your changes to the comment have been saved.' => 'Les modifications apportes aux commentaires ont t enregistres.',
    'Your notification has been sent.' => 'Votre notification a t envoy.',
    'You have successfully deleted the checked comment(s).' => 'Les commentaires slectionns ont t supprims.',
    'You have successfully deleted the checked TrackBack(s).' => 'Le(s) TrackBack(s) slectionn(s) ont t correctement supprim(s).',
    'Previous' => 'Prcdent',
    'List &amp; Edit Entries' => 'Lister &amp; Editer les  Notes',
    'Next' => 'Suivant',
    '_external_link_target' => '_haut',
    'View Entry' => 'Afficher la note',
    'Entry' => 'Note',
    'Comments ([_1])' => 'Commentaires ([_1])',
    'TrackBacks ([_1])' => 'TrackBacks ([_1])', # Translate - Previous (2)
    'Notification' => 'Notification', # Translate - Previous (1)
    'Status' => 'Statut',
    'Unpublished' => 'Non publi',
    'Published' => 'Publi',
    'Scheduled' => 'Programm',
    'Category' => 'Catgorie',
    'Assign Multiple Categories' => 'Affecter plusieurs catgories',
    'Entry Body' => 'Corps de la note',
    'Bold' => 'Gras',
    'Italic' => 'Italique',
    'Underline' => 'Soulign',
    'Insert Link' => 'Insrer un lien',
    'Insert Email Link' => 'Insrer le lien vers l\'e-mail',
    'Quote' => 'Citation',
    'Bigger' => 'Plus grand',
    'Smaller' => 'Plus petit',
    'Extended Entry' => 'Suite de la note',
    'Excerpt' => 'Extrait',
    'Keywords' => 'Mots-cls',
    '(comma-delimited list)' => '(liste dlimite par virgule)',
    '(space-delimited list)' => '(liste dlimite par espace)',
    '(delimited by \'[_1]\')' => '(delimit par \'[_1]\')',
    'Text Formatting' => 'Mise en forme du texte',
    'Basename' => 'Nom de base',
    'Unlock this entry\'s output filename for editing' => 'Dvrouiller le nom du fichier de  cette note pour l\'diter',
    'Warning' => 'Attention',
    'Warning: If you set the basename manually, it may conflict with another entry.' => 'ATTENTION : Editer le nom de base manuellement peut crer des conflits avec d\'autres notes.',
    'Warning: Changing this entry\'s basename may break inbound links.' => 'ATTENTION : Changer le nom de base de cette note peut casser des liens entrants.',
    'Accept Comments' => 'Accepter commentaires',
    'Accept TrackBacks' => 'Accepter TrackBacks',
    'Outbound TrackBack URLs' => 'URLs TrackBacks sortants',
    'View Previously Sent TrackBacks' => 'Afficher les TrackBacks envoys prcdemment',
    'Customize the display of this page.' => 'Personnaliser l\'affichage de cette page.',
    'Manage Comments' => 'Grer les commentaires',
    'Click on a [_1] to edit it. To perform any other action, check the checkbox of one or more [_2] and click the appropriate button or select a choice of actions from the dropdown to the right.' => 'Cliquez sur un(e) [_1] pour l\'diter. Pour ffectuer une autre action, cochez les cases pour un(e) ou plusieur(e)s [_2] et cliquez sur le bouton appropri ou slectionez une action dans la liste droulante de droite.',
    'No comments exist for this entry.' => 'Pas de commentaire sur cette note.',
    'Manage TrackBacks' => 'Grer les TrackBacks',
    'No TrackBacks exist for this entry.' => 'Aucun TrackBack n\'est associ  cette note.',
    'Send a Notification' => 'Envoyer un avis',
    'You can send an email notification of this entry to people on your notification list or using arbitrary email addresses.' => 'Vous pouvez envoyer une notification par email sur cette note  des personnes inscrites sur votre liste de notification ou bien utiliser les adresses emails de votre choix.',
    'Recipients' => 'Destinataires',
    'Send notification to' => 'Envoyer une notification ',
    'Notification list subscribers, and/or' => 'Abonns  la liste de notication, et/ou',
    'Other email addresses' => 'Autres adresses email',
    'Note: Enter email addresses on separate lines or separated by commas.' => 'Note: Entrez des adresses emails sur des lignes spares ou spares par des virgules.',
    'Notification content' => 'Contenu de la notification',
    'Your blog\'s name, this entry\'s title and a link to view it will be sent in the notification.  Additionally, you can add a  message, include an excerpt of the entry and/or send the entire entry.' => 'Le nom de votre blog, le titre de la note et un lien vers son contenu seront envoys dans la notification. Vous pouvez en plus ajouter un message incluant un extrait de la note et/ou la note entire',
    'Message to recipients (optional)' => 'Message aux destinataires (en option)',
    'Additional content to include (optional)' => 'Contenu additionnel  inclure (en option)',
    'Entry excerpt' => 'Extrait de la note',
    'Entire entry body' => 'Corps de la Note complet',
    'Note: If you choose to send the entire entry, it will be sent as shown on the editing screen, without any text formatting applied.' => 'Note : Si vous choisissez d\'envoyer la note en entier, elle sera envoye comme vous la voyez dans votre interface d\'dition, sans mise en page particulire.',
    'Send entry notification' => 'Envoyer une notification de note',
    'Send notification (n)' => 'Envoyer une notification (n)',
    'Plugin Actions' => 'Actions du plugin',

    ## ./tmpl/cms/entry_prefs.tmpl
    'Entry Editor Display Options' => 'Options d\'affichage de l\'diteur de Notes',
    'Your entry screen preferences have been saved.' => 'Vos prfrences d\'dition ont t enregistres.',
    'Editor Fields' => 'Champs d\'dition',
    'Basic' => 'Basique',
    'Custom' => 'Personnalis',
    'Editable Authored On Date' => 'Date de cration modifiable',
    'Action Bar' => 'Barre d\'action',
    'Select the location of the entry editor\'s action bar.' => 'Choisissez l\'emplacement de la barre d\'action d\'dition de Notes.',
    'Below' => 'Sous',
    'Above' => 'Dessus',
    'Both' => 'Les deux',

    ## ./tmpl/cms/preview_entry.tmpl
    'Re-Edit this entry' => 'Modifier cette note',
    'Save this entry' => 'Enregistrer cette note',

    ## ./tmpl/cms/menu.tmpl
    'Welcome to [_1].' => 'Bienvenue sur [_1].',
    'You can post to and manage your weblog by selecting an option from the menu located to the left of this message.' => 'Vous pouvez publier sur votre weblog ou bien le grer en slectionnant une option du menu situ  gauche de ce message.',
    'If you need assistance, try:' => 'Si vous avez besoin d\'aide, vous pouvez consulter :',
    'Movable Type User Manual' => 'Mode d\'emploi de Movable Type',
    'http://www.sixapart.com/movabletype/support' => 'http://www.sixapart.com/movabletype/support', # Translate - Previous (6)
    'Movable Type Technical Support' => 'Support Technique Movable Type',
    'Movable Type Community Forums' => 'Forums de la communaut Movable Type ',
    'Change this message.' => 'Changer ce message.',
    'Edit this message.' => 'Modifier ce message.',
    'Here is an overview of [_1].' => 'Voici un aperu de [_1].',
    'List Entries' => 'Afficher les notes',
    'Recent Entries' => 'Notes rcentes',
    'List Comments' => 'Afficher les commentaires',
    'Pending' => 'En attente',
    'List TrackBacks' => 'Lister les TrackBacks',
    'Recent TrackBacks' => 'TrackBacks rcents',

    ## ./tmpl/cms/list_commenters.tmpl
    'Authenticated Commenters' => 'Auteurs de commentaires authentifis',
    'The selected commenter(s) has been given trusted status.' => 'Le statut fiable a t accord au(x) auteur(s) de commentaires slectionn(s).',
    'Trusted status has been removed from the selected commenter(s).' => 'Le(s) auteur(s) de commentaires slectionn(s) ne bnficie plus du statut fiable.',
    'The selected commenter(s) have been blocked from commenting.' => 'Le(s) auteurs(s) de commentaires slectionn(s) ne sont plus autoriss  commenter.',
    'The selected commenter(s) have been unbanned.' => 'Le(s) auteurs(s) de commentaires slectionn(s) n\'est plus banni.',
    'Reset' => 'Mettre  jour',
    'Filter' => 'Filtre',
    'None.' => 'Aucun',
    '(Showing all commenters.)' => '(Afficher tous les auteurs de commentaires).',
    'Showing only commenters whose [_1] is [_2].' => 'Ne montrer que les auteurs de commentaires dont [_1] est [_2].',
    'Commenter Feed' => 'Flux auteur de commentaire',
    'Show' => 'Afficher',
    'all' => 'tous/toutes',
    'only' => 'uniquement',
    'commenters.' => 'les auteurs de commentaires.',
    'commenters where' => 'les auteurs de commentaires dont',
    'status' => 'le statut',
    'commenter' => 'l\'auteur de commentaires',
    'is' => 'est',
    'trusted' => 'fiable',
    'untrusted' => 'non fiable',
    'banned' => 'banni',
    'unauthenticated' => 'non authentifi',
    'authenticated' => 'authentifi',
    '.' => '.', # Translate - Previous (0)
    'No commenters could be found.' => 'Aucun auteur de commentaires trouv.',

    ## ./tmpl/cms/list_comment.tmpl
    'System-wide' => 'Dans tout le systme',
    'The selected comment(s) has been published.' => 'Le(s) commentaire(s) slectionn(s) ont t publi(s) correctement.',
    'All junked comments have been removed.' => 'Tous les commentaires indsirables on t supprims.',
    'The selected comment(s) has been unpublished.' => 'Le (s) commentaire(s) slectionn(s) n\'ont pas t publi(s).',
    'The selected comment(s) has been junked.' => 'Le(s) commentaire(s) slectionn(s) sont marqu(s) indsirable(s).',
    'The selected comment(s) has been unjunked.' => 'Le(s) commentaire(s) slectionn(s) ne sont plus marqu(s) indsirable(s).',
    'The selected comment(s) has been deleted from the database.' => 'Les commentaires slectionns ont t supprims de la base de donnes.',
    'One or more comments you selected were submitted by an unauthenticated commenter. These commenters cannot be Banned or Trusted.' => 'Un ou plusieurs commentaires slectionns ont t crits par un auteur de commentaires non authentifi. Ces auteurs de commentaires ne peuvent pas tre bannis ou valids.',
    'No comments appeared to be junk.' => 'Aucun commentaire marqu indsirable.',
    'Junk Comments' => 'Commentaires indsirables',
    'Comment Feed' => 'Flux des commentaires',
    'Comment Feed (Disabled)' => 'Flux des commentaires (inactif)',
    'Disabled' => 'Dsactiv',
    'Set Web Services Password' => 'Dfinir un mot de passe pour les services Web',
    'Quickfilter:' => 'Filtre Rapide :',
    'Show unpublished comments.' => 'Afficher les commentaires non publis.',
    '(Showing all comments.)' => '(Affichage tous les commentaires).',
    'Showing only comments where [_1] is [_2].' => 'Affichage de tous les commentaires o [_1] est [_2].',
    'comments.' => 'les commentaires.',
    'comments where' => 'commentaires dont',
    'published' => 'publi',
    'unpublished' => 'non publi',
    'No comments could be found.' => 'Aucun commentaire n\'a t trouv.',
    'No junk comments could be found.' => 'Aucun commentaire indsirable n\'a t trouv.',

    ## ./tmpl/cms/show_upload_html.tmpl
    'Copy and paste this HTML into your entry.' => 'Copiez/collez ce code HTML dans votre note.',
    'Close' => 'Fermer',
    'Upload Another' => 'Tlcharger un autre fichier',

    ## ./tmpl/cms/list_plugin.tmpl
    'Are you sure you want to reset the settings for this plugin?' => 'Etes-vous sur de vouloir rinitialiser les paramtres pour ce plugin ?',
    'Disable plugin system?' => 'Dsactiver le systme de plugin ?',
    'Disable this plugin?' => 'Dsactiver ce plugin ?',
    'Enable plugin system?' => 'Activer le systme de plugin ?',
    'Enable this plugin?' => 'Activer ce plugin ?',
    'Plugin Settings' => 'Paramtres des plugins',
    'This screen allows you to control the weblog-level settings of any configurable plugins you\'ve installed.' => 'Cet cran vous permet de contrler le niveau du weblog en matire de plugin installs.',
    'Your plugin settings have been saved.' => 'Les paramtres de votre plugin ont t enregistrs.',
    'Your plugin settings have been reset.' => 'Les paramtres de votre plugin on t rinitialiss.',
    'Your plugins have been reconfigured.' => 'Votre plugin a t reconfigur.',
    'Your plugins have been reconfigured. Since you\'re running mod_perl, you will need to restart your web server for these changes to take effect.' => 'Vos plugins ont t reconfigurs. Si vous tes sous mod_perl vous devez redmarrer votre serveur web pour la prise en compte de ces changements.',
    'Settings' => 'Paramtres',
    'Plugins' => 'Plugins', # Translate - Previous (1)
    'Switch to Detailed Settings' => 'Afficher les paramtres avancs',
    'General' => 'Gnral',
    'New Entry Defaults' => 'Nouvelle note par dfaut',
    'Feedback' => 'Feedback', # Translate - Previous (1)
    'Publishing' => 'Publication',
    'IP Banning' => 'Bannissement d\'adresses IP',
    'Switch to Basic Settings' => 'Afficher les paramtres de base',
    'Registered Plugins' => 'Plugins enregistrs',
    'Disable Plugins' => 'Dsactiver les plugins',
    'Enable Plugins' => 'Activer les plugins',
    'Error' => 'Erreur',
    'Failed to Load' => 'Erreur de chargement',
    'Disable' => 'Dsactiver',
    'Enabled' => 'Activ',
    'Enable' => 'Activer',
    'Documentation for [_1]' => 'Documentation pour [_1]',
    'Documentation' => 'Documentation', # Translate - Previous (1)
    'Author of [_1]' => 'Auteur de [_1]',
    'Author' => 'Auteur',
    'More about [_1]' => 'En savoir plus sur [_1]',
    'Support' => 'Support', # Translate - Previous (1)
    'Plugin Home' => 'Accueil Plugin',
    'Resources' => 'Ressources',
    'Show Resources' => 'Afficher les ressources',
    'Run' => 'Lancer',
    'Run [_1]' => 'Lancer [_1]',
    'Show Settings' => 'Afficher les paramtrages',
    'Settings for [_1]' => 'Paramtres pour [_1]',
    'Version' => 'Version', # Translate - Previous (1)
    'Resources Provided by [_1]' => 'Ressources fournies par [_1]',
    'Tag Attributes' => 'Attributs de tag',
    'Text Filters' => 'Filtres de texte',
    'Junk Filters' => 'Filtres d\'indsirables',
    '[_1] Settings' => '[_1] Paramtres',
    'Reset to Defaults' => 'Rnitialiser pour remettre les paramtres par dfaut',
    'Plugin error:' => 'Erreur plugin :',
    'No plugins with weblog-level configuration settings are installed.' => 'Aucun plugin avec une configuration au niveau du weblog n\'est install.',

    ## ./tmpl/cms/import.tmpl
    'Import / Export' => 'Importer / Exporter',
    'Transfer weblog entries into Movable Type from other Movable Type installations or even other blogging tools or export your entries to create a backup or copy.' => 'Transfrer les notes Movable Type vers une autre installation Movable Type ou  partir d\'un autre outil de blogging pour faire une sauvegarde ou une copie.',
    'Import Entries' => 'Importer des notes',
    'Export Entries' => 'Exporter des notes',
    'Authorship of imported entries:' => 'Auteur des notes importes :',
    'Import as me' => 'Importer en me considrant comme auteur',
    'Preserve original author' => 'Conserver l\'auteur original',
    'If you choose to preserve the authorship of the imported entries and any of those authors must be created in this installation, you must define a default password for those new accounts.' => 'Si vous choisissez de garder l\'auteur original de chaque note importe, ils doivent tre crs dans votre installation et vous devez dfinir un mot de passe par dfaut pour ces nouveaux comptes.',
    'Default password for new authors:' => 'Mot de passe par dfaut pour les nouveaux auteurs :',
    'Upload import file: (optional)' => 'Charger les fichiers imports : (optionnel)',
    'You will be assigned the author of all imported entries.  If you wish the original authors to keep ownership, you must contact your MT system administrator to perform the import so that new authors can be created if necessary.' => 'Vous serez considr comme l\'auteur de toutes les notes importes. Si vous souhaitez conserver l\'attribution  l\'auteur original de ces notes, vous devez contacter votre administrateur systme Movable Type pour effectuer l\'importation.',
    'Import File Encoding (optional):' => 'Importer l\'encodage de fichier (optionnel) :',
    'By default, Movable Type will attempt to automatically detect the character encoding of your import file.  However, if you experience difficulties, you can set it explicitly.' => 'Par dfaut, Movable Type va essayer de dtecter automatiquement l\'encodage des caractres de vos fichiers imports.  Cependant, si vous rencontrez des difficults, vous pouvez le paramtrer de manire explicite',
    'Default category for entries (optional):' => 'Catgorie par dfaut des notes (facultatif) :',
    'Select a category' => 'Slectionnez une catgorie',
    'You can specify a default category for imported entries which have none assigned.' => 'Vous pouvez spcifier une catgorie par dfaut pour les notes importes qui n\'ont pas t assignes.',
    'Importing from another system?' => 'Importer  partir d\'un autre systme ?',
    'Start title HTML (optional):' => 'Code HTML prcdant le titre (facultatif) :',
    'End title HTML (optional):' => 'Code HTML suivant le titre (facultatif) :',
    'If the software you are importing from does not have title field, you can use this setting to identify a title inside the body of the entry.' => 'Si le logiciel  partir duquel vous importez n\'a pas de champ Titre, vous pouvez utiliser ce paramtre pour identifier un titre dans le corps de votre note.',
    'Default post status for entries (optional):' => 'Etat de publication par dfaut des notes (facultatif) :',
    'Select a post status' => 'tat de publication ?',
    'If the software you are importing from does not specify a post status in its export file, you can set this as the status to use when importing entries.' => 'Si le logiciel  partir duquel vous importez ne spcifie pas le statut de la note dans ses fichiers export, vous pouvez paramtrer ce statut pour l\'utiliser dans les notes importes.',
    'Import Entries (i)' => 'Importer les notes (i)',
    'Export Entries From [_1]' => 'Exporter les notes de [_1]',
    'Export Entries (e)' => 'Exporter les notes (e)',
    'Export Entries to Tangent' => 'Exporter les notes vers Tangent',

    ## ./tmpl/cms/commenter_actions.tmpl
    'Trust' => 'Fiable',
    'commenters' => 'auteurs de commentaire',
    'to act upon' => 'pour agir sur',
    'Trust commenter' => 'Auteur de commentaires Fiable',
    'Untrust' => 'Non Fiable',
    'Untrust commenter' => 'Auteur de commentaires Non Fiable',
    'Ban' => 'Bannir',
    'Ban commenter' => 'Auteur de commentaires Banni',
    'Unban' => 'Non banni',
    'Unban commenter' => 'Auteur de commentaires ractiv',
    'Trust selected commenters' => 'Attribuer le statut Fiable au(x) auteur(s) de commentaires slectionn(s)',
    'Ban selected commenters' => 'Bannir le(s) auteur(s) de commentaires slectionn(s)',

    ## ./tmpl/cms/cfg_prefs.tmpl
    'You must set your Weblog Name.' => 'Vous devez dfinir le nom de votre weblog.',
    'You did not select a timezone.' => 'Vous n\'avez pas slectionn de fuseau horaire.',
    'General Settings' => 'Paramtres gnraux',
    'This screen allows you to control general weblog settings, default weblog display settings, and third-party service settings.' => 'Cet cran vous permet de contrler les paramtres gnraux du weblog, les paramtres par dfaut d\'affichage et les services de tiers.',
    'Your blog preferences have been saved.' => 'Les prfrences de votre weblog ont t enregistres.',
    'Weblog Settings' => 'Paramtres du weblog',
    'Weblog Name' => 'Nom du Weblog',
    'Name your weblog. The weblog name can be changed at any time.' => 'Indiquez le nom de votre weblog. Ce nom peut tre modifi par la suite, si vous le souhaitez.',
    'Description' => 'Description', # Translate - Previous (1)
    'Enter a description for your weblog.' => 'Entrer une description pour votre weblog.',
    'Timezone:' => 'Fuseau horaire :',
    'Time zone not selected' => 'Vous n\'avez pas slectionn de fuseau horaire',
    'UTC+13 (New Zealand Daylight Savings Time)' => 'UTC+13 (Nouvelle-Zlande)',
    'UTC+12 (International Date Line East)' => 'UTC+12 (ligne internationale de changement de date)',
    'UTC+11' => 'UTC+11', # Translate - Previous (2)
    'UTC+10 (East Australian Time)' => 'UTC+10 (Australie Est)',
    'UTC+9.5 (Central Australian Time)' => 'UTC+9,5 (Australie Centre)',
    'UTC+9 (Japan Time)' => 'UTC+9 (Japon)',
    'UTC+8 (China Coast Time)' => 'UTC+8 (Chine littorale)',
    'UTC+7 (West Australian Time)' => 'UTC+7 (Australie Ouest)',
    'UTC+6.5 (North Sumatra)' => 'UTC+6,5 (Sumatra Nord)',
    'UTC+6 (Russian Federation Zone 5)' => 'UTC+6 (Fdration russe, zone 5)',
    'UTC+5.5 (Indian)' => 'UTC+5.5 (Inde)',
    'UTC+5 (Russian Federation Zone 4)' => 'UTC+5 (Fdration russe, zone 4)',
    'UTC+4 (Russian Federation Zone 3)' => 'UTC+4 (Fdration russe, zone 3)',
    'UTC+3.5 (Iran)' => 'UTC+3,5 (Iran)',
    'UTC+3 (Baghdad Time/Moscow Time)' => 'UTC+3 (Bagdad/Moscou)',
    'UTC+2 (Eastern Europe Time)' => 'UTC+2 (Europe de l\'Est)',
    'UTC+1 (Central European Time)' => 'UTC+1 (Europe centrale)',
    'UTC+0 (Universal Time Coordinated)' => 'UTC+0 (Temps universel coordon)',
    'UTC-1 (West Africa Time)' => 'UTC-1 (Afrique de l\'Ouest)',
    'UTC-2 (Azores Time)' => 'UTC-2 (Aores)',
    'UTC-3 (Atlantic Time)' => 'UTC-3 (Atlantique)',
    'UTC-3.5 (Newfoundland)' => 'UTC-3,5 (Terre-Neuve)',
    'UTC-4 (Atlantic Time)' => 'UTC-4 (Atlantique)',
    'UTC-5 (Eastern Time)' => 'UTC-5 (Etats-Unis, heure de l\'Est)',
    'UTC-6 (Central Time)' => 'UTC-6 (Etats-Unis, heure centrale)',
    'UTC-7 (Mountain Time)' => 'UTC-7 (Etats-Unis, heure des rocheuses)',
    'UTC-8 (Pacific Time)' => 'UTC-8 (Etats-Unis, heure du Pacifique)',
    'UTC-9 (Alaskan Time)' => 'UTC-9 (Alaska)',
    'UTC-10 (Aleutians-Hawaii Time)' => 'UTC-10 (Hawaii)',
    'UTC-11 (Nome Time)' => 'UTC-11 (Nome)',
    'Select your timezone from the pulldown menu.' => 'Veuillez slectionner votre fuseau horaire dans la liste.',
    'Default Weblog Display Settings' => 'Paramtres par dfaut d\'affichage du weblog',
    'Entries to Display:' => 'Notes  afficher :',
    'Days' => 'Jours',
    'Select the number of days\' entries or the exact number of entries you would like displayed on your weblog.' => 'Slectionnez le nombre exact de jours (notes des X derniers jours ) ou  le nombre de notes que vous souhaitez voir affiches sur votre weblogs.',
    'Entry Order:' => 'Ordre des notes :',
    'Ascending' => 'Croissant',
    'Descending' => 'Dcroissant',
    'Select whether you want your posts displayed in ascending (oldest at top) or descending (newest at top) order.' => 'Slectionnez l\'ordre d\'affichage des notes, croissant (les plus anciennes en premier) ou dcroissant (les plus rcentes en premier).',
    'Comment Order:' => 'Ordre des commentaires :',
    'Select whether you want visitor comments displayed in ascending (oldest at top) or descending (newest at top) order.' => 'Slectionnez l\'ordre d\'affichage des commentaires publis par les visiteurs : croissant (les plus anciens en premier) ou dcroissant (les plus rcents en premier).',
    'Excerpt Length:' => 'Longueur des extraits :',
    'Enter the number of words that should appear in an auto-generated excerpt.' => 'Entrez le nombre de mot  afficher pour les extraits de notes.',
    'Date Language:' => 'Langue de la date :',
    'Czech' => 'Tchque',
    'Danish' => 'Danois',
    'Dutch' => 'Nerlandais',
    'English' => 'Anglais',
    'Estonian' => 'Estonien',
    'French' => 'Franais',
    'German' => 'Allemand',
    'Icelandic' => 'Islandais',
    'Italian' => 'Italien',
    'Japanese' => 'Japonais',
    'Norwegian' => 'Norvgien',
    'Polish' => 'Polonais',
    'Portuguese' => 'Portugais',
    'Slovak' => 'Slovaque',
    'Slovenian' => 'Slovne',
    'Spanish' => 'Espagnol',
    'Suomi' => 'Finlandais',
    'Swedish' => 'Sudois',
    'Select the language in which you would like dates on your blog displayed.' => 'Slectionnez la langue dans laquelle vous souhaitez afficher les dates sur votre weblog.',
    'Limit HTML Tags:' => 'Limiter les tags HTML :',
    'Use defaults' => 'Utiliser les valeurs par dfaut',
    '([_1])' => '([_1])', # Translate - Previous (2)
    'Use my settings' => 'Utiliser mes paramtrages',
    'Specifies the list of HTML tags allowed by default when cleaning an HTML string (a comment, for example).' => 'Spcifie la liste des balises HTML autorises par dfaut lors du nettoyage d\'une chane HTML (un commentaire, par exemple).',
    'License' => 'Licence',
    'Your weblog is currently licensed under:' => 'Votre weblog est actuellement rgi par :',
    'Change your license' => 'Changer la licence',
    'Remove this license' => 'Supprimer cette licence',
    'Your weblog does not have an explicit Creative Commons license.' => 'Votre weblog ne fait pas l\'objet d\'une licence B+ Creative Commons B explicite.',
    'Create a license now' => 'Crer une licence',
    'Select a Creative Commons license for the posts on your blog (optional).' => 'Choisissez une licence B+ Creative Commons B pour les notes de votre weblog (facultatif).',
    'Be sure that you understand these licenses before applying them to your own work.' => 'Nous vous recommandons de vous informer de la porte des clauses de cette licence avant de l\'appliquer  vos propres travaux.',
    'Read more.' => 'En savoir plus.',

    ## ./tmpl/cms/tag_table.tmpl
    'Date' => 'Date', # Translate - Previous (1)
    'IP Address' => 'Adresse IP',
    'Log Message' => 'Message du journal',

    ## ./tmpl/cms/cfg_entries_edit_page.tmpl
    'Default Entry Editor Display Options' => 'Options d\'affichage par dfaut de l\'diteur de Note',

    ## ./tmpl/cms/upload_complete.tmpl
    'Upload File' => 'Tlcharger un fichier',
    'The file named \'[_1]\' has been uploaded. Size: [quant,_2,byte].' => 'Le fichier nomm \'[_1]\' a t charg. Taille: [quant,_2,byte].',
    'Create a new entry using this uploaded file' => 'Crer une note  l\'aide de ce fichier tlcharg.',
    'Show me the HTML' => 'Afficher le code HTML',
    'Image Thumbnail' => 'Vignette',
    'Create a thumbnail for this image' => 'Crer une vignette pour cette image',
    'Width:' => 'Largeur:',
    'Pixels' => 'Pixels', # Translate - Previous (1)
    'Percent' => 'Pourcentage',
    'Height:' => 'Hauteur :',
    'Constrain proportions' => 'Contraindre les proportions',
    'Would you like this file to be a:' => 'Ce fichier doit tre :',
    'Popup Image' => 'Image dans une fentre popup',
    'Embedded Image' => 'Image intgre  la note',
    'Link' => 'Lien',

    ## ./tmpl/cms/bm_posted.tmpl
    'Your new entry has been saved to [_1]' => 'Votre nouvelle note a t enregistre dans [_1]',
    ', and it has been posted to your site' => 'et a t publie sur votre site',
    '. ' => '. ', # Translate - Previous (0)
    'View your site' => 'Voir votre site',
    'Edit this entry' => 'Modifier cette note',

    ## ./tmpl/cms/delete_confirm.tmpl
    'Are you sure you want to permanently delete the [quant,_1,author] from the system?' => 'Souhaitez-vous vraiment supprimer [quant,_1,auteur] de faon permanente du systme ?',
    'Are you sure you want to delete the [quant,_1,comment]?' => 'Souhaitez-vous vraiment supprimer [quant,_1,commentaire] ?',
    'Are you sure you want to delete the [quant,_1,TrackBack]?' => 'Souhaitez-vous vraiment supprimer [quant,_1,TrackBack] ?',
    'Are you sure you want to delete the [quant,_1,entry,entries]?' => 'Souhaitez-vous vraiment supprimer [quant,_1,note,notes] ?',
    'Are you sure you want to delete the [quant,_1,template]?' => 'Souhaitez-vous vraiment supprimer [quant,_1,modle] ?',
    'Are you sure you want to delete the [quant,_1,category,categories]? When you delete a category, all entries assigned to that category will be unassigned from that category.' => 'Souhaitez-vous vraiment supprimer [quant,_1,catgorie,catgories] ? L\'association entre une note et une catgorie est perdue lorsque vous supprimez une catgorie.',
    'Are you sure you want to delete the [quant,_1,template] from the particular archive type(s)?' => 'Souhaitez-vous vraiment supprimer [quant,_1,modle] de ce(s) type(s) d\'archive ?',
    'Are you sure you want to delete the [quant,_1,IP address,IP addresses] from your Banned IP List?' => 'Souhaitez-vous vraiment supprimer [quant,_1,adresse IP,adresses IP] de la liste des adresses IP bannies ?',
    'Are you sure you want to delete the [quant,_1,notification address,notification addresses]?' => 'Souhaitez-vous vraiment supprimer [quant,_1,adresse pour avis,adresses pour avis] ?',
    'Are you sure you want to delete the [quant,_1,blocked item,blocked items]?' => 'Souhaitez-vous vraiment supprimer [quant,_1,lment bloqu,lments bloqus] ?',
    'Are you sure you want to delete the [quant,_1,weblog]? When you delete a weblog, all of the entries, comments, templates, notifications, and author permissions are deleted along with the weblog itself. Make sure that this is what you want, because this action is permanent.' => 'Souhaitez-vous vraiment supprimer [quant,_1,weblog] ? Lorsque vous supprimez un weblog, les notes, les commentaires, les modles, les avis, et les permissions affectes aux auteurs sont galement supprim(e)s. Notez galement que le rsultat de cette action est dfinitif.',
    'Delete' => 'Supprimer',

    ## ./tmpl/cms/cfg_system_feedback.tmpl
    'This screen allows you to configure feedback and outbound TrackBack settings for the entire installation.  These settings override any similar settings for individual weblogs.' => 'Cet cran vous permet de configurer les paramtres des feedbacks et des TrackBacks sortants pour l\'ensemble de l\'installation. Ces paramtres priment sur les paramtrages que vous auriez pu faire sur un weblog donn.',
    'Your feedback preferences have been saved.' => 'Vos prfrences feedback sont enregistres.',
    'Feedback Master Switch' => 'Contrle principal des Feedbacks',
    'Disable Comments' => 'Dsactiver les commentaires',
    'Stop accepting comments on all weblogs' => 'Ne plus accepter les commentaires sur TOUS les weblogs',
    'This will override all individual weblog comment settings.' => 'Cette action prime sur tout paramtrage des commentaires mis en place au niveau de chaque weblog.',
    'Disable TrackBacks' => 'Dsactiver les TrackBacks',
    'Stop accepting TrackBacks on all weblogs' => 'Ne plus accepter les TrackBacks sur TOUS les weblogs',
    'This will override all individual weblog TrackBack settings.' => 'Cette action prime sur tout paramtrage des TrackBacks mis en place au niveau de chaque weblog.',
    'Outbound TrackBack Control' => 'Contrle des TrackBacks sortants',
    'Allow outbound TrackBacks to:' => 'Autoriser les TrackBacks sortant sur :',
    'Any site' => 'N\'importe quel site',
    'No site' => 'Aucun site',
    '(Disable all outbound TrackBacks.)' => '(Dsactiver tous les TrackBacks sortants.)',
    'Only the weblogs on this installation' => 'Uniquement les weblogs sur cette installation',
    'Only the sites on the following domains:' => 'Uniquement les sites sur les domaines suivants :',
    'This feature allows you to limit outbound TrackBacks and TrackBack auto-discovery for the purposes of keeping your installation private.' => 'Cette fonctionnalit vous permet de limiter les TrackBacks sortants et la dcouverte automatique des TrackBacks pour conserver la confidentialit de votre installation.',

    ## ./tmpl/cms/cfg_entries.tmpl
    'New Entry Default Settings' => 'Paramtres par dfaut des nouvelle notes',
    'This screen allows you to control default settings for new entries as well as your publicity and remote interface settings.' => 'Cet cran vous permet de contrler les paramtres par dfaut des nouvelles notes ainsi que la promotion et l\'interface de paramtrage  distance.',
    'Default Settings for New Entries' => 'Paramtres par dfaut des nouvelles notes',
    'Post Status' => 'Etat de publication',
    'Specifies the default Post Status when creating a new entry.' => 'Spcifie l\'tat de publication par dfaut des nouvelles notes.',
    'Specifies the default Text Formatting option when creating a new entry.' => 'Spcifie l\'option par dfaut de mise en forme du texte des nouvelles notes.',
    'Specifies the default Accept Comments setting when creating a new entry.' => 'Spcifie l\'option par dfaut des commentaires accepts lors de la cration d\'une nouvelle note.',
    'Setting Ignored' => 'Paramtrage ignor',
    'Note: This option is currently ignored since comments are disabled either weblog or system-wide.' => 'Note: Cette option est ignore tant que les commentaires sont dsactivs sur une note ou dans l\'ensemble du systme.',
    'Specifies the default Accept TrackBacks setting when creating a new entry.' => 'Spcifie l\'option par dfaut des TrackBacks accepts lors de la cration d\'une nouvelle note.',
    'Note: This option is currently ignored since TrackBacks are disabled either weblog or system-wide.' => 'Note: Cette option est ignore tant que les TrackBacks sont dsactivs sur une note ou sur l\'ensemble du systme.',
    'Basename Length:' => 'Longueur du nom de base :',
    'Specifies the default length of an auto-generated basename. The range for this setting is 15 to 250.' => 'Spcifier la longueur par dfaut du nom de base. peut tre comprise entre 15 et 250.',
    'Publicity/Remote Interfaces' => 'Publicit/Interfaces distantes',
    'Notify the following sites upon weblog updates:' => 'Notifier les sites suivants lors des mises  jour du weblog :',
    'Others:' => 'Autres :',
    '(Separate URLs with a carriage return.)' => '(Sparer les URLs avec un retour chariot.)',
    'When this weblog is updated, Movable Type will automatically notify the selected sites.' => 'Lors des mises  jour de ce weblog Movable Type notifiera automatiquement les sites slectionns.',
    'Setting Notice' => 'Paramtrage des informations',
    'Note: The above option may be affected since outbound pings are constrained system-wide.' => 'Attention : L\'option ci-dessous peut tre affecte si les pings sortant sont limits dans le systme.',
    'Note: This option is currently ignored since outbound pings are disabled system-wide.' => 'Attention : Cette option est ignore car les pings sortants sont dsactivs globalement.',
    'Recently Updated Key:' => 'Cl mise  jour rcemment :',
    'If you have received a recently updated key (by virtue of your purchase), enter it here.' => 'Si vous avez reu une mise  jour de la clef, la saisir ici.',
    'TrackBack Auto-Discovery' => 'Dcouverte automatique des TrackBacks',
    'Enable External TrackBack Auto-Discovery' => 'Activer Auto-dcouverte Trackback Externe',
    'Note: The above option is currently ignored since outbound pings are disabled system-wide.' => 'Attention: l\'option ci-dessus est ignore si les pings sortants sont dsactivs dans le systme',
    'Enable Internal TrackBack Auto-Discovery' => 'Activer Auto-dcouverte Trackback Interne',
    'If you turn on auto-discovery, when you write a new post, any external links will be extracted and the appropriate sites automatically sent TrackBacks.' => 'Si vous activez la dcouverte automatique, quand vous crirez une nouvelle note, les liens externes seront extraits et les sites concerns recevront automatiquement un TrackBack.',

    ## ./tmpl/cms/template_actions.tmpl
    'template' => 'Habillage',
    'templates' => 'Habillages',

    ## ./tmpl/cms/recover.tmpl
    'Your password has been changed, and the new password has been sent to your email address ([_1]).' => 'Votre mot de passe a t modifi et a t envoy  votre adresse e-mail([_1]).',
    'Enter your Movable Type username:' => 'Indiquez votre nom d\'utilisateur Movable Type :',
    'Enter your password recovery word/phrase:' => 'Enter your password recovery word/phrase :',
    'Recover' => 'Rcuprer',

    ## ./tmpl/cms/list_entry.tmpl
    'Your entry has been deleted from the database.' => 'Votre note a t supprime de la base de donnes.',
    'Entry Feed' => 'Flux de la note',
    'Entry Feed (Disabled)' => 'Flux de la note (Dsactiv)',
    'Show unpublished entries.' => 'Afficher les notes non publies.',
    '(Showing all entries.)' => '(Affichage de toutes les notes).',
    'Showing only entries where [_1] is [_2].' => 'En affichant les notes o [_1] est [_2].',
    'entries.' => 'les notes.',
    'entries where' => 'notes dont',
    'author' => 'l\'auteur',
    'tag (exact match)' => 'le tag (exact)',
    'tag (fuzzy match)' => 'le tag (fuzzy match)',
    'category' => 'catgorie',
    'scheduled' => 'programm',
    'No entries could be found.' => 'Aucune note n\'a pu tre trouve.',

    ## ./tmpl/cms/list_template.tmpl
    'Index Templates' => 'Modles d\'index',
    'Index templates produce single pages and can be used to publish Movable Type data or plain files with any type of content. These templates are typically rebuilt automatically upon saving entries, comments and TrackBacks.' => 'Les modles d\'Index gnrent des pages uniques et peuvent tre utiliss pour publier des donnes Movable Type ou des fichiers quel que soit leur contenu. Ces modles sont gnralement reconstruits automatiquement en sauvegardant les notes, commentaires ou TrackBacks.',
    'Archive Templates' => 'Modles d\'archives',
    'Archive templates are used for producing multiple pages of the same archive type.  You can create new ones and map them to archive types on the publishing settings screen for this weblog.' => 'Les modles d\'archives sont utiliss pour produire des pages multiples d\'un mme type d\'archives. Vous pouvez en crer de nouveaux et les relier aux types  d\'archives sur l\'cran des paramtres de publication de ce weblog.',
    'System Templates' => 'Modles Systme',
    'System templates specify the layout and style of a small number of dynamic pages which perform specific system functions in Movable Type.' => 'Les modles Systmes spcifient la mise en page d\'un petit nombre de pages dynamiques qui ralisent des fonctions systme spcifiques  Movable Type.',
    'Template Modules' => 'Modules de modles',
    'Template modules are mini-templates that produce nothing on their own but instead can be included into other templates.  They are excellent for duplicated content (e.g. header or footer content) and can contain template tags or just static text.' => 'Les modules de modles sont des mini-modles qui ne produisent rien en soi mais peuvent tre inclus dans d\'autres modles. Ils sont trs utiles pour dupliquer un contenu (par exemple le contenu des enttes et pieds de page) et peuvent inclure des tags de modles ou simplement du texte.',
    'You have successfully deleted the checked template(s).' => 'Les modles slectionns ont t supprims.',
    'Your settings have been saved.' => 'Vos paramtres ont t enregistrs.',
    'Indexes' => 'Index',
    'System' => 'Systme',
    'Modules' => 'Modules', # Translate - Previous (1)
    'Go to Publishing Settings' => 'Aller aux paramtres de publication',
    'Create new index template' => 'Crer un nouveau modle d\'index',
    'Create New Index Template' => 'Crer un nouveau Modle d\'Index',
    'Create new archive template' => 'Crer un modle d\'archive',
    'Create New Archive Template' => 'Crer un nouveau Modle d\'Archives',
    'Create new template module' => 'Crer un module de modle',
    'Create New Template Module' => 'Crer un nouveau Module de Modle',
    'Template Name' => 'Nom du modle',
    'Output File' => 'Fichier de sortie',
    'Dynamic' => 'Dynamique',
    'Linked' => 'Li',
    'Built w/Indexes' => 'Construits avec indexs',
    'Yes' => 'Oui',
    'No' => 'Non',
    'View Published Template' => 'Voir les habillages publis',
    'No index templates could be found.' => 'Aucun Modle d\'Index n\'a t trouv.',
    'No archive templates could be found.' => 'Aucun Modle d\'Archives n\'a t trouv.',
    'No template modules could be found.' => 'Aucun Module de Modle n\'a t trouv.',

    ## ./tmpl/cms/list_tags.tmpl
    'Your tag changes and additions have been made.' => 'Votre changement de tag et les complments ont t faits.',
    'You have successfully deleted the selected tags.' => 'Vous avez effac correctement les tags slectionns.',
    'Tag Name' => 'Nom du Tag',
    'Click to edit tag name' => 'Cliquez pour modifier le nom du tag',
    'Rename' => 'Changer le nom',
    'Show all entries with this tag' => 'Afficher toutes les notes pour ce tag',
    '[quant,_1,entry,entries]' => '[quant,_1,note,notes]',
    'No tags could be found.' => 'Aucun tag n\'a t trouv.',

    ## ./tmpl/cms/error.tmpl
    'An error occurred:' => 'Une erreur s\'est produite :',

    ## ./tmpl/cms/edit_author.tmpl
    'Your Web services password is currently' => 'Votre mot de passe est actuellement',
    'Author Profile' => 'Profil de l\'auteur',
    'Create New Author' => 'Crer un nouvel auteur',
    'Profile' => 'Profil',
    'Permissions' => 'Autorisations',
    'Your profile has been updated.' => 'Votre profil a t mis  jour.',
    'Weblog Associations' => 'Associations de Weblogs',
    'General Permissions' => 'Autorisations gnrales',
    'System Administrator' => 'Administrateur Systme',
    'Create Weblogs' => 'Crer des Weblogs',
    'View Activity Log' => 'Afficher le journal des activits',
    'Username' => 'Nom d\'utilisateur',
    'The name used by this author to login.' => 'Le nom utilis par cet Auteur pour s\'enregistrer.',
    'Display Name' => 'Afficher le nom',
    'The author\'s published name.' => 'Nom publi de l\'auteur.',
    'The author\'s email address.' => 'Adresse email de l\'auteur .',
    'Website URL:' => 'URL du site :',
    'The URL of this author\'s website. (Optional)' => 'URL du site de  l\'auteur. (option)',
    'Language:' => 'Langue :',
    'The author\'s preferred language.' => 'Langue choisie par l\'auteur.',
    'Tag Delimiter:' => 'Sparateur de Tag :',
    'Comma' => 'Virgule',
    'Space' => 'Espace',
    'Other...' => 'Autre...',
    'The author\'s preferred delimiter for entering tags.' => 'Sparateur prconis par l\'auteur pour les tag.',
    'Password' => 'Mot de passe',
    'Current Password:' => 'Mot de passe actuel :',
    'Enter the existing password to change it.' => 'Entrez le mot de passe actuel pour le changer.',
    'New Password:' => 'Nouveau Mot de Passe :',
    'Initial Password' => 'Mot de passe initial',
    'Select a password for the author.' => 'Choisissez un mot de passe pour  l\'auteur.',
    'Password Confirm:' => 'Confirmation du Mot de Passe:',
    'Repeat the password for confirmation.' => 'Rpetez la confirmation de Mot de passe.',
    'Password recovery word/phrase' => 'Mot/Expression pour retrouver un mot de passe',
    'This word or phrase will be required to recover your password if you forget it.' => 'Ce mot ou cette expression vous seront ncessaires pour retrouver votre mot de passe. Ne les oubliez pas.',
    'Web Services Password:' => 'Mot de passe Service Web :',
    'Reveal' => 'Rvl',
    'For use by Activity feeds and with XML-RPC and Atom-enabled clients.' => 'Pour utilisation par les flux d\'activit et avec les clients XML-RPC ou ATOM.',
    'Save this author (s)' => 'Sauvegarder cet auteur (s)',

    ## ./tmpl/cms/notification_table.tmpl
    'Date Added' => 'Ajout(e) le',

    ## ./tmpl/cms/overview-left-nav.tmpl
    'List Weblogs' => 'Liste des Weblogs',
    'List Authors' => 'Liste des Auteurs',
    'Authors' => 'Auteurs',
    'List Plugins' => 'Liste des Plugins',
    'Aggregate' => 'Multi-Blogs',
    'List Tags' => 'Liste de Tags',
    'Configure' => 'Configurer',
    'Edit System Settings' => 'Editer les Paramtres Systme',
    'Utilities' => 'Utilitaires',
    'Search &amp; Replace' => 'Chercher &amp; Remplacer',
    'Show Activity Log' => 'Afficher les logs d\'activit',
    'Activity Log' => 'Journal des activits',

    ## ./tmpl/cms/copyright.tmpl

    ## ./tmpl/cms/view_log.tmpl
    'Are you sure you want to reset activity log?' => 'Etes-vous certain de vouloir effacer votre journal (log) d\'activit ?',
    'The Movable Type activity log contains a record of notable actions in the system.' => 'Le journal de l\'activit de Movable Type contient un enregistrement des actions principales dans le systme.',
    'All times are displayed in GMT[_1].' => 'Toutes les heures sont affiches en GMT[_1].',
    'All times are displayed in GMT.' => 'Toutes les heures sont affiches en GMT.',
    'The activity log has been reset.' => 'Le journal des activits a t rinitialis.',
    'Download CSV' => 'Tlcharger CSV',
    'Show only errors.' => 'N\'afficher que les erreurs.',
    '(Showing all log records.)' => '(Affichage de tous les enregistrements log.)',
    'Showing only log records where' => 'Uniquement les logs dont',
    'Filtered CSV' => 'CSV filtrs',
    'Filtered' => 'Filtrs',
    'Activity Feed' => 'Flux d\'activit',
    'log records.' => 'les logs.',
    'log records where' => 'les logs dont',
    'level' => 'le statut',
    'classification' => 'classification', # Translate - Previous (1)
    'Security' => 'Scurit',
    'Information' => 'Information', # Translate - Previous (1)
    'Debug' => 'Debug', # Translate - Previous (1)
    'Security or error' => 'Scurit ou erreur',
    'Security/error/warning' => 'Scurit/erreur/mise en garde',
    'Not debug' => 'Pas dbugu',
    'Debug/error' => 'Debug/erreur',
    'No log records could be found.' => 'Aucun enregistrement log n\'a t trouv.',

    ## ./tmpl/cms/tag_actions.tmpl
    'tag' => 'tag', # Translate - Previous (1)
    'tags' => 'tags', # Translate - Previous (1)
    'Delete selected tags (x)' => 'Effacer les tags slectionns (x)',

    ## ./tmpl/cms/rebuilding.tmpl
    'Rebuild' => 'Actualiser',
    'Rebuilding [_1]' => 'Actualisation de [_1]',
    'Rebuilding [_1] pages [_2]' => 'Actualisation des pages [_1] [_2]',
    'Rebuilding [_1] dynamic links' => 'Recontruction [_1] des liens dynamiques',
    'Rebuilding [_1] pages' => 'Actualisation des pages [_1]',

    ## ./tmpl/cms/upload_confirm.tmpl
    'A file named \'[_1]\' already exists. Do you want to overwrite this file?' => 'Le fichier \'[_1]\' existe dj Souhaitez-vous le remplacer ?',

    ## ./tmpl/cms/handshake_return.tmpl

    ## ./tmpl/cms/junk_results.tmpl
    'Find Junk' => 'Trouver indsirable(s)',
    'The following items may be junk. Uncheck the box next to any items are NOT junk and hit JUNK to continue.' => 'Les lements suivants sont peut-tre indsirables. Dcochez les cases des lements qui ne sont pas indsirables et cliquez sur le bouton pour continuer.',
    'To return to the comment list without junking any items, click CANCEL.' => 'Pour retourner  la liste des commentaires sans slectionner d\'lement indsirables clliquez sur annuler.',
    'Commenter' => 'Auteur de commentaires',
    'Comment' => 'Commentaire',
    'IP' => 'IP', # Translate - Previous (1)
    'Junk' => 'Indsirable',
    'Approved' => 'Approuv',
    'Banned' => 'Banni',
    'Registered Commenter' => 'Auteur de commentaires inscrit',
    'comment' => 'commentaire',
    'comments' => 'commentaires',
    'Return to comment list' => 'Retourner  la liste des commentaires',

    ## ./tmpl/cms/import_end.tmpl
    'All data imported successfully!' => 'Toutes les donnes ont t importes avec succs !',
    'Make sure that you remove the files that you imported from the \'import\' folder, so that if/when you run the import process again, those files will not be re-imported.' => 'Assurez vous d\'avoir bien enlev les fichiers imports du dossier \'import\', pour viter une r-importation des mmes fichiers  l\'avenir .',
    'An error occurred during the import process: [_1]. Please check your import file.' => 'Une erreur s\'est produite pendant le processus: [_1]. Merci de vrifier vos fichiers import.',

    ## ./tmpl/cms/admin.tmpl
    'System Stats' => 'Statistiques systme',
    'Active Authors' => 'Auteurs Actifs',
    'Essential Links' => 'Liens essentiels',
    'Movable Type Home' => 'Accueil Movable Type',
    'Plugin Directory' => 'Annuaire des plugins',
    'Support and Documentation' => 'Support et Documentation',
    'https://secure.sixapart.com/t/account' => 'https://secure.sixapart.com/t/account?portal=fr',
    'Your Account' => 'Votre compte',
    'https://secure.sixapart.com/t/help?__mode=edit' => 'https://secure.sixapart.com/t/help?__mode=edit&portal=fr',
    'Open a Help Ticket' => 'Ouvrir un Ticket d\'Aide',
    'Paid License Required' => 'Une licence payante est ncessaire',
    'http://www.sixapart.com/movabletype/' => 'http://www.movabletype.fr',
    'http://www.sixapart.com/pronet/plugins/' => 'http://www.sixapart.com/pronet/plugins/', # Translate - Previous (6)
    'https://secure.sixapart.com/t/help?__mode=kb' => 'https://secure.sixapart.com/t/help?__mode=kb&portal=fr',
    'Knowledge Base' => 'Base de connaissance',
    'http://www.sixapart.com/pronet/' => 'http://www.sixapart.com/pronet/', # Translate - Previous (5)
    'Professional Network' => 'Rseau Professionnel',
    'From this screen, you can view information about and manage many aspects of your system across all weblogs.' => 'Cet cran vous permet de voir un certain nombre d\'informations concernant vos weblogs et le systme dans leur ensemble.',
    'Movable Type News' => 'Infos Movable Type',

    ## ./tmpl/cms/entry_table.tmpl
    'Weblog' => 'Weblog', # Translate - Previous (1)
    'Only show unpublished entries' => 'N\'afficher que les notes non publies',
    'Only show published entries' => 'Afficher uniquement les notes publies',
    'Only show scheduled entries' => 'N\'afficher que les notes programmes dans le futur',
    'None' => 'Aucune',

    ## ./tmpl/cms/pinged_urls.tmpl
    'Here is a list of the previous TrackBacks that were successfully sent:' => 'Voici la liste des TrackBacks envoys avec succs :',
    'Here is a list of the previous TrackBacks that failed. To retry these, include them in the Outbound TrackBack URLs list for your entry.:' => 'Voici la liste des Trackbacks prcdents qui on chou. Pour essayer  nouveau, il faut les inclure dans la liste des URL de TrackBack sortants de votre note :',

    ## ./tmpl/cms/edit_admin_permissions.tmpl
    'Your changes to [_1]\'s permissions have been saved.' => 'Vos modifications des autorisations accords   [_1] a t enregistr.',
    '[_1] has been successfully added to [_2].' => '[_1] a t ajout(e) avec succs  [_2].',
    'User can create weblogs' => 'L\'utilisateur peut crer un weblog',
    'User can view activity log' => 'L\'utilisateur peut afficher le journal des activits',
    'Check All' => 'Slectionner tout',
    'Uncheck All' => 'Dslectionner tout',
    'Unheck All' => 'Tout dcocher',
    'Add user to an additional weblog:' => 'Ajouter l\'utilisateur  un weblog supplmentaire :',
    'Select a weblog' => 'Slectionnez un weblog',
    'Add' => 'Ajouter',
    'Save permissions for this author (s)' => 'Enregistrer les autorisations accordes  cet auteur',

    ## ./tmpl/cms/log_actions.tmpl
    'Reset Activity Log' => 'Rinitialiser le journal des activits',

    ## ./tmpl/cms/rebuild_confirm.tmpl
    'Select the type of rebuild you would like to perform. (Click the Cancel button if you do not want to rebuild any files.)' => 'Slectionnez le type d\'actualisation que vous souhaitez excuter (cliquez sur Annuler si vous souhaitez annuler l\'actualisation des fichiers).',
    'Rebuild All Files' => 'Actualiser tous les fichiers',
    'Index Template: [_1]' => 'Modle d\'index: [_1]',
    'Rebuild Indexes Only' => 'Actualiser les index uniquement',
    'Rebuild [_1] Archives Only' => 'Actualiser les archives [_1] uniquement',
    'Rebuild (r)' => 'Reconstruire (r)',

    ## ./tmpl/cms/upgrade.tmpl
    'Time to Upgrade!' => 'Il est temps de mettre  jour !',
    'The version of Perl installed on your server ([_1]) is lower than the minimum supported version ([_2]).' => 'La version Perl installe sur votre serveur ([_1]) es antrieure  la version minimale ncessaire ([_2]).',
    'Do you want to proceed with the upgrade anyway?' => 'Voulez-vous quand mme continuer la mise a jour ?',
    'A new version of Movable Type has been installed.  We\'ll need to complete a few tasks to update your database.' => 'Une nouvelle version de Movable Type a t installe. Nous avons besoin de faire quelques manipulations complmentaires pour mettre  jour votre base de donnes.',
    'In addition, the following Movable Type plugins require upgrading or installation:' => 'De plus, les plugins Movable Type suivants ncssitent une mise  jour ou une installation :',
    'The following Movable Type plugins require upgrading or installation:' => 'Les plugins Movable Type suivants ncssitent une mise  jour ou une installation :',
    'Version [_1]' => 'Version [_1]', # Translate - Previous (2)
    'Begin Upgrade' => 'Commencer la Mise  Jour',

    ## ./tmpl/cms/reload_opener.tmpl

    ## ./tmpl/cms/notification_actions.tmpl
    'notification address' => 'adresse de notification',
    'notification addresses' => 'adresses de notification',
    'Delete selected notification addresses (x)' => 'Effacer les adresses de notification slectionnes (x)',

    ## ./tmpl/cms/cc_return.tmpl

    ## ./tmpl/cms/login.tmpl
    'Your Movable Type session has ended. If you wish to log in again, you can do so below.' => 'Votre session Movable Type a t ferme. Pour ouvrir une nouvelle session voir ci-dessous.',
    'Your Movable Type session has ended. Please login again to continue this action.' => 'Votre session Movable Type a expir. Merci de vous enregistrer  nouveau pour poursuivre.',
    'Remember me?' => 'Mmoriser les informations de connexion ?',
    'Log In' => 'Connexion',
    'Forgot your password?' => 'Vous avez oubli votre mot de passe ?',

    ## ./tmpl/cms/list_ping.tmpl
    'The selected TrackBack(s) has been published.' => 'Le(s) TrackBack(s) slectionn(s) ont t publi(s).',
    'All junked TrackBacks have been removed.' => 'Tous les Trackbcks indsirables on t enlevs.',
    'The selected TrackBack(s) has been unpublished.' => 'Le(s) TrackBack(s) slectionn(s) ont t enlev(s) de la publication.',
    'The selected TrackBack(s) has been junked.' => 'Le(s) TrackBack(s) slectionn(s) sont marqus indsirable(s).',
    'The selected TrackBack(s) has been unjunked.' => 'Le(s) TrackBack(s) slectionn(s) ne sont plus marqu(s) indsirable(s).',
    'The selected TrackBack(s) has been deleted from the database.' => 'Le(s) TrackBack(s) slectionn(s) ont t supprim(s) de la base de donnes.',
    'No TrackBacks appeared to be junk.' => 'Aucun TrackBack n\'est marqu indsirable.',
    'Junk TrackBacks' => 'TrackBacks indsirables',
    'Trackback Feed' => 'Flux Trackback',
    'Trackback Feed (Disabled)' => 'Flux Trackback (inactif)',
    'Show unpublished TrackBacks.' => 'Afficher les TrackBacks non publis.',
    '(Showing all TrackBacks.)' => '(Affiche tous les TrackBacks.)',
    'Showing only TrackBacks where [_1] is [_2].' => 'Affichage uniquement des TrackBacks o [_1] est [_2].',
    'TrackBacks.' => 'les TrackBacks.',
    'TrackBacks where' => 'les TrackBacks dont',
    'No TrackBacks could be found.' => 'Aucun TrackBack n\'a t trouv.',
    'No junk TrackBacks could be found.' => 'Aucun TrackBack indsirable n\'a t trouv.',

    ## ./tmpl/cms/recover_password_result.tmpl
    'Recover Passwords' => 'Retrouver les mots de passe',
    'No authors were selected to process.' => 'Aucun auteur slectionn pour l\'opration.',

    ## ./tmpl/cms/feed_link.tmpl
    'Activity Feed (Disabled)' => 'Flux d\'activit (Dsactiv)',

    ## ./tmpl/cms/ping_actions.tmpl
    'to publish' => 'pour publier',
    'Publish' => 'Publier',
    'Publish selected TrackBacks (p)' => 'Publier les TrackBacks slectionns (p)',
    'Delete selected TrackBacks (x)' => 'Effacer les TrackBacks slectionns (x)',
    'Junk selected TrackBacks (j)' => 'Jeter les TrackBacks slectionns (j)',
    'Not Junk' => 'Non Indsirable',
    'Recover selected TrackBacks (j)' => 'Retrouver les TrackBacks slectionns (j)',
    'Are you sure you want to remove all junk TrackBacks?' => 'Etes-vous certain de vouloir supprimer tous les TrackBacks indsirables ?',
    'Empty Junk Folder' => 'Vider le Dossier Indsirables',
    'Deletes all junk TrackBacks' => 'Effacer tous les TrackBacks indsirables',
    'Ban This IP' => 'Bannir cette adresse IP',

    ## ./tmpl/cms/ping_table.tmpl
    'From' => 'De',
    'Target' => 'Cible',
    'Only show published TrackBacks' => 'Afficher uniquement les TrackBacks publis',
    'Only show pending TrackBacks' => 'Afficher uniquement les TrackBacks en attente',
    'Edit this TrackBack' => 'Editer ce TrackBack',
    'Edit TrackBack' => 'Editer les  TrackBacks',
    'Go to the source entry of this TrackBack' => 'Aller  la note  l\'orgine de ce TrackBack',
    'View the [_1] for this TrackBack' => 'Voir [_1] pour ce TrackBack',
    'Search for all comments from this IP address' => 'Rechercher tous les commentaires associs  cette adresse IP',

    ## ./tmpl/cms/log_table.tmpl
    'IP: [_1]' => 'IP : [_1]',

    ## ./tmpl/cms/edit_profile.tmpl
    'Author Permissions' => 'Autorisations des Auteurs',
    'A new password has been generated and sent to the email address [_1].' => 'Un nouveau mot de passe a t cr et envoy  l\'adresse [_1].',
    'Password Recovery' => 'Rcupration de mot de passe',

    ## ./tmpl/cms/edit_commenter.tmpl
    'Commenter Details' => 'Dtails sur l\'auteur de commentaires',
    'The commenter has been trusted.' => 'L\'auteur de commentaires est fiable.',
    'The commenter has been banned.' => 'L\'auteur de commentaires a t banni.',
    'View all comments with this name' => 'Afficher tous les commentaires associs  ce nom',
    'Identity' => 'Identit',
    'Email' => 'Adresse email',
    'Withheld' => 'Retenu',
    'View all comments with this email address' => 'Afficher tous les commentaires associs  cette adresse email',
    'View all comments with this URL address' => 'Afficher tous les commentaires associs  cette URL',
    'Trusted' => 'Fiable',
    'Blocked' => 'Bloqu',
    'Authenticated' => 'Authentifi',
    'View all commenters with this status' => 'Afficher tous les auteurs de commentaires ayant ce statut',

    ## ./tmpl/cms/edit_permissions.tmpl

    ## ./tmpl/cms/author_actions.tmpl
    'authors' => 'auteurs',
    'Delete selected authors (x)' => 'Effacer les auteurs slectionns (x)',

    ## ./tmpl/cms/install.tmpl
    'Welcome to Movable Type!' => 'Bienvenue sur Movable Type !',
    'Do you want to proceed with the installation anyway?' => 'Voulez-vous tout de mme poursuivre l\'installation ?',
    'Before you can begin blogging, we need to complete your installation by initializing your database.' => 'Avant de commencer  pouvoir bloguer vous devez terminer votre installation en initialisant votre base de donnes.',
    'You will need to select a username and password for the administrator account.' => 'Vous devrez choisir un nom d\'utilisateur et un mot de passe pour l\'administrateur du compte.',
    'Select a password for your account.' => 'Selectionnez un Mot de Passe pour votre compte.',
    'Password recovery word/phrase:' => 'Phrase pour la rcupration du mot de passe :',
    'Finish Install' => 'Finir l\'installation',

    ## ./tmpl/cms/comment_table.tmpl
    'Only show published comments' => 'N\'afficher que les commentaires publis',
    'Only show pending comments' => 'N\'afficher que les commentaires en attente',
    'Edit this comment' => 'Editer ce commentaire',
    'Edit Comment' => 'Modifier les commentaires',
    'Edit this commenter' => 'Editer cet auteur de commentaires',
    'Search for comments by this commenter' => 'Chercher les commentaires de cet auteur de commentaires',
    'View this entry' => 'Voir cette note',
    'Show all comments on this entry' => 'Afficher tous les commentaires de cette note',

    ## ./tmpl/cms/list_banlist.tmpl
    'IP Banning Settings' => 'Paramtrages des IP bannies',
    'This screen allows you to ban comments and TrackBacks from specific IP addresses.' => 'Cet cran vous permet de bannir commentaires et TrackBacks provenant d\'une adresse IP donne.',
    'You have banned [quant,_1,address,addresses].' => 'Vous avez banni [quant,_1,address,addresses].',
    'You have added [_1] to your list of banned IP addresses.' => 'L\'adresse [_1] a t ajoute  la liste des adresses IP bannies.',
    'You have successfully deleted the selected IP addresses from the list.' => 'L\'adresse IP slectionne a t supprime de la liste.',
    'Ban New IP Address' => 'Bannir une nouvelle adresse IP',
    'Ban IP Address' => 'Bannir l\'adresse IP',
    'Date Banned' => 'Bannie le :',
    'IP address' => 'IP addresse',
    'IP addresses' => 'adresses IP',

    ## ./tmpl/cms/bookmarklets.tmpl
    'QuickPost' => 'QuickPost', # Translate - Previous (1)
    'Add QuickPost to Windows right-click menu' => 'Ajouter QuickPost au menu contextuel de Windows (clic droit)',
    'Configure QuickPost' => 'Configurer QuickPost',
    'Include:' => 'Inclure :',
    'TrackBack Items' => 'Elments de TrackBack',
    'Allow Comments' => 'Autoriser les commentaires',
    'Allow TrackBacks' => 'Autoriser les TrackBacks',
    'Create' => 'Crer',

    ## ./tmpl/cms/category_add.tmpl
    'Add A Category' => 'Ajouter une catgorie',
    'To create a new category, enter a title in the field below, select a parent category, and click the Add button.' => 'Pour crer une catgorie, indiquez un titre dans le champ ci-dessous, slectionnez une catgorie parente, puis cliquez sur Ajouter.',
    'Category Title:' => 'Titre de la catgorie :',
    'Parent Category:' => 'Catgorie parente :',
    'Top Level' => 'Niveau racine',
    'Save category (s)' => 'Enregistrer la catgorie (s)',

    ## ./tmpl/cms/import_start.tmpl
    'Importing...' => 'Importation...',
    'Importing entries into blog' => 'Importation de notes dans le blog',
    'Importing entries as author \'[_1]\'' => 'Importation des notes en tant qu\'auteur \'[_1]\'',
    'Creating new authors for each author found in the blog' => 'Cration de nouveaux auteur correspondant  chaque auteur trouv dans le blog',

    ## ./tmpl/cms/list_notification.tmpl
    'Notifications' => 'Notifications', # Translate - Previous (1)
    'Below is the notification list for this blog. When you manually send notifications on published entries, you can select from this list.' => 'Ci-dessous la liste des notifications pour ce blog. Quand vous envoyez manuellement des notifications sur des notes publies, vous pouvez les slectionner  partir de cette liste.',
    'You have [quant,_1,user,users,no users] in your notification list. To delete an address, check the Delete box and press the Delete button.' => 'Vous avez [quant,_1,utilisateur,utilisateurs,pas d\'utilisateur] dans votre liste de notification. Pour effacer une addresse, slctionnez-la et cliquez sur le bouton Effacer.',
    'You have added [_1] to your notification list.' => 'Vous avez ajout [_1]  votre liste de notifications.',
    'You have successfully deleted the selected notifications from your notification list.' => 'Les avis slectionns ont t supprims de la liste de notifications.',
    'Create New Notification' => 'Crer une nouvelle notification',
    'URL (Optional):' => 'URL (facultatif) :',
    'Add Recipient' => 'Ajouter',
    'No notifications could be found.' => 'Aucune notification n\'a t trouve.',

    ## ./tmpl/cms/itemset_action_widget.tmpl
    'More actions...' => 'Plus d\'actions...',
    'No actions' => 'Aucune action',

    ## ./tmpl/cms/edit_blog.tmpl
    'You must set your Local Site Path.' => 'Vous devez configurer le chemin local de votre site.',
    'You must set your Site URL.' => 'Vous devez configurer l\'URL de votre site.',
    'Your Site URL is not valid.' => 'L\'adresse URL de votre site n\'est pas valide.',
    'You can not have spaces in your Site URL.' => 'Vous ne pouvez pas avoir d\'espaces dans l\'adresse URL de votre site.',
    'You can not have spaces in your Local Site Path.' => 'Vous ne pouvez pas avoir d\'espaces dans le chemin local de votre site.',
    'Your Local Site Path is not valid.' => 'Le chemin local de votre site n\'est pas valide.',
    'New Weblog Settings' => 'Nouveaux paramtres du weblog',
    'From this screen you can specify the basic information needed to create a weblog.  Once you click the save button, your weblog will be created and you can continue to customize its settings and templates, or just simply start posting.' => 'A partir de cet cran vous pouvez spcifier les informations de base ncessaires pour crer un weblog. En cliquant sur le bouton Sauvegarder, votre weblog sera cr et vous pourrez poursuivre la personnalisation de ses paramtres et habillages, ou simplement commencer  publier.',
    'Your weblog configuration has been saved.' => 'La configuration de votre weblog a t enregistre.',
    'Site URL:' => 'URL du site :',
    'Enter the URL of your public website. Do not include a filename (i.e. exclude index.html).' => 'Indiquez l\'URL de votre site web publi N\'incluez pas de nom de fichier (excluez index.html).',
    'Example:' => 'Exemple :',
    'Site Root' => 'Site Racine',
    'Enter the path where your main index file will be located. An absolute path (starting with \'/\') is preferred, but you can also use a path relative to the Movable Type directory.' => 'Indiquez le chemin d\'accs  votre fichier d\'index principal. Un chemin absolu (qui dbute par \'/\' est prfrable, mais il est galement possible d\'utiliser un chemin relatif au rpertoire de Movable Type.',

    ## ./tmpl/cms/blog-left-nav.tmpl
    'Posting' => 'Poster',
    'New Entry' => 'Nouvelle note',
    'Community' => 'Communaut',
    'List Commenters' => 'Lister les auteurs de commentaires',
    'Commenters' => 'Auteurs de Commentaires',
    'Edit Notification List' => 'Modifier la liste des avis',
    'List &amp; Edit Templates' => 'Lister &amp; Editer les habillages',
    'Edit Categories' => 'Modifier les catgories',
    'Edit Tags' => 'Editer les Tags',
    'Edit Weblog Configuration' => 'Modifier la configuration du weblog',
    'Import &amp; Export Entries' => 'Importer &amp; Exporter les Notes',
    'Rebuild Site' => 'Actualiser le site',

    ## ./tmpl/cms/spam_confirm.tmpl
    'These domain names were found in the selected comments. Check the box at right to block comments and trackbacks containing that URL in the future.' => 'Ces noms de domaines ont t trouvs dans les commentaires. Cocher la bote  droite pour bloquer ces url dans les commentaires et les trackbacks qui les contiendront  l\'avenir.',
    'Block' => 'Bloquer',

    ## ./tmpl/cms/edit_category.tmpl
    'You must specify a label for the category.' => 'Vous devez spcifier un titre pour cette catgorie.',
    'Edit Category' => 'Editer les catgories',
    'Use this page to edit the attributes of the category [_1]. You can set a description for your category to be used in your public pages, as well as configuring the TrackBack options for this category.' => 'Cette page permet de modifier les attributs de la catgorie [_1]. Vous pouvez indiquer une description, qui sera affiche sur votre site public, et configurer les options TrackBack pour cette catgorie.',
    'Your category changes have been made.' => 'Les modifications apportes ont t enregistres.',
    'Label' => 'Etiquette',
    'Unlock this category\'s output filename for editing' => 'Dvrouiller le fichier de cette catgorie pour l\'diter',
    'Warning: Changing this category\'s basename may break inbound links.' => 'Attention: changer le nom de la catgorie risque de casser des liens entrants.',
    'Save this category (s)' => 'Sauvegarder cette catgorie',
    'Inbound TrackBacks' => 'TrackBacks entrants',
    'If enabled, TrackBacks will be accepted for this category from any source.' => 'Si activ, les TrackBacks seront accepts pour cette catgorie quelle que soit la source.',
    'TrackBack URL for this category' => 'URL TrackBack pour cette catgorie',
    'This is the URL that others will use to send TrackBacks to your weblog. If you wish for anyone to send TrackBacks to your weblog when they have a post specific to this category, post this URL publicly. If you choose to only allow a select group of individuals to TrackBack, send this URL to them privately. To include a list of incoming TrackBacks in your Main Index Template, check the documentation for template tags related to TrackBacks.' => 'Ceci est l\'adresse URL que les personnes vont voir sur votre blog afin de vous envoyer des TrackBacks. Si vous souhaitez que quiconque puisse vous envoyer des TrackBacks, rendez cette adresse publique. Si vous souhaitez seulement que certaines personnes vous envoient des TrackBacks, envoyez leur cette adresse en priv. Pour inclure une liste de tout les TrackBacks entrants sur votre modle Main Index Template, consultez la documentation dans la partie relative aux TrackBacks.',
    'Passphrase Protection' => 'Protection Passphrase',
    'Optional.' => 'Facultatif.',
    'Outbound TrackBacks' => 'TrackBacks sortants',
    'Enter the URL(s) of the websites that you would like to send a TrackBack to each time you post an entry in this category. (Separate URLs with a carriage return.)' => 'Saisissez l\'URL(s) du ou des site(s) web  qui vous souhaitez envoyer un TrackBack chaque fois que vous publiez un note dans cette catgorie. (Faire un passage  la ligne entre chaque URL.)',

    ## ./tmpl/cms/edit_template.tmpl
    'You have unsaved changes to your template that will be lost.' => 'Vous avez des changements non enregistrs qui vont tre perdus.',
    'Edit Template' => 'Modifier un modle',
    'Your template changes have been saved.' => 'Les modifications apportes ont t enregistres.',
    'Rebuild this template' => 'Actualiser ce modle',
    'Build Options' => 'Options de compilation',
    'Enable dynamic building for this template' => 'Activer la compilation dynamique pour ce modle',
    'Rebuild this template automatically when rebuilding index templates' => 'Actualiser ce modle en mme temps que les modles d\'index',
    'Comment Listing Template' => 'Modle de liste des commentaires',
    'Comment Preview Template' => 'Modle d\'aperu des commentaires',
    'Search Results Template' => 'Modle des rsultats d\'une recherche',
    'Comment Error Template' => 'Modle d\'avertissement d\'erreur lie aux commentaires',
    'Comment Pending Template' => 'Modle d\'avertissement de commentaires en attente',
    'Commenter Registration Template' => 'Modle d\'inscription des auteurs de commentaires',
    'TrackBack Listing Template' => 'Modle de liste TrackBack',
    'Uploaded Image Popup Template' => 'Modle de fentre de tlchargement d\'images',
    'Dynamic Pages Error Template' => 'Modle d\'erreur de page dynamique',
    'Link this template to a file' => 'Lier ce modle  un fichier',
    'Module Body' => 'Corps du module',
    'Template Body' => 'Corps du modle',
    'Insert...' => 'Insertion...',
    'Save this template (s)' => 'Sauvegarder ce modle (s)',
    'Save and Rebuild' => 'Sauvegarder et Reconstruire',
    'Save and rebuild this template (r)' => 'Sauvegarder et reconstruire ce modle (r)',

    ## ./tmpl/cms/pager.tmpl
    'Show Display Options' => 'Options d\'affichage',
    'Display Options' => 'Options d\'affichage',
    'Show:' => 'Afficher :',
    '[quant,_1,row]' => '[quant,_1,ligne]',
    'all rows' => 'toutes les lignes',
    'Another amount...' => 'Autre montant...',
    'View:' => 'Vue:',
    'Compact' => 'Compacte',
    'Expanded' => 'Etendue',
    'Actions' => 'Actions', # Translate - Previous (1)
    'Date Display:' => 'Affichage de la date :',
    'Relative' => 'Relative', # Translate - Previous (1)
    'Full' => 'Entire',
    'Open Batch Editor' => 'Ouvrir l\'Editeur par lots',
    'Newer' => 'Le plus rcent',
    'Showing:' => 'Affiche :',
    'of' => 'de',
    'Older' => 'Le plus ancien',

    ## ./tmpl/cms/rebuilt.tmpl
    'All of your files have been rebuilt.' => 'Tous vos fichiers ont t actualiss.',
    'Your [_1] has been rebuilt.' => 'Votre [_1] a t actualis(e).',
    'Your [_1] pages have been rebuilt.' => 'Vos pages [_1] ont t actualises.',
    'View this page' => 'Afficher cette page',
    'Rebuild Again' => 'Actualiser une nouvelle fois',

    ## ./tmpl/cms/cfg_feedback.tmpl
    'Feedback Settings' => 'Paramtrages des Feedbacks',
    'This screen allows you to control the feedback settings for this weblog, including comments and TrackBacks.' => 'Cet cran vous permet de contrler le paramtrage des feedbacks incluant commentaires et TrackBacks.',
    'To see the changes reflected on your public site, you should rebuild your site now.' => 'Vous pouvez actualiser votre site de faon  voir les modifications refltes sur votre site publi',
    'Rebuild my site' => 'Actualiser le site',
    'Rebuild indexes' => 'Reconstruire les index',
    'Note: Commenting is currently disabled at the system level.' => 'Note : Les commentaires sont actuellement dsactivs au niveau systme.',
    'Comment authentication is not available because one of the needed modules, MIME::Base64 or LWP::UserAgent is not installed. Talk to your host about getting this module installed.' => 'L\'authetification de commentaire n\'est pas active car le module MIME::Base64 or LWP::UserAgent est absent. Contactez votre hbergeur pour l\'installation de ce module.',
    'Accept comments from' => 'Accepter les commentaires de',
    'Anyone' => 'Tous',
    'Authenticated commenters only' => 'Auteurs de commentaires authentifis uniquement',
    'No one' => 'Personne',
    'Specify from whom Movable Type shall accept comments on this weblog.' => 'Specifier de qui Movable Type doit accepter les commentaires sur ce weblog.',
    'Authentication Status' => 'Statut d\'authentification',
    'Authentication Enabled' => 'Authentification Active',
    'Authentication is enabled.' => 'Authentification active.',
    'Clear Authentication Token' => 'Effacer le jeton d\'authentification',
    'Authentication Token:' => 'Jeton d\'Authentification:',
    'Authentication Token Removed' => 'Jeton d\'authentification supprim',
    'Please click the Save Changes button below to disable authentication.' => 'Cliquez sur le bouton Enregistrer ci-dessous pour DESACTIVER l\'authentification.',
    'Authentication Not Enabled' => 'Authentication NON Active',
    'Note: You have selected to accept comments from authenticated commenters only but authentication is not enabled. In order to receive authenticated comments, you must enable authentication.' => 'Attention: vous avez slectionn d\'accepter uniquement les commentaires de les auteurs de commentaires identifis MAIS l\'authentification n\'est pas active. Vous devez l\'activer pour recevoir les commentaire  autoriser.',
    'Authentication is not enabled.' => 'Authentification non active.',
    'Setup Authentication' => 'Mise en place de l\'Authentification',
    'Or, manually enter token:' => 'Ou, entrez manuellement le jeton :',
    'Authentication Token Inserted' => 'Jeton d\'authentification inser',
    'Please click the Save Changes button below to enable authentication.' => 'Cliquez sur le bouton Enregistrer ci-dessous pour activer l\'authentification.',
    'Establish a link between your weblog and an authentication service. You may use TypeKey (a free service, available by default) or another compatible service.' => 'Etablir un lien entre votre weblog et un systme d\'authentification. Vous pouvez utiliser TypeKey (service gratuit disponible par dfaut) ou un autre service compatible.',
    'Require E-mail Address' => 'Adresse email requise',
    'If enabled, visitors must provide a valid e-mail address when commenting.' => 'Si activ, le visiteur doit donner une adresse email valide pour commenter.',
    'Immediately publish comments from' => 'Publier immdiatement les commentaires de(s)',
    'Trusted commenters only' => 'Auteurs de commentaires fiables uniquement',
    'Any authenticated commenters' => 'Tout auteur de commentaire authentifi',
    'Specify what should happen to non-junk comments after submission.' => 'Spcifier ce qui doit ce passer pour les commentaires dsirs aprs leur enregistrement.',
    'Unpublished comments are held for moderation.' => 'Les commentaires non publis sont retenus pour modration.',
    'E-mail Notification' => 'Notification par email',
    'On' => 'Activ',
    'Only when attention is required' => 'Uniquement quand l\'attention est requise',
    'Specify when Movable Type should notify you of new comments if at all.' => 'Spcifier quand Movable Type doit vous notifier les nouveaux commentaires.',
    'Allow HTML' => 'Autoriser le HTML',
    'If enabled, users will be able to enter a limited set of HTML in their comments. If not, all HTML will be stripped out.' => 'Si activ, l\'auteur de commentaires pourra entrer du HTML de faon limite dans son commentaire. Sinon, le html ne sera pas pris en compte.',
    'Auto-Link URLs' => 'Liaison automatique des URL',
    'If enabled, all non-linked URLs will be transformed into links to that URL.' => 'Si activ, toutes les urls non lies seront transformes en url actives.',
    'Specifies the Text Formatting option to use for formatting visitor comments.' => 'Spcifie les options de mise en forme du texte des commentaires publis par les visiteurs.',
    'Note: TrackBacks are currently disabled at the system level.' => 'Note: Les TrackBacks sont actuellement dsactivs au niveau systme.',
    'If enabled, TrackBacks will be accepted from any source.' => 'Si activ, les TrackBacks seront accepts quelle que soit la source.',
    'Moderation' => 'Modration',
    'Hold all TrackBacks for approval before they\'re published.' => 'Retenir les TrackBacks pour approbation avant publication.',
    'Specify when Movable Type should notify you of new TrackBacks if at all.' => 'Spcifier quand Movable Type doit vous notifier les nouveaux Trackbacks.',
    'Junk Score Threshold' => 'Sensibilit dtection lments indsirables',
    'Less Aggressive' => 'Moins agressif',
    'More Aggressive' => 'Plus Agressif',
    'Comments and TrackBacks receive a junk score between -10 (complete junk) and +10 (not junk). Feedback with a score which is lower than the threshold shown above will be marked as junk.' => 'Commentaires et TrackBacks reoivent un niveau d\'indsirabilit entre  -10 (compltement indsirable) and +10 (dsirable). Les Feedbacks lists avec un score infrieur au niveau indiqu ci-dessus seront considrs indsirables.',
    'Auto-Delete Junk' => 'Auto-effacement des indsirables',
    'If enabled, junk feedback will be automatically erased after a number of days.' => 'Si activ les feedbacks indsirables seront automatiquement supprims aprs un certain nombre de jours.',
    'Delete Junk After' => 'Effacer les indsirables aprs',
    'days' => 'jours',
    'When an item has been marked as junk for this many days, it is automatically deleted.' => 'Lorsqu\'un lment est marqu indsirable, il sera automatiquement effac aprs le nombre de jours indiqu.',

    ## ./tmpl/cms/comment_actions.tmpl
    'Publish selected comments (p)' => 'Publier les commentaires slectionns (p)',
    'Delete selected comments (x)' => 'Effacer les commentaires slectionns (x)',
    'Junk selected comments (j)' => 'Rejeter les commentaires slectionns (j)',
    'Recover selected comments (j)' => 'Rcuprer les commentaires slectionns (j)',
    'Are you sure you want to remove all junk comments?' => 'Etes-vous certain de vouloir supprimer tous les commentaires indsirables ?',
    'Deletes all junk comments' => 'Efface tous les commentaires indsirables',

    ## ./tmpl/cms/author_table.tmpl

    ## ./tmpl/cms/header.tmpl
    'Go to:' => 'Aller  :',
    'Select a blog' => 'Slectionner un blog',
    'System-wide listing' => 'Listing sur la totalit du systme',

    ## ./tmpl/cms/edit_comment.tmpl
    'The comment has been approved.' => 'Le commentaire a t approuv.',
    'List &amp; Edit Comments' => 'Lister &amp; Editer les commentaires',
    'Pending Approval' => 'En attente d\'approbation',
    'Junked Comment' => 'Commentaire indsirable',
    'View all comments with this status' => 'Voir tous les commentaires avec ce statut',
    '(Trusted)' => '(Fiable)',
    'Ban&nbsp;Commenter' => 'Bannir&nbsp;l\'auteur de commentaires',
    'Untrust&nbsp;Commenter' => 'Auteur de commentaires non fiable',
    '(Banned)' => '(Banni)',
    'Trust&nbsp;Commenter' => 'Faire&nbsp;confiance&nbsp;au&nbsp;Auteurs de commentaires',
    'Unban&nbsp;Commenter' => 'Auteur de commentaires autoris  nouveau',
    'View all comments by this commenter' => 'Afficher tous les commentaires de cet auteur de commentaires',
    'None given' => 'Non fourni',
    'View all comments with this URL' => 'Afficher tous les commentaires associs  cette URL',
    'Entry no longer exists' => 'Cette note n\'existe plus',
    'No title' => 'Sans titre',
    'View all comments on this entry' => 'Afficher tous les commentaires associs  cette note',
    'View all comments posted on this day' => 'Afficher tous les commentaires posts ce mme jour',
    'View all comments from this IP address' => 'Afficher tous les commentaires associs  cette adresse IP',
    'Save this comment (s)' => 'Sauvegarder ce commentaire (s)',
    'Delete this comment (x)' => 'Effacer ce commentaire (x)',
    'Final Feedback Rating' => 'Notation finale des Feedbacks',
    'Test' => 'Test', # Translate - Previous (1)
    'Score' => 'Score', # Translate - Previous (1)
    'Results' => 'Rsultats',

    ## ./tmpl/cms/list_author.tmpl
    'You have successfully deleted the authors from the Movable Type system.' => 'Les auteurs ont t effacs du systme Movable Type.',
    'Created By' => 'Cr par',
    'Last Entry' => 'Dernire Note',

    ## ./tmpl/cms/pending_commenter.tmpl

    ## ./tmpl/cms/header-popup.tmpl

    ## ./tmpl/cms/edit_ping.tmpl
    'The TrackBack has been approved.' => 'Le TrackBack a t approuv.',
    'List &amp; Edit TrackBacks' => 'Lister &amp; Editer les TrackBacks',
    'Junked TrackBack' => 'TrackBacks indsirables',
    'Status:' => 'Statut :',
    'View all TrackBacks with this status' => 'Voir tous les Trackbacks avec ce statut',
    'Source Site:' => 'Site Source :',
    'Search for other TrackBacks from this site' => 'Rechercher d\'autres Trackbacks de ce site',
    'Source Title:' => 'Titre Source :',
    'Search for other TrackBacks with this title' => 'Rechercher d\'autres Trackbacks avec ce titre',
    'Search for other TrackBacks with this status' => 'Rechercher d\'autres Trackbacks avec ce statut',
    'Target Entry:' => 'Note cible :',
    'View all TrackBacks on this entry' => 'Voir tous les TrackBacks pour cette note',
    'Target Category:' => 'Catgorie cible :',
    'Category no longer exists' => 'La catgorie n\'existe plus',
    'View all TrackBacks on this category' => 'Afficher tous les TrackBacks des cette catgorie',
    'View all TrackBacks posted on this day' => 'Afficher tous les TrackBacks posts ce jour',
    'View all TrackBacks from this IP address' => 'Afficher tous les TrackBacks avec cette adresse IP',
    'Save this TrackBack (s)' => 'Sauvegarder ce Trackback (s)',
    'Delete this TrackBack (x)' => 'Effacer ce TrackBack (x)',

    ## ./tmpl/cms/pinging.tmpl
    'Pinging sites...' => 'Envoi de ping(s)...',

    ## ./tmpl/cms/upgrade_runner.tmpl
    'Installation complete.' => 'Installation termine.',
    'Upgrade complete.' => 'Mise  jour termine.',
    'Initializing database...' => 'Initialisation de la base de donnes...',
    'Upgrading database...' => 'Mise  jour de la base de donnes...',
    'Starting installation...' => 'Dbut de l\'installation...',
    'Starting upgrade...' => 'Dbut de la mise  jour...',
    'Error during installation:' => 'Erreur lors de l\'installation :',
    'Error during upgrade:' => 'Erreur lors de la mise  jour :',
    'Installation complete!' => 'Installation termine !',
    'Upgrade complete!' => 'Mise  jour termine !',
    'Login to Movable Type' => 'S\'enregistrer dans Movable Type',
    'Return to Movable Type' => 'Retourner  Movable Type',
    'Your database is already current.' => 'Votre base de donnes est dj actualise.',

    ## ./tmpl/cms/cfg_simple.tmpl
    'This screen allows you to control all settings specific to this weblog.' => 'Cette page vous permet de contrler tous les paramtres spcifiques de ce weblog.',
    'Publishing Paths' => 'Chemins de publication',
    'Enter the URL of your website. Do not include a filename (i.e. exclude index.html).' => 'Entrez l\'url de votre site. Ne pas inclure le nom de fichier (ne pas mettre par exemple : index.html).',
    'Enter the path where your index files will be published. An absolute path (starting with \'/\') is preferred, but you can also use a path relative to the Movable Type directory.' => 'Entrez le chemin o votre fichier index sera publi. Un chemin absolu (commenant par \'/\') est recommand, mais vous pouvez aussi utiliser un chemin relatif vers le rpertoire Movable Type.',
    'You can configure the publishing model for this blog (static vs dynamic) on the ' => 'Vous pouvez choisir le mode de publication de ce blog (statique ou dynamique) sur la ',
    'Detailed Settings' => 'Paramtres dtaills',
    ' page.' => ' page.', # Translate - Previous (2)
    'Choose to display a number of recent entries or entries from a recent number of days.' => 'Choisissez le nombre de notes rcentes ou les notes d\'un nombre de jours donn.',
    'Specify which types of commenters will be allowed to leave comments on this weblog.' => 'Dfinissez le type d\'auteur de commentaires qui sera autoris  commenter sur votre blog.',
    'If you want to require visitors to sign in before leaving a comment, set up authentication with the free TypeKey service.' => 'Si vous voulez que les visiteurs s\'enregistrent avant de laisser un commentaire, mettez en place l\'authentification avec le service gratuit TypeKey.',
    'Specify what should happen to comments after submission. Unpublished comments are held for moderation and junk comments do not appear.' => 'Dfinissez le traitement d\'un commentaire avant publication. Les commentaires non publis, sont en attente pour modration et les commentaires indsirables n\'apparaissent pas',
    'Accept TrackBacks from people who link to your weblog.' => 'Accepter les Trackbacks des personnes qui font des liens vers votre weblog.',

    ## ./tmpl/cms/list_blog.tmpl
    'System Shortcuts' => 'Raccourcis systme',
    'Concise listing of weblogs.' => 'Liste rsume des weblogs.',
    'Create, manage, set permissions.' => 'Crer, grer et accorder les autorisations.',
    'What\'s installed, access to more.' => 'Elments installs, en installer de nouveaux.',
    'Multi-weblog entry listing.' => 'Liste des notes de tous les weblogs.',
    'Multi-weblog tag listing.' => 'Liste des tags de tous les weblogs.',
    'Multi-weblog comment listing.' => 'Liste des commentaires de tous les weblogs.',
    'Multi-weblog TrackBack listing.' => 'Liste des TrackBacks de tous les weblogs.',
    'System-wide configuration.' => 'Configuration gnrale du systme.',
    'Find everything. Replace anything.' => 'Rechercher et/ou remplacer un lment.',
    'What\'s been happening.' => 'Historique des actions.',
    'Status &amp; Info' => 'Statut &amp; Info',
    'Server status and information.' => 'Information et statut serveur.',
    'Set Up A QuickPost Bookmarklet' => 'Installer le Bookmarklet QuickPost',
    'Enable one-click publishing.' => 'Activer la publication en un clic.',
    'My Weblogs' => 'Mes Weblogs',
    'Important:' => 'Important :',
    'Configure this weblog.' => 'Configurer ce weblog.',
    'Create a new entry' => 'Crer une note',
    'Create a new entry on this weblog' => 'Crer une nouvelle note sur ce weblog',
    'Sort By:' => 'Tri par :',
    'Creation Order' => 'Ordre de cration',
    'Last Updated' => 'Dernire Mise  jour',
    'Order:' => 'Ordre :',
    'You currently have no blogs.' => 'Pour l\'instant vous n\'avez pas de blog.',
    'Please see your system administrator for access.' => 'Merci de consulter l\'administrateur systme pour obtenir un accs.',

    ## ./tmpl/cms/commenter_table.tmpl
    'Most Recent Comment' => 'Commentaire le plus rcent',
    'Only show trusted commenters' => 'Afficher uniquement les auteurs de commentaires fiable',
    'Only show banned commenters' => 'Afficher uniquement les auteurs de commentaires bannis',
    'Only show neutral commenters' => 'Afficher uniquement les auteurs de commentaires neutres',
    'View this commenter\'s profile' => 'Afficher le profil de cet auteur de commentaires',

    ## ./tmpl/cms/template_table.tmpl

    ## ./tmpl/cms/blog_actions.tmpl
    'weblog' => 'weblog', # Translate - Previous (1)
    'weblogs' => 'weblogs', # Translate - Previous (1)
    'Delete selected weblogs (x)' => 'Effacer les weblogs slectionns (x)',

    ## ./tmpl/cms/system_list_blog.tmpl
    'Are you sure you want to delete this weblog?' => 'Etes-vous certain de vouloir effacer ce weblog?',
    'Below you find a list of all weblogs in the system with links to the main weblog page and individual settings pages for each.  You may also create or delete blogs from this screen.' => 'Ci-dessous la liste des weblogs du systme avec un lien vers leur page principale et leur page de paramtres individuels. Vous avez la possibilit de crer ou supprimer un weblog  partir de cette page.',
    'You have successfully deleted the blogs from the Movable Type system.' => 'Le blog a t correctement supprim du systme Movable Type.',
    'Create New Weblog' => 'Crer un nouveau Weblog',
    'No weblogs could be found.' => 'Aucun weblog n\'a t trouv.',

    ## ./tmpl/cms/footer-popup.tmpl

    ## ./tmpl/cms/search_replace.tmpl
    'You must select one or more item to replace.' => 'Vous devez slectionner un ou plusieurs objets  remplacer.',
    'Search Again' => 'Chercher encore',
    'Search:' => 'Chercher:',
    'Replace:' => 'Remplacer:',
    'Replace Checked' => 'Remplacer les objets selectionns',
    'Case Sensitive' => 'Respecter la casse',
    'Regex Match' => 'Expression Rgulire',
    'Limited Fields' => 'Champs limits',
    'Date Range' => 'Priode (date)',
    'Is Junk?' => 'Indsirable ?',
    'Search Fields:' => 'Rechercher les champs :',
    'Comment Text' => 'Texte du commentaire',
    'E-mail Address' => 'Adresse email',
    'Source URL' => 'URL Source',
    'Blog Name' => 'Nom du Blog',
    'Text' => 'Texte',
    'Output Filename' => 'Nom du fichier de sortie',
    'Linked Filename' => 'Lien du fichier li',
    'From:' => 'De :',
    'To:' => 'A :',
    'Replaced [_1] records successfully.' => '[_1] enregistrements remplacs avec succs.',
    'No entries were found that match the given criteria.' => 'Aucune note ne correspond  votre recherche.',
    'No comments were found that match the given criteria.' => 'Aucun commentaire ne correspond  votre recherche.',
    'No TrackBacks were found that match the given criteria.' => 'Aucun TrackBack ne correspond  votre recherche.',
    'No commenters were found that match the given criteria.' => 'Aucun auteur de commentaires ne correspond  votre recherche.',
    'No templates were found that match the given criteria.' => 'Aucun habillage ne correspond  votre recherche.',
    'No log messages were found that match the given criteria.' => 'Aucun message de log ne correspond  votre recherche.',
    'No authors were found that match the given criteria.' => 'Aucun auteur ne correspond  votre recherche.',
    'Showing first [_1] results.' => 'Afficher d\'abord [_1] rsultats.',
    'Show all matches' => 'Afficher tous les rsultats',
    '[_1] result(s) found.' => '[_1] resultat(s) trouv(s).',

    ## ./tmpl/cms/system_info.tmpl
    'System Status and Information' => 'Statut du systme et information',
    'This page will soon contain information about the server environment availability of required perl modules, installed plugins and other information useful for expediting debugging in technical support requests.' => 'Cette page va regrouper les informations au sujet de la disponibilit de l\'environnement serveur des modules perl, des plugins installs et d\'autres informations utiles pour le debug dans les demandes de support technique.',

    ## ./tmpl/cms/entry_actions.tmpl
    'Save these entries (s)' => 'Sauvegarder ces notes (s)',
    'Save this entry (s)' => 'Sauvegarder cette note (s)',
    'Preview this entry (v)' => 'Aperu de cette note (v)',
    'entry' => 'note',
    'entries' => 'notes',
    'Delete this entry (x)' => 'Effacer cette note (x)',
    'to rebuild' => 'pour reconstruire',
    'Rebuild selected entries (r)' => 'Reconstruire les notes slectionnes (r)',
    'Delete selected entries (x)' => 'Effacer les notes slectionnes (x)',

    ## ./tmpl/cms/bm_entry.tmpl
    'Select' => 'Slectionner',
    'You must choose a weblog in which to post the new entry.' => 'Vous devez slectionner le weblog dans lequel publier cette note.',
    'Select a weblog for this post:' => 'Slectionnez un weblog pour cette note :',
    'Send an outbound TrackBack:' => 'Envoyer un TrackBack :',
    'Select an entry to send an outbound TrackBack:' => 'Choisissez une note pour envoyer un TrackBack :',
    'Accept' => 'Accepter',
    'You do not have entry creation permission for any weblogs on this installation. Please contact your system administrator for access.' => 'Vous n\'avez pas accs  la cration de weblog dans cette installation. Merci de contacter votre Administrateur Systme pour avoir un accs.',

    ## ./tmpl/cms/cfg_archives.tmpl
    'Are you sure you want to delete this template map?' => 'Etes-vous sur de vouloir supprimer cette carte d\'habillage ?',
    'You must set a valid Site URL.' => 'Vous devez spcifier une URL valide.',
    'You must set a valid Local Site Path.' => 'Vous devez spcifier un chemin local d\'accs valide.',
    'Publishing Settings' => 'Paramtres de publication',
    'This screen allows you to control this weblog\'s publishing paths and preferences, as well as archive mapping settings.' => 'Cet cran vous permet de contrler les chemins de publication, les prfrences et les paramtres d\'archives de ce weblog.',
    'Error: Movable Type was not able to create a directory for publishing your weblog. If you create this directory yourself, assign sufficient permissions that allow Movable Type to create files within it.' => 'Erreur : Movable Type n\'a pas pu crer le dossier pour publier ce weblog.  Si vous crez ce dossier vous mme, assigner suffisamment d\'autorisations  Movable Type pour y crer des fichiers.',
    'Your weblog\'s archive configuration has been saved.' => 'La configuration des archives de votre weblog a t enregistre.',
    'You may need to update your templates to account for your new archive configuration.' => 'Vous devrez peut-tre mettre  jour votre habillage pour pour obtenir votre nouvelle configuration d\'archives.',
    'You have successfully added a new archive-template association.' => 'L\'association modle/archive a russi.',
    'You may need to update your \'Master Archive Index\' template to account for your new archive configuration.' => 'Vous aurez peut-tre besoin de mettre  jour votre habillage \'Index principal des archives\' pour activer la nouvelle configuration de vos archives.',
    'The selected archive-template associations have been deleted.' => 'Les associations modle/archive slectionnes ont t supprimes.',
    'Advanced Archive Publishing:' => 'Publication Avance des Archives :',
    'Publish archives to alternate root path' => 'Publier les archives sur un chemin racine alternatif',
    'Select this option only if you need to publish your archives outside of your Site Root.' => 'Slectionnez cette option si vous avez besoin de publier vos archives en dehors de la racine du Site.',
    'Archive URL:' => 'URL des archives :',
    'Enter the URL of the archives section of your website.' => 'Entrer l\'URL de la section Archives de votre site.',
    'Archive Root' => 'Archive Racine',
    'Enter the path where your archive files will be published.' => 'Entrer le chemin de l\'endroit o seront publies vos archives.',
    'Publishing Preferences' => 'Prfrences de Publication',
    'Preferred Archive Type:' => 'Type d\'archive prfr :',
    'No Archives' => 'Pas d\'archive',
    'Individual' => 'Individuelles',
    'Daily' => 'Quotidien',
    'Weekly' => 'Hebdomadaire',
    'Monthly' => 'Mensuelles',
    'When linking to an archived entry&#8212;for a permalink, for example&#8212;you must link to a particular archive type, even if you have chosen multiple archive types.' => 'Lorsque vous tablissez un hyperlien vers une note archive, comme pour un permalien, vous devez crer le lien vers un type d\'archive spcifique, mme si vous avez choisi plusieurs types d\'archive.',
    'File Extension for Archive Files:' => 'Extension de fichier pour les archives:',
    'Enter the archive file extension. This can take the form of \'html\', \'shtml\', \'php\', etc. Note: Do not enter the leading period (\'.\').' => 'Entrez l\'extension du fichier d\'archive. Elle peut tre au choix \'html\', \'shtml\', \'php\', etc. NB: Ne pas indiquer la priode (\'.\').',
    'Dynamic Publishing:' => 'Publication Dynamique :',
    'Build all templates statically' => 'Construire chaque modle de manire statique',
    'Build only Archive Templates dynamically' => 'Construire uniquement les Modles d\'Archive dynamiquement',
    'Set each template\'s Build Options separately' => 'Mettre en place les Options de Construction des modles individuellement',
    'Archive Mapping' => 'Table de correspondance des archives',
    'Create New Archive Mapping' => 'Crer une nouvelle table de correspondance des archives',
    'Archive Type:' => 'Type d\'archive :',
    'INDIVIDUAL_ADV' => 'par note',
    'DAILY_ADV' => 'de faon quotidienne',
    'WEEKLY_ADV' => 'hebdomadaire',
    'MONTHLY_ADV' => 'par mois',
    'CATEGORY_ADV' => 'par catgorie',
    'Template' => 'Modle',
    'Archive Types' => 'Types d\'archive',
    'Archive File Path' => 'Chemin vers les Fichiers Archive',
    'Preferred' => 'Prfr',
    'Custom...' => 'Personnalis...',
    'archive map' => 'Association d\'archive',
    'archive maps' => 'Associations d\'archive',

    ## ./tmpl/cms/upload.tmpl
    'To upload a file to your server, click on the browse button to locate the file on your hard drive.' => 'Cliquez sur le bouton Parcourir pour slectionner un fichier de votre disque dur  tlcharger vers le serveur.',
    'File:' => 'Fichier:',
    'Set Upload Path' => 'Dfinir le chemin de tlchargement',
    '(Optional)' => '(facultatif)',
    'Path:' => 'Chemin :',
    'Upload' => 'Tlcharger',

    ## ./tmpl/cms/footer.tmpl

    ## ./tmpl/cms/edit_categories.tmpl
    'Your category changes and additions have been made.' => 'Les modifications apportes aux catgories ont t enregistres.',
    'You have successfully deleted the selected categories.' => 'Les catgories slectionnes ont t supprimes.',
    'Create new top level category' => 'Crer une nouvelle catgorie principale',
    'Create Category' => 'Crer une catgorie',
    'Collapse' => 'Rduire',
    'Expand' => 'Dvelopper',
    'Create Subcategory' => 'Crer une sous-catgorie',
    'Move Category' => 'Dplacer la catgorie',
    'Move' => 'Dplacer',
    '[quant,_1,TrackBack]' => '[quant,_1,TrackBack]', # Translate - Previous (4)
    'categories' => 'catgories',
    'Delete selected categories (x)' => 'Effacer les catgories slectionnes (x)',

    ## ./tmpl/cms/edit_placements.tmpl
    'The secondary categories for this entry have been updated. You will need to SAVE the entry for these changes to be reflected on your public site.' => 'Les catgories secondaires de cette note ont t mises  jour. Vous devez enregistrer la note pour voir les modifications refltes sur votre site public',
    'Categories in your weblog:' => 'Catgories de votre weblog :',
    'Secondary categories:' => 'Catgories secondaires :',
    'Assign &gt;&gt;' => 'Assigner &gt;&gt;',
    '&lt;&lt; Remove' => '&lt;&lt; Supprimer',

    ## ./tmpl/cms/rebuild-stub.tmpl

    ## ./tmpl/wizard/mt-config.tmpl

    ## ./tmpl/wizard/packages.tmpl
    'Step 1 of 3' => 'tape 1 sur 3',
    'Requirements Check' => 'Vrifications des lments indispensables',
    'One of the following Perl modules are required in order to make a database connection.  Movable Type requires a database in order to store your weblog data.  Please install one of the packages listed here in order to proceed.  When you are ready, click the \'Retry\' button.' => 'Un des modules Perl suivant est requis afin de faire une connexion  la base de donnes. Movable Type a besoin d\'une base de donne pour stocker les donnes de votre blog. Merci d\'installer un ou plusieurs packages lists ici pour la base de donnes. Quand vous avez fait la modification cliquez sur le bouton \'Ressayer\'.',
    'Missing Database Packages' => 'Elment de base de donnes manquant',
    'The following optional, feature-enhancing Perl modules could not be found. You may install them now and click \'Retry\' or simply continue without them.  They can be installed at any time if needed.' => 'Les modules optionnels Perl suivants n\'ont pas t trouvs. Vous pouvez les installer maintenant puis cliquez sur \'Ressayer\' ou simplement continuer sans les installer. Ils peuvent aussi tre installs ultrieurement.',
    'Missing Optional Packages' => 'Packages optionnels manquants',
    'The following Perl modules are required for Movable Type to run properly. Once you have met these requirements, click the \'Retry\' button to re-test for these packages.' => 'Les modules Perl suivants sont indispenssables  Movable Type. Une fois que vous les avez installer correctement, cliquez sur le bouton \'Ressayer\' pour refaire le test.',
    'Missing Required Packages' => 'Packages obligatoires manquants',
    'Minimal version requirement:' => 'Version minimale requise :',
    'Your server has all of the required modules installed; you do not need to perform any additional module installations.' => 'Votre serveur contient tous les modules ncessaires installs; inutile de lancer une installation complmentaire.',
    'Back' => 'Retour',
    'Retry' => 'Recommencer',

    ## ./tmpl/wizard/optional.tmpl
    'Step 3 of 3' => 'tape 3 sur 3',
    'Mail Configuration' => 'Configuration Email',
    'Your mail configuration is complete. To finish with the configuration wizard, press \'Continue\' below.' => 'La configuration email est termine. Pour conclure, cliquez sur le bouton \'Continuer\' ci-dessous.',
    'You can configure you mail settings from here, or you can complete the configuration wizard by clicking \'Continue\'.' => 'Vous pouvez,  partir de l, configurer les paramtres email, ou le faire  avec le configurateur tpape par tape en cliquant sur \'Continuer\'.',
    'An error occurred while attempting to send mail: ' => 'Une erreur est intervenue lors de la tentative d\'envoi d\'email: ',
    'MailTransfer' => 'Transfert email',
    'Select One...' => 'Slectionner un...',
    'SendMailPath' => 'Chemin d\'envoi email',
    'The physical file path for your sendmail.' => 'Le chemin physique pour votre SendMail.',
    'SMTP Server' => 'Serveur SMTP',
    'Address of your SMTP Server' => 'Addresse de votre serveur SMTP',
    'Mail address for test sending' => 'Addresse email pour envoi d\'un test',
    'Send Test Email' => 'Envoyer un email test',

    ## ./tmpl/wizard/complete.tmpl
    'Congratulations! You\'ve successfully configured [_1] [_2].' => 'Flicitations ! Vous avez configur avec succs [_1] [_2].',
    'This is a copy of your configuration settings.' => 'Ceci est une copie de vos paramtres de configuration.',
    'We were unable to create your configuration file. If you would like to check the directory permissions and retry, click the \'Retry\' button.' => 'Nous n\'avons pas pu crer votre fichier de configuration. Merci de vrifier la bibliothque des autorisations et d\'essayer  nouveau cliquez sur le bouton \'Recommencer\'.',
    'Install' => 'Installer',

    ## ./tmpl/wizard/header.tmpl
    'Movable Type' => 'Movable Type', # Translate - Previous (2)
    'Movable Type Configuration Wizard' => 'Configuration Movable Type pas  pas',

    ## ./tmpl/wizard/start.tmpl
    'Movable Type requires that you enable JavaScript in your browser. Please enable it and refresh this page to proceed.' => 'Movable Type ncessite l\'activation des Javascripts sur votre navigateur.  Merci de le faire et de rafrachir la page pour commencer le processus',
    'Your Movable Type configuration file already exists. The Wizard cannot continue with this file present.' => 'Votre fichier de configuration Movable Type existe dj. L\'installation pas  pas ne peut pas continuer avec ce fichier prsent.',
    'This wizard will help you configure the basic settings needed to run Movable Type.' => 'L\'installation pas  pas va vous aider  configurer les paramtres de base ncssaires  l\'installation de Movable Type.',
    'Static Web Path' => 'Chemin Web Statique',
    'Due to your server\'s configuration it is not accessible in its current location and must be moved to a web-accessible location (e.g. into your web document root directory).' => 'Avec la configuration actuelle de votre serveur le dossier n\'est pas accessible depuis son endroit actuel et doit tre dpla dans un endroit accessible depuis Internet (par exemple dans le dossier racine de votre serveur web).',
    'This directory has either been renamed or moved to a location outside of the Movable Type directory.' => 'Ce dossier a soit t renomm ou dplac dans un endroit en dehors du dossier Movable Type.',
    'Please specify the web-accessible URL to this directory below.' => 'Merci de spcifier l\'adresse URL accessible depuis Internet de ce rpertoire.',
    'Static web path URL' => 'Adresse URL statique du chemin',
    'This can be in the form of http://example.com/mt-static/ or simply /mt-static' => 'Ceci peut avoir la forme de http://example.com/mt-static/ ou simplement /mt-static',
    'Begin' => 'Commencer',

    ## ./tmpl/wizard/configure.tmpl
    'You must set your Database Path.' => 'Vous devez paramtrer un chemin pour la Base de donnes.',
    'You must set your Database Name.' => 'Vous devez attribuer un nom  la Base de donnes.',
    'You must set your Username.' => 'Vous devez choisir un nom d\'utilisateur.',
    'You must set your Database Server.' => 'Vous devez paramtrer votre  serveur de base de Donnes.',
    'Step 2 of 3' => 'tape 2 sur 3',
    'Database Configuration' => 'Configuration Base de Donnes',
    'Your database configuration is complete. Click \'Continue\' below to configure your mail settings.' => 'La configuration de votre Base de Donnes est termine.  Cliquez sur \'Continuer\' pour configurer les paramtres email',
    'Please enter the parameters necessary for connecting to your database.If your database type is not listed in the dropdown below, you may be missing the Perl module necessary to connect to your database.  If this is the case, please check your installation and click <a href=' => 'Merci de saisir les paramtres de connexion  votre base de donnes. Si votre base n\'eest pas liste dans le menu droulant ci-dessous, c\'est probablement qu\'il vous manque un module Perl ncessaire pour effectuer cette connexion. Dans ce cas, merci de vrifier votre installation et cliquer sur <a href=',
    'An error occurred while attempting to connect to the database: ' => 'Une erreur s\'est produite lors de la tentative de connexion  votre base de donnes: ',
    'Database' => 'Base de donnes',
    'Database Path' => 'Chemin de Base de donnes',
    'The physical file path for your BerkeleyDB or SQLite database. ' => 'Le chemin physique d\'accs pour votre Base de donnes BerkeleyDB ou SQLite. ',
    'A default location of \'./db\' will store the database file(s) underneath your Movable Type directory.' => 'Une localisation par dfaut de  \'./db\' archivera  les fichiers de Base de donnes dans votre librairie Movable Type.',
    'Database Name' => 'Nom de la Base de donnes',
    'The name of your SQL database (this database must already exist).' => 'Le nom de votre Base de donnes SQL (Cette base de donnes doit dj exister).',
    'The username to login to your SQL database.' => 'Le nom d\'utilisateur pour s\'identifier dans votre Base de donnes.',
    'The password to login to your SQL database.' => 'Le mot de passe pour s\'identifier dans votre Base de donnes.',
    'Database Server' => 'Serveur de Base de donnes',
    'This is usually \'localhost\'.' => 'C\'est habituellement\'localhost\'.',
    'Database Port' => 'Port de la Base de donnes',
    'This can usually be left blank.' => 'Peut tre habituellement laiss vide.',
    'Database Socket' => 'Socket de Base de Donnes',
    'Test Connection' => 'Test de Connexion',

    ## ./tmpl/wizard/footer.tmpl

    ## ./tmpl/feeds/feed_chrome.tmpl

    ## ./tmpl/feeds/feed_comment.tmpl
    'system' => 'systme',
    'Blog' => 'Blog', # Translate - Previous (1)
    'Untitled' => 'Sans nom',
    'Edit' => 'Editer',
    'Unpublish' => 'D-publier',
    'More like this' => 'Plus du mme genre',
    'From this blog' => 'De ce blog',
    'On this entry' => 'Sur cette note',
    'By commenter identity' => 'Par identit de l\'auteur de commentaires',
    'By commenter name' => 'Par nom de l\'auteur de commentaires',
    'By commenter email' => 'Par l\'e-mail de l\'auteur de commentaires',
    'By commenter URL' => 'Par URL de l\'auteur de commentaires',
    'On this day' => 'Pendant cette journe',

    ## ./tmpl/feeds/error.tmpl
    'Movable Type Activity Log' => 'Movable Type Log d\'activit',
    'Movable Type System Activity' => 'Movable Type activit du systme',

    ## ./tmpl/feeds/feed_entry.tmpl
    'From this author' => 'De cet auteur',

    ## ./tmpl/feeds/login.tmpl
    'This link is invalid. Please resubscribe to your activity feed.' => 'Ce lien n\'est pas valide. Merci de souscrire  nouveau  votre flux d\'activit.',

    ## ./tmpl/feeds/feed_ping.tmpl
    'Source blog' => 'Blog source',
    'By source blog' => 'Par le blog source',
    'By source title' => 'Par le titre de la source',
    'By source URL' => 'Par l\'URL de la source',

    ## ./tmpl/feeds/feed_system.tmpl

    ## ./tmpl/email/recover-password.tmpl

    ## ./tmpl/email/new-comment.tmpl
    'An unapproved comment has been posted on your blog [_1], for entry #[_2] ([_3]). You need to approve this comment before it will appear on your site.' => 'Un commentaire non approuv a t envoy sur votre blog [_1], pour la note #[_2] ([_3]). Vous devez l\'approuver pour qu\'il apparaisse sur votre blog.',
    'Approve this comment:' => 'Approuver ce commentaire:',
    'A new comment has been posted on your blog [_1], on entry #[_2] ([_3]).' => 'Un nouveau commentaire a t publi sur votre weblog [_1], au sujet de la note [_2] ([_3]). ',
    'View this comment:' => 'Afficher ce commentaire :',
    'Comments:' => 'Commentaires :',

    ## ./tmpl/email/notify-entry.tmpl
    '[_1] Update: [_2]' => '[_1] Mise  jour : [_2]',

    ## ./tmpl/email/verify-subscribe.tmpl
    'Thanks for subscribing to notifications about updates to [_1]. Follow the link below to confirm your subscription:' => 'Merci d\'avoir pour votre inscription aux mises  jours [_1]. Cliquez sur le lien ci-dessous pour confirmer cette inscription :',
    'If the link is not clickable, just copy and paste it into your browser.' => 'Si le lien n\'est pas cliquable, faites simplement un copier-coller dans votre navigateur.',

    ## ./tmpl/email/new-ping.tmpl
    'An unapproved TrackBack has been posted on your blog [_1], for entry #[_2] ([_3]). You need to approve this TrackBack before it will appear on your site.' => 'Un Trackback non approuv a t envoy pour votre weblog [_1], pour la note #[_2] ([_3]). Vous devez l\'approuver pour qu\'il apparaisse sur votre blog.',
    'An unapproved TrackBack has been posted on your blog [_1], for category #[_2], ([_3]). You need to approve this TrackBack before it will appear on your site.' => 'Un Trackback non approuv a t envoy pour votre weblog [_1], pour la catgorie #[_2], ([_3]). Vous devez l\'approuver pour qu\'il apparaisse sur votre blog.',
    'Approve this TrackBack:' => 'Approuver ce TrackBack :',
    'A new TrackBack has been posted on your blog [_1], on entry #[_2] ([_3]).' => 'Un nouveau Trackback a t envoy sur votre blog [_1], sur la note #[_2] ([_3]).',
    'A new TrackBack has been posted on your blog [_1], on category #[_2] ([_3]).' => 'Un nouveau Trackback a t envoy sur votre blog [_1], sur la catgorie #[_2] ([_3]).',
    'View this TrackBack:' => 'Voir ce TrackBack :',

    ## ./tmpl/email/footer-email.tmpl
    'Powered by Movable Type' => 'Powered by Movable Type', # Translate - Previous (4)

    ## ./t/driver-tests.pl

    ## ./t/blog-common.pl

    ## ./t/test-common.pl

    ## ./t/test.tmpl

    ## ./t/plugins/testplug.pl

    ## Other phrases, with English translations.
    'Bad ObjectDriver config' => 'Mauvaise config ObjectDriver', # Translate - New (3)
    'Two plugins are in conflict' => 'Deux plugins sont en conflit', # Translate - New (5)
    '_BLOG_CONFIG_MODE_DETAIL' => 'Mode dtaill',
    'Updating category placements...' => 'Modification des placements de catgories...', # Translate - New (3)
    'The previous post in this blog was <a href="[_1]">[_2]</a>.' => 'La prcdente note de ce blog tait <a href="[_1]">[_2]</a>.',
    'RSS 1.0 Index' => 'Index RSS 1.0',
    '_USAGE_BOOKMARKLET_4' => 'QuickPost vous permet de publier vos notes  partir de n\'importe quel point du web. Vous pouvez, en cours de consultation d\'une page que vous souhaitez mentionner, cliquez sur QuickPost pour ouvrir une fentre popup contenant des options Movable Type spciales. Cette fentre vous permet de slectionner le weblog dans lequel vous souhaitez publier la note, puis de la crer et de la publier.',
    'Remove Tags...' => 'Enlever les Tags...',
    '_BLOG_CONFIG_MODE_BASIC' => 'Mode basique',
    'DAILY_ADV' => 'de faon quotidienne',
    '_USAGE_PERMISSIONS_3' => 'Il existe deux faons d\'accorder ou de rvoquer les privilges d\'accs affects aux utilisateurs. La premire est de slectionner un utilisateur parmi ceux du menu ci-dessous et de cliquer sur Modifier. La seconde est de consulter la liste de tous les auteurs, puis de slectionner l\'auteur que vous souhaitez modifier ou supprimer.',
    'Tags to remove from selected entries' => 'Tags  enlever des notes slectionnes',
    '_NOTIFY_REQUIRE_CONFIRMATION' => 'Un email a t envoy  [_1]. Pour valider votre inscription, merci de cliquer sur le lien qui figure dans cet email. Il permettra de vrifier que votre adresse email est valable.',
    'Manage Notification List' => 'Grer la liste de notification',
    'This page contains an archive of all entries posted to [_1] in the <strong>[_2]</strong> category.  They are listed from oldest to newest.' => 'Cette page contient les archives de toutes les notes postes sur [_1] dans la catgorie <strong>[_2]</strong>. Elles sont classes de la plus ancienne  la plus rcente.',
    'Individual' => 'Individuelles',
    'An error occurred while testing for the new tag name.' => 'Une erreur est survenue en testant la nouvelle balise.', # Translate - New (10)
    'Updating blog old archive link status...' => 'Modification de l\'ancien statut du lien d\'archive du blog...', # Translate - New (6)
    '_USAGE_COMMENTS_LIST_ALL_WEBLOGS' => 'Voici la liste des commentaires de tous les weblogs que vous pouvez filtrer, grer et diter.',
    '_USAGE_FORGOT_PASSWORD_2' => 'Ce nouveau mot de passe devrait vous permettre d\'ouvrir une session Movable Type. Vous pourrez changer ce mot de passe une fois la session ouverte.',
    'To enable comment registration, you need to add a TypeKey token in your weblog config or author profile.' => 'Pour activer l\'authentification des commentaires, vous devez ajouter une cl TypeKey dans la config de votre weblog ou dans le profil de l\'auteur.', # Translate - New (18)
    '_USAGE_COMMENT' => 'Modifiez le commentaire slectionn. Cliquez sur Enregistrer une fois les modifications apportes. Vous devrez actualiser vos fichiers pour voir les modifications refltes sur votre site.',
    '_SEARCH_SIDEBAR' => 'Rechercher',
    '_SYSTEM_TEMPLATE_DYNAMIC_ERROR' => 'Affich quand une erreur est rencontre dans une page blog dynamique',
    'An error occurred processing [_1]. Check <a href="http://www.feedvalidator.org/check.cgi?url=[_2]">here</a> for more detail and please try again.' => 'Une erreur est survenue pendant le traitement [_1]. Consultez <a href="http://www.feedvalidator.org/check.cgi?url=[_2]">cette page</a> pour plus de dtails et ressayez aprs.',
    'View image' => 'Voir l\'image', # Translate - New (2)
    'Date-Based Archive' => 'Archivage par date',
    'Unban Commenter(s)' => 'Rautoriser cet auteur de commentaires',
    'Individual Entry Archive' => 'Archivage par note',
    'Daily' => 'Quotidien',
    'Setting blog basename limits...' => 'Setting blog basename limits...', # Translate - New (4)
    'Assigning visible status for comments...' => 'Ajout du statut visible pour les commentaires...', # Translate - New (5)
    'Unpublish Entries' => 'Annuler publication',
    'Powered by [_1]' => 'Powered by [_1]', # Translate - New (3)
    'Create a feed widget' => 'Crer un nouveau widget de flux',
    '_USAGE_UPLOAD' => 'Vous pouvez tlcharger le fichier ci-dessus dans le chemin local de votre site <a href="javascript:alert(\'[_1]\')">(?)</a> ou dans le chemin des archives de votre site <a href="javascript:alert(\'[_2]\')">(?)</a>. Vous pouvez galement tlcharger le fichier dans un rpertoire compris dans les rpertoires mentionns ci-dessus, en spcifiant le chemin dans les champs de droite (<i>images</i>, par exemple). Les rpertoires qui n\'existent pas encore seront crs.',
    '<a href="[_1]">[_2]</a> is the next archive.' => '<a href="[_1]">[_2]</a> est l\'archive suivante.',
    'Updating commenter records...' => 'Modification des donnes du commentateur...', # Translate - New (3)
    'Assigning junk status for comments...' => 'Ajout du statut spam pour les commentaires...', # Translate - New (5)
    'Bad CGIPath config' => 'Mauvaise config CGIPath', # Translate - New (3)
    'Refreshing (with <a href="?__mode=view&amp;blog_id=[_1]&amp;_type=template&amp;id=[_2]">backup</a>) template \'[_3]\'.' => 'Actualisation (depuis une <a href="?__mode=view&amp;blog_id=[_1]&amp;_type=template&amp;id=[_2]">sauvegarde</a>) du modle \'[_3]\'.',
    '_USAGE_REBUILD' => 'Vous devrez cliquer sur <a href="#" onclick="doRebuild()">Actualiser</a> pour voir les modifications refltes sur votre site publi',
    'Missing configuration file. Maybe you forgot to move mt-config.cgi-original to mt-config.cgi?' => 'Fichier de configuration manquant. Avez-vous oubli de dplacer mt-config.cgi-original vers mt-config.cgi?', # Translate - New (13)
    'If present, 3rd argument to add_callback must be an object of type MT::Plugin' => 'Si prsent, le 3me argument de add_callback doit tre un object de type MT::Plugin', # Translate - New (15)
    'Blog Administrator' => 'Administrateur Blog',
    'CATEGORY_ADV' => 'par catgorie',
    '_WARNING_PASSWORD_RESET_MULTI' => 'Vous tes sur le point de rinitialiser le mot de passe des utilisateurs slectionns. Les nouveaux mots de passe sont gnrs automatiquement et serront envoys directement aux utilisateurs par e-mail.\n\nEtes-vous sr de vouloir continuer ?',
    'You must define a Comment Listing template in order to display dynamic comments.' => 'Vous devez dfinir un template Comment Listing pour afficher des commentaires dynamiquement.', # Translate - New (13)
    'Dynamic Site Bootstrapper' => 'Initialisateur de site dynamique',
    'Assigning entry basenames for old entries...' => 'Ajout des racines des notes pour les anciennes notes...', # Translate - New (6)
    'Assigning blog administration permissions...' => 'Ajout des permissions d\'administration du blog...', # Translate - New (4)
    '_USAGE_COMMENTS_LIST_BLOG' => 'Voici la liste des Commentaires pour [_1] que vous pouvez filtrer, grer et diter.',
    'Error sending mail ([_1]); please fix the problem, then try again to recover your password.' => 'Erreur d\'envoi du mail ([_1]); merci de corriger le problme, puis essayez  nouveau de rcuprer votre mot de passe.', # Translate - New (15)
    'Error saving entry: [_1]' => 'Erreur d\'enregistrement de la note: [_1]', # Translate - New (4)
    'Category Archive' => 'Archivage par catgorie',
    'index' => 'index', # Translate - New (1)
    'Updating user permissions for editing tags...' => 'Modification des permissions des utilisateurs pour modifier les balises...', # Translate - New (6)
    'Assigning author types...' => 'Ajout des types d\'auteurs...', # Translate - New (3)
    '_USAGE_EXPORT_1' => 'L\'exportation de vos notes de Movable Type vous permet de crer une <b>version de sauvegarde</b> du contenu de votre weblog. Le format des notes exportes convient  leur importation dans le systme  l\'aide du mcanisme d\'importation (voir ci-dessus), ce qui vous permet, en plus d\'exporter vos notes  des fins de sauvegarde, d\'utiliser cette fonction pour <b>transfrer vos notes d\'un weblog  un autre</b>.',
    '_SYSTEM_TEMPLATE_PINGS' => 'Affich quand les PopUps de Trackbacks sont dsactivs',
    'Setting default blog file extension...' => 'Ajout de l\'extension de fichier par dfaut du blog...', # Translate - New (5)
    '<a href="[_1]">[_2]</a> is the previous category.' => '<a href="[_1]">[_2]</a> est la catgorie prcdente.',
    'Entry Creation' => 'Cration d\'une note',
    'Assigning visible status for TrackBacks...' => 'Ajout du statut visible des TrackBacks...', # Translate - New (5)
    'Atom Index' => 'Index Atom',
    '_USAGE_PLACEMENTS' => 'Les outils d\'dition permettent de grer les catgories secondaires auxquelles cette note est associe. La liste de gauche contient les catgories auxquelles cette note n\'est pas encore associe en tant que catgorie principale ou catgorie secondaire ; la liste de droite contient les catgories secondaires auxquelles cette note est associe.',
    'Adds template tags to allow you to search for content from Google. You will need to configure this plugin using a <a href=\'http://www.google.com/apis/\'>license key.</a>' => 'Ajoute des tags aux modles qui vous permettrons de rechercher du contenu sur Google. Vous aurez besoin de configurer ce plugin avec une <a href=\'http://www.google.com/apis/\'>cl de licence</a>.',
    'Invalid priority level [_1] at add_callback' => 'Niveau de priorit invalide [_1] dans add_callback', # Translate - New (7)
    'Add Tags...' => 'Ajouter des Tags...',
    'This page contains a single entry from the blog posted on <strong>[_1]</strong>.' => 'Cette page contient une note poste sur on <strong>[_1]</strong>.',
    '_THROTTLED_COMMENT_EMAIL' => 'Un visiteur de votre weblog [_1] a t automatiquement bannit aprs avoir publi une quantit de commentaires suprieure  la limite tablie au cours des [_2] secondes. Cette opration est destine  empcher la publication automatise de commentaires par des scripts. L\'adresse IP bannie est

    [_3]

S\'il s\'agit d\'une erreur, vous pouvez annuler le bannissement de l\'adresse IP dans Movable Type, sous Configuration du weblog > Bannissement d\'adresses IP, et en supprimant l\'adresse IP [_4] de la liste des addresses bannies.',
    'Search Template' => 'Template de Recherche', # Translate - New (2)
    'MONTHLY_ADV' => 'par mois',
    'Sending mail via SMTP requires that your server have Mail::Sendmail installed: [_1]' => 'Pour envoyer des mails via SMTP votre serveur doit avoir Mail::Sendmail install: [_1]', # Translate - New (13)
    'It can be included onto your published blog using <a href="[_1]">WidgetManager</a> or this MTInclude tag' => 'Cela peut tre intgr dans votre blog en utilisant le <a href="[_1]">Gestionnaire de Widgets</a> ou grce au tag MTInclude',
    'Manage Tags' => 'Grer les Tags',
    '_SYSTEM_TEMPLATE_COMMENT_PREVIEW' => 'Affich quand un auteur de commentaires consulte un aperu de  son commentaire',
    'Download file' => 'Tlcharger le fichier', # Translate - New (2)
    '_USAGE_BOOKMARKLET_3' => 'Pour installer le signet QuickPost de Movable Type: dposez le lien suivant dans le menu ou la barre d\'outils des liens favoris de votre navigateur.',
    '_USAGE_PASSWORD_RESET' => 'Ci-dessous, vous pouvez rinitialiser le mot de passe pour cet utilisateur. Si vous faites cela un mot de passe gnr alatoirement sera cr et envoy par e-mail  : [_1].',
    'File with name \'[_1]\' already exists. (Install File::Temp if you\'d like to be able to overwrite existing uploaded files.)' => 'Le fichier dont le nom est \'[_1]\' existe dj. (Installez File::Temp si vous souhaitez pouvoir craser les fichiers dj chargs.)', # Translate - New (21)
    'DBI and DBD::SQLite2 are required if you want to use the SQLite2 database backend.' => 'DBI et DBD::SQLite2 sont ncessaires si vous souhaitez utiliser SQLite2 comme base de donnes.', # Translate - New (15)
    'You do not have a valid path to sendmail on your machine. Perhaps you should try using SMTP?' => 'Vous n\'avez pas un chemin valide vers sendmail sur votre machine. Vous devriez essayer SMTP?', # Translate - New (18)
    'Error loading default templates.' => 'Erreur pendant le chargement des templates par dfaut.', # Translate - New (4)
    '4th argument to add_callback must be a CODE reference.' => '4me argument de add_callback doit tre une rfrence de CODE.', # Translate - New (10)
    '_USAGE_LIST_POWER' => 'Cette liste est la liste des notes de [_1] en mode d\'dition par lots. Le formulaire ci-dessous vous permet de changer les valeurs des notes affiches ; cliquez sur le bouton Enregistrer une fois les modifications souhaites effectues. Les fonctions de la liste possibles avec les Notes existantes fonctionnent en mode de traitement par lots comme en mode standard.',
    'Or return to the <a href="[_1]">Main Menu</a> or <a href="[_2]">System Overview</a>.' => 'Ou retournez au <a href="[_1]">Menu Principal</a> ou  l\'<a href="[_2]">Aperu du gnral du Systme</a>.',
    '_ERROR_CONFIG_FILE' => 'Votre fichier configuration Movable type est absent ou ne peut pas tre lu correctement. Merci de consulter la base de connaissances',
    '_WARNING_PASSWORD_RESET_SINGLE' => '_WARNING_PASSWORD_RESET_SINGLE', # Translate - Previous (5)
    '_USAGE_PING_LIST_BLOG' => 'Voici la liste des Trackbacks pour [_1]  que vous pouvez filtrer, grer et diter.',
    'StyleCatcher lets you easily browse through styles and then apply them to your blog in just a few clicks. To find out more about Movable Type styles, or for new sources for styles, visit the <a href=\'http://www.sixapart.com/movabletype/styles\'>Movable Type styles</a> page.' => 'StyleCatcher vous permet de naviguer facilement  travers des styles et de les appliquer  votre blog en quelques clics seulement. Pour en savoir plus  propos des styles Movable Type, ou pour avoir de nouvelles sources de styles, visitez la page <a href=\'http://www.sixapart.com/movabletype/styles\'>Movable Type styles</a>.',
    'Monthly' => 'Mensuelles',
    'Refreshing template \'[_1]\'.' => 'Actualisation du modle \'[_1]\'.',
    'If your import file is located on your computer, you can upload it here.  Otherwise, Movable Type will automatically look in the <code>import</code> folder of your Movable Type directory.' => 'Si le fichier  importer est sur votre ordinateur, vous pouvez le tlcharger ici. Sinon, Movable Type va automatiquement rechercher ce fichier dans le dossier <code>import</code> du dossier principal de Movable Type.',
    'Tags to add to selected entries' => 'Tags  ajouter aux notes slctionnes',
    'Ban Commenter(s)' => 'Bannir cet auteur de commentaires',
    '_USAGE_VIEW_LOG' => 'L\'erreur est enregistre dans le <a href="#" onclick="doViewLog()">journal des activit</a>.',
    'You must define an Individual template in order to display dynamic comments.' => 'Vous devez dfinir un template Individual pour pouvoir afficher du contenu dynamique.', # Translate - New (12)
    '_USAGE_BOOKMARKLET_1' => 'La configuration de la fonction QuickPost vous permet de publier vos notes en un seul clic sans mme utiliser l\'interface principale de Movable Type.',
    '_USAGE_ARCHIVING_3' => 'Slectionnez le type d\'archive auquel vous souhaitez ajouter un modle. Slectionnez le modle que vous souhaitez associer  ce type d\'archive.',
    '_SYSTEM_TEMPLATE_SEARCH_TEMPLATE' => 'Visible quand un lecteur visite le weblog',
    'UTC+10' => 'UTC+10', # Translate - Previous (2)
    'INDIVIDUAL_ADV' => 'par note',
    'Skipping template \'[_1]\' since it appears to be a custom template.' => 'Saut du modle \'[_1]\' car c\'est un modle personnalis.',
    'The above settings have been written to the file <tt>[_1]</tt>. If any of these settings are incorrect, you may click the \'Back\' button below to reconfigure them.' => 'Les paramtres ci-dessus ont t enregistrs dans le fichier <tt>[_1]</tt>. Si un de ces paramtres est incorrect, veuillez cliquer sur le bouton \'Retour\' ci-dessous pour modifier la configuration.',
    'You used an \'[_1]\' tag outside of the context of a comment; perhaps you mistakenly placed it outside of an \'MTComments\' container?' => 'Vous avez utilis une balise \'[_1]\' en dehors du contexte d\'un commentaire; peut-tre l\'avez vous mis par erreur en dehors du conteneur \'MTComments\' ?', # Translate - New (22)
    '_ERROR_CGI_PATH' => 'Votre configuration de chemin CGI est invalide ou absente de vos fichiers de configuration Movable Type. Merci de consulter la base de connaissance',
    'Assigning template build dynamic settings...' => 'Ajout des rglages de construction dynamique du template...', # Translate - New (5)
    '_SYSTEM_TEMPLATE_COMMENTS' => 'Affich quand les commentaires en pop up sont activs',
    '_USAGE_CATEGORIES' => 'Les catgories permettent de regrouper vos notes pour en faciliter la gestion, la mise en archives et l\'affichage dans votre weblog. Vous pouvez affecter une catgorie  chaque note que vous crez ou modifiez. Pour modifier une catgorie existante, cliquez sur son titre. Pour crer une sous-catgorie, cliquez sur le bouton Crer correspondant. Pour dplacer une catgorie, cliquez sur le bouton Dplacer correspondant.',
    'Updating author web services passwords...' => 'Mise  jour des mots de passe des services web de l\'auteur...', # Translate - New (5)
    'You used an [_1] tag outside of a Daily, Weekly, or Monthly context.' => 'Vous avez utilis une balise [_1] en dehors d\'un contexte Daily, Weekly, ou Monthly.', # Translate - New (13)
    'Master Archive Index' => 'Index principal des archives',
    'Weekly' => 'Hebdomadaire',
    'Unpublish TrackBack(s)' => 'TrackBack(s) non publi(s)',
    'Many more can be found on the <a href="[_1]">main index page</a> or by looking through <a href="[_2]">the archives</a>.' => 'Beaucoup d\'autres notes peuvent tre trouvs sur la page <a href="[_1]">d\'accueil principale</a> ou en cherchant dans <a href="[_2]">les archives</a>.',
    '_USAGE_PREFS' => 'Cet cran vous permet de dfinir un grand nombre des paramtres de votre weblog, de vos archives, des commentaires et de communication de notifications. Ces paramtres ont tous des valeurs par dfaut raisonnables lors de la cration d\'un nouveau weblog.',
    'You used an \'[_1]\' tag outside of the context of an entry; perhaps you mistakenly placed it outside of an \'MTEntries\' container?' => 'Vous avez utilis une balise \'[_1]\' en dehors du contexte d\'une note; peut-tre l\'avez vous mise en dehors du conteneur \'MTEntries\' ?', # Translate - New (22)
    'WEEKLY_ADV' => 'hebdomadaire',
    'Processing templates for weblog \'[_1]\'' => 'Traitement des templates pour le weblog \'[_1]\'', # Translate - New (5)
    '_SYSTEM_TEMPLATE_COMMENT_PENDING' => 'Visible quand un auteur de commentaires fait un aperu de son commentaire',
    'Unpublish Comment(s)' => 'Annuler publication commentaire(s)',
    'The next post in this blog is <a href="[_1]">[_2]</a>.' => 'La note suivante de ce blog est <a href="[_1]">[_2]</a>.',
    'If you have a TypeKey identity, you can ' => 'Si vous avez une identit TypeKey, vous pouvez ', # Translate - New (8)
    '_USAGE_ENTRY_LIST_OVERVIEW' => 'Voici la liste des notes de tous les weblogs que vous pouvez filtrer, grer et diter.',
    'Invalid date format \'[_1]\'; must be \'MM/DD/YYYY HH:MM:SS AM|PM\' (AM|PM is optional)' => 'Format de date invalide \'[_1]\'; doit tre \'MM/DD/YYYY HH:MM:SS AM|PM\' (AM|PM est optionnel)', # Translate - New (16)
    'Please enter the parameters necessary for connecting to your database.If your database type is not listed in the dropdown below, you may be missing the Perl module necessary to connect to your database.  If this is the case, please check your installation and click <a href="?__mode=configure">here</a> to re-test your installation.' => 'Merci de saisir les paramtres ncessaires pour se connecter  votre base de donnes. Si votre base de donnes n\'est pas liste dans le menu droulant ci-dessous, il manque srement le module Perl ncssaire  la connexion avec votre base de donnes. Si c\'est le cas, merci de vrifier votre configuration et cliquez ensuite <a href="?__mode=configure">ici</a> pour effectuer  nouveau un test de votre installation.',
    'Drag and drop the widgets you want into the <strong>Installed</strong> column.' => 'Glissez-dposez les widgets de votre choix dans la colonne <strong>Widgets installs</strong>.',
    'Manage Categories' => 'Grer les Catgories',
    '_USAGE_ARCHIVING_2' => 'Lorsque vous associez plusieurs modles  un type d\'archive particulier -- ou mme lorsque vous n\'en associez qu\'un seul -- vous pouvez personnaliser le chemin des fichiers d\'archive  l\'aide des modles correspondants.',
    'UTC+11' => 'UTC+11', # Translate - Previous (2)
    'View Activity Log For This Weblog' => 'Voir le journal d\'activit pour ce weblog',
    'Migrating any "tag" categories to new tags...' => 'Migration des catgories de "tag" vers de nouveaux tags...', # Translate - New (7)
    'Refresh Template(s)' => 'Actualiser le(s) Modles(s)',
    'Assigning basename for categories...' => 'Ajout de racines aux catgories...', # Translate - New (4)
    '_USAGE_NOTIFICATIONS' => 'Les personnes suivantes souhaitent tre averties de la publication d\'une nouvelle note sur votre site. Vous pouvez ajouter un utilisateur en indiquant son adresse e-mail dans le formulaire suivant. L\'adresse URL est facultative. Pour supprimer un utilisateur, cochez la case Supprimer dans le tableau ci-dessous, puis cliquez sur le bouton Supprimer.',
    'Updating [_1] records...' => 'Mise  jour des donnes [_1] ...', # Translate - New (3)
    'File with name \'[_1]\' already exists; Tried to write to tempfile, but open failed: [_2]' => 'Le fichier avec le nom \'[_1]\' existe dj; Tentative d\'criture dans un fichier temporaire, mais l\'ouverture a chou : [_2]', # Translate - New (15)
    '_USAGE_COMMENTERS_LIST' => 'Cette liste est la liste des auteurs de commentaires pour [_1].',
    '_ERROR_DATABASE_CONNECTION' => 'Les paramtres de votre base de donnes sont soit invalides, absents ou ne peuvent pas tre lus correctement. Consultez la base de connaissances pour plus d\'informations.',
    '_USAGE_BANLIST' => 'Cette liste est la liste des adresses IP qui ne sont pas autorises  publier de commentaires ou envoyer des pings TrackBack  votre site. Vous pouvez ajouter une nouvelle adresse IP dans le formulaire suivant. Pour supprimer une adresse de la liste des adresses IP bannies, cochez la case Supprimer dans le tableau ci-dessous, puis cliquez sur le bouton Supprimer.',
    'RSS 2.0 Index' => 'Index RSS 2.0',
    '_USAGE_FEEDBACK_PREFS' => 'Cette page vous permet de configurer les manires dont un lecteur peut contribuer sur votre weblog',
    '_USAGE_AUTHORS' => 'Cette liste est la liste de tous les utilisateurs du systme Movable Type. Vous pouvez changer les droits accords  un auteur en cliquant sur son nom et supprimer un auteur en cochant la case adquate, puis en cliquant sur <b>Supprimer</b>. Remarque : si vous ne souhaitez supprimer un auteur que d\'un weblog spcifique, il vous suffit de changer les droits qui lui sont accords ; la suppression d\'un auteur affecte tout le systme.',
    '_INDEX_INTRO' => '<p>Si vous ninstallez Movable Type, il vous sera certainement utile de consulter <a href="http://www.sixapart.com/movabletype/docs/mtinstall.html">la documentation d\'installation</a> et <a rel="nofollow" href="mt-check.cgi">le systme de vrification de Movable Type</a> pour vrifier que votre systme est conforme.</p>',
    'Configure Weblog' => 'Configurer le Weblog',
    'Select a Design using StyleCatcher' => 'Slectionner un  habillage via StyleCatcher',
    '<a href="[_1]">[_2]</a> is the previous archive.' => '<a href="[_1]">[_2]</a> est l\'archive prcdente.',
    '_USAGE_NEW_AUTHOR' => ' A partir de cette page vous pouvez crer de nouveaux auteurs dans le systme et dfinir leurs accs dans un ou plusieurs weblogs.',
    'The following modules are <strong>optional</strong>. If your server does not have these modules installed, you only need to install them if you require the functionality that the module provides.' => 'Les modules suivants sont <strong>optionnels</strong>. Si votre serveur ne possde pas ces modules, vous devez le(s) installer uniquement si vous souhaitez bnficier des fonctionnalits offertes par le module.',
    '_USAGE_FORGOT_PASSWORD_1' => 'Vous avez demand  rcuprer votre mot de passe Movable Type. Votre mot de passe a t chang au niveau du systme ; le nouveau mot de passe est le suivant:',
    '_USAGE_COMMENTS_LIST_OVERVIEW' => 'Voici la liste des commentaires de tous vos weblogs, que vous pouvez filtrer, grer et diter',
    'You need to provide a password if you are going to\ncreate new authors for each author listed in your blog.\n' => 'Vous devez fournir un mot de passe si vous allez\ncrer de nouveaux auteurs pour chaque auteur list dans votre blog.\n', # Translate - New (22)
    '_SYSTEM_TEMPLATE_POPUP_IMAGE' => 'Affich quand un visiteur clique sur une image Pop up',
    '_USAGE_EXPORT_2' => 'Pour exporter vos notes: cliquez sur le lien ci-dessous (Exporter les notes de [_1]). Pour enregistrer les donnes exportes dans un fichier, vous pouvez enfoncer la touche <code>option</code> (Macintosh) ou <code>Maj</code> (Windows) et la maintenir enfonce tout en cliquant sur le lien. Vous pouvez galement slectionner toutes les donnes et les copier dans un autre document. <a href="#" onclick="openManual(\'importing\', \'export_ie\');return false;">Vous exportez des donnes depuis Internet Explorer ?</a>',
    '_USAGE_PING_LIST_ALL_WEBLOGS' => 'Voici une liste de Ping de Trackback de tous les weblogs que vous pouvez filtrer, grer et diter.',
    'Manage my Widgets' => 'Grer mes Widgets',
    'Updating blog comment email requirements...' => 'Mise  jour des prrequis des emails pour les commentaires du blog...', # Translate - New (5)
    'Assigning junk status for TrackBacks...' => 'Ajout du statut spam pour les TrackBacks...', # Translate - New (5)
    'Publish Entries' => 'Publier les notes',
    'No executable code' => 'Pas de code excutable', # Translate - New (3)
    '_USAGE_PING_LIST_OVERVIEW' => 'Voici la liste des Trackbacks de tous vos weblogs que vous pouvez filtrer, grer et diter',
    'AUTO DETECT' => 'DETECTION AUTOMATIQUE',
    '<em><strong>Please Note:</strong> The Movable Type export format is not comprehensive and is not suitable for creating full-fidelity backups. Please see the Movable Type manual for full details.</em>' => '<em><strong>Note :</strong> Le format d\'export de Movable Type n\'est pas destin  raliser des sauvegardes intgrales. Merci de consulter la documentation de Movable Type pour plus d\'informations.</em>',
    'Install <a href=\'http://greasemonkey.mozdev.org/\'>GreaseMonkey</a>' => 'Installer <a href=\'http://greasemonkey.mozdev.org/\'>GreaseMonkey</a>',
    '_USAGE_PLUGINS' => 'Voici la liste de tous les plugins actuellement enregistrs avec Movable type.',
    '_USAGE_PERMISSIONS_2' => 'Vous pouvez modifier les permissions affectes  un utilisateur en slectionnant ce dernier dans le menu droulant, puis en cliquant sur Modifier.',
    'Insufficient permissions for modifying templates for this weblog.' => 'Permissions insuffisantes pour modifier les templates de ce weblog.', # Translate - New (8)
    'Bad ObjectDriver config: [_1] ' => 'Mauvaise config ObjectDriver : [_1] ', # Translate - New (4)
    'Untrust Commenter(s)' => 'Retirer le statut fiable  cet auteur de commentaires',
    '_USAGE_PROFILE' => 'Cet espace permet de changer votre profil d\'auteur. Les modifications apportes  votre nom d\'utilisateur et  votre mot de passe sont automatiquement mises  jour. En d\'autres termes, vous devrez ouvrir une nouvelle session.',
    'Congratulations! A template module Widget named <strong>[_1]</strong> has been created which you can further <a href="[_2]">edit</a> to customize its display.' => 'Flicitations ! Un modle de Widget nomm <strong>[_1]</strong> a bien t cr, vous pouvez le <a href="[_2]">modifier</a> ultrieurement pour personnaliser son affichage.',
    'Category' => 'Catgorie',
    '_USAGE_ENTRYPREFS' => 'La configuration des champs dtermine les champs de saisie qui apparatront dans les crans de cration et de modification des notes. Vous pouvez slectionner une configuration existante (basique ou avance), ou personnaliser vos crans en activant le bouton Personnalise, puis en slectionnant les champs que vous souhaitez voir apparatre.',
    'To download more plugins, check out the <a href="http://www.sixapart.com/pronet/plugins/">Six Apart Plugin Directory</a>.' => 'Pour tlcharger plus de plugins, visitez la page <a href="http://www.sixapart.com/pronet/plugins/">Six Apart Plugin Directory</a>.',
    'Assigning custom dynamic template settings...' => 'Ajout des rglages spcifiques de template dynamique...', # Translate - New (5)
    'Updating comment status flags...' => 'Modification des statuts des commentaires...', # Translate - New (4)
    'Stylesheet' => 'Feuille de style',
    'RSD' => 'RSD', # Translate - Previous (1)
    '_USAGE_ARCHIVE_MAPS' => 'Cette fonctionnalit avance vous permet de faire correspondre un modle d\'archives  plusieurs types d\'archives. Par exemple, vous pouvez decider de crer deux vues diffrentes pour vos archives mensuelles : une pour les notes d\'un mois donn, prsentes en liste, une autre affichant les notes sur un calendrier mensuel.',
    'You used an \'[_1]\' tag outside of the context of a ping; perhaps you mistakenly placed it outside of an \'MTPings\' container?' => 'Vous avez utilis une balise \'[_1]\' en dehors d\'un contexte de ping; peut-tre l\'avez-vous plac en dehors du conteneur \'MTPings\' ?', # Translate - New (22)
    '_THROTTLED_COMMENT' => 'Dans le but de rduire les possibilits d\'abus, j\'ai activ une fonction obligeant les auteurs de commentaires  attendre quelques instants avant de publier un autre commentaire. Veuillez attendre quelques instants avant de publier un autre commentaire. Merci.',
    'Trust Commenter(s)' => 'Donner statut fiable  cet auteur de commentaires',
    '_USAGE_SEARCH' => 'Vous pouvez utiliser l\'outil de recherche et de remplacement pour effectuer des recherches dans vos notes ou pour remplacer chaque occurrence d\'un mot, d\'une phrase ou d\'un caractre par un autre. Important: faites preuve de prudence, car <b>il n\'existe pas de fonction d\'annulation</b>. Nous vous recommandons mme d\'exporter vos notes Movable Type avant, juste au cas o.',
    'Manage Templates' => 'Grer les Modles',
    '_USAGE_PERMISSIONS_1' => 'Vous  tes en train de modifier les droits de <b>[_1]</b>. Vous trouverez ci-dessous la liste des weblogs pour lesquels vous pouvez contrler les auteurs ; pour chaque weblog de la liste, vous pouvez affecter des droits  <b>[_1]</b> en cochant les cases correspondant aux options souhaites.',
    '_USAGE_BOOKMARKLET_2' => 'La structure de la fonction QuickPost de Movable Type vous permet de personnaliser la mise en page et les champs de votre page QuickPost. Par exemple, vous pouvez ajouter une option d\'ajout d\'extraits par l\'intermdiaire de la fentre QuickPost. Une fentre QuickPost comprend, par dfaut, les lments suivants: un menu droulant permettant de slectionner le weblog dans lequel publier la note ; un menu droulant permettant de slectionner l\'tat de publication (brouillon ou publi) de la nouvelle note ; un champ de saisie du titre de la note ; et un champ de saisie du corps de la note.',
    '_external_link_target' => '_haut',
    '_AUTO' => '1',
    'Creating entry category placements...' => 'Cration des placements des catgories des notes...', # Translate - New (4)
    'Add/Manage Categories' => 'Ajouter/Grer des Categories',
    'Setting new entry defaults for weblogs...' => 'Mise en place des nouvelles valeurs par dfaut des notes des weblogs...', # Translate - New (6)
    'Posted <MTIfNonEmpty tag="EntryAuthorDisplayName">by [_1] </MTIfNonEmpty>on [_2]' => 'Post <MTIfNonEmpty tag="EntryAuthorDisplayName">par [_1] </MTIfNonEmpty>le [_2]', # Translate - New (9)
    'Updating entry week numbers...' => 'Mise  jour des numros des semaines de la note...', # Translate - New (4)
    'Recover Password(s)' => 'Rcuprer le(s) mot(s) de passe',
    '_POWERED_BY' => 'Powered by<br /><a href="http://www.movabletype.org/sitefr/">Movable Type <$MTVersion$></a>',
    'Assigning comment/moderation settings...' => 'Mise en place des rglages commentaire/modration ...', # Translate - New (4)
    'This page contains all entries posted to [_1] in <strong>[_2]</strong>. They are listed from oldest to newest.' => 'Cette page contient les notes postes en [_1] dans <strong>[_2]</strong>. Elles sont classes de la plus ancienne  la plus rcente.',
    '_USAGE_ARCHIVING_1' => 'Slectionnez les frquences/types de mise en archives du contenu de votre site. Vous pouvez, pour chaque type de mise en archives que vous choisissez, affecter plusieurs modles devant tre appliqus. Par exemple, vous pouvez crer deux affichages diffrents de vos archives mensuelles: un contenant les notes d\'un mois particulier et l\'autre prsentant les notes dans un calendrier.',
    '<a href="[_1]">[_2]</a> is the next category.' => '<a href="[_1]">[_2]</a> est la prochaine catgorie.',
    '_USAGE_PERMISSIONS_4' => 'Chaque weblog peut tre utilis par plusieurs auteurs. Pour ajouter un auteur, vous entrerez les informations correspondantes dans les formulaires ci-dessous. Slectionnez ensuite les weblogs dans lesquels l\'auteur pourra travailler. Vous pourrez modifier les droits accords  l\'auteur une fois ce dernier enregistr dans le systme.',
    'Error creating temporary file; please check your TempDir setting in mt.cfg (currently \'[_1]\') this location should be writable.' => 'Erreur lors de la cration d\'un fichier temporaire; merci de vrifier le TempDir dans mt.cfg (actuellement \'[_1]\') ce rpertoire doit avoir les droits en criture.', # Translate - New (19)
    '_USAGE_TAGS' => 'Utilisez les tags pour grouper vos notes sous un mme mot clef ce qui vous permettra de les retrouver plus facilement.',
    '_USAGE_BOOKMARKLET_5' => 'Vous pouvez galement, si vous utilisez Internet Explorer sous Windows, installer une option QuickPost dans le menu contextuel (clic droit) de Windows. Cliquez sur le lien ci-dessous et acceptez le message affich pour ouvrir le fichier. Fermez et redmarrez votre navigateur pour ajouter le menu au systme.',
    '_USAGE_IMPORT' => 'Vous pouvez utiliser le mcanisme d\'importation de notes pour importer vos notes d\'un autre systme de gestion de weblog (Blogger ou Greymatter, par exemple). Ce mode d\'emploi contient des instructions compltes pour l\'importation de vos notes; le formulaire suivant vous permet d\'importer tout un lot de notes djC  exportes d\'un autre systme, et d\'enregistrer les fichiers de faon  pouvoir les utiliser dans Movable Type. Consultez le mode d\'emploi avant d\'utiliser ce formulaire de faon  slectionner les options adquates.',
    'Main Index' => 'Index principal',
    'Assigning category parent fields...' => 'Ajout des champs parents de la catgorie...', # Translate - New (4)
    '_USAGE_ENTRY_LIST_BLOG' => 'Voici la liste des notes pour [_1] que vous pouver filtrer, grer et diter.',
    'Movable Type ships with directory named <strong>mt-static</strong> which contains a number of important files such as images, javascript files and stylesheets.' => 'Movable Type est livr avec un rpertoire appel <strong>mt-static</strong> qui contient un certain nombre de fichiers importants comme les images, fichiers javascript et feuilles de style.', # Translate - New (23)
    '<p>You must define a global theme repository where themes can be stored locally.  If a particular blog has not been configured for it\'s own theme paths, it will use these settings directly. If a blog has it\'s own theme paths, then the theme will be copied to that location when applied to that weblog. The paths defined here must physically exist and be writable by the webserver.</p>' => '<p>Vous devez dfinir un rpertoire global o les thmes seront stocks localement. Si un blog particulier n\'a pas t configur avec ces propres chemins d\'accs au thmes, il utilisera ce rpertoire global par dfaut. Si par contre un blog a ses propres chemins d\'accs au thmes, le thme appliqu sera alors copi dans ce rpertoire. Les chemins dfinis doivent exister sur le serveur et doivent tre modifis par le serveur (droits en criture).</p>',
    '_USAGE_EXPORT_3' => 'Le lien suivant entrane l\'exportation de toutes les notes de votre weblog vers le serveur Tangent. Il s\'agit gnralement d\'une opration ponctuelle, ralise  la suite de l\'installation du module Tangent pour Movable Type.',
    'Setting blog allow pings status...' => 'Mise en place du statut d\'autorisation des pings...', # Translate - New (5)
    'Send Notifications' => 'Envoyer des notifications',
    '_SYSTEM_TEMPLATE_COMMENT_ERROR' => 'Affich quand un commentaire ne peut tre valid',
    'Edit All Entries' => 'Modifier toutes les notes',
    'Rebuild Files' => 'Reconstruire les fichiers',

    ## Error messages, strings in the app code.

    ## ./mt-check.cgi.pre
    'CGI is required for all Movable Type application functionality.' => 'CGI est requis pour toutes les fonctionnalits de l\'application Movable Type.',
    'HTML::Template is required for all Movable Type application functionality.' => 'HTML::Template est requis pour toutes les fonctionnalits de l\'application Movable Type.',
    'Image::Size is required for file uploads (to determine the size of uploaded images in many different formats).' => 'Image::Size est requis pour les uploads de fichiers (pour dterminer la taille des images uploades dans plusieurs formats diffrents).',
    'File::Spec is required for path manipulation across operating systems.' => 'File::Spec est requis pour la manipulation du chemin (path)  travers les systmes d\'exploitation.',
    'CGI::Cookie is required for cookie authentication.' => 'CGI::Cookie est requis pour l\'authentication du cookie.',
    'DB_File is required if you want to use the Berkeley DB/DB_File backend.' => 'DB_File est requis si vous souhaitez utiliser le backend DB/DB_File de Berkeley.',
    'DBI is required if you want to use any of the SQL database drivers.' => 'DBI est ncessaire pour utiliser les drivers SQL de la base de donnes.',
    'DBI and DBD::mysql are required if you want to use the MySQL database backend.' => 'DBI et DBD::mysql sont requis si vous souhaitez utiliser la base de donnes MySQL.',
    'DBI and DBD::Pg are required if you want to use the PostgreSQL database backend.' => 'DBI et DBD::Pg sont requis si vous souhaitez utiliser la base de donnes PostgreSQL.',
    'DBI and DBD::SQLite are required if you want to use the SQLite database backend.' => 'DBI et DBD::SQLite sont requis si vous souhaitez utiliser la base de donnes SQLite.',
    'DBI and DBD::SQLite2 are required if you want to use the SQLite 2.x database backend.' => 'DBI et DBD::SQLite2 sont requis si vous souhaitez utiliser SQLite 2.x comme base de donnes.',
    'HTML::Entities is needed to encode some characters, but this feature can be turned off using the NoHTMLEntities option in mt.cfg.' => 'HTML::Entities est requis pour encoder certains caractres, mais cette fonction peut tre coupe si vous utilisez l\'option NoHTMLEntities dans mt.cfg.',
    'LWP::UserAgent is optional; It is needed if you wish to use the TrackBack system, the weblogs.com ping, or the MT Recently Updated ping.' => 'LWP::UserAgent est optionel; Cette fonction est ncessaire si vous souhaitez utiliser le systme de TrackBack, le ping sur weblogs.com, ou le ping des derniers sites MT mis  jour.',
    'SOAP::Lite is optional; It is needed if you wish to use the MT XML-RPC server implementation.' => 'SOAP::Lite n\'est pas obligatoire; il est requis si vous souhaitez utiliser l\'implmentation du serveur MT XML-RPC.',
    'File::Temp is optional; It is needed if you would like to be able to overwrite existing files when you upload.' => 'File::Temp n\'est pas obligatoire; il est requis si vous souhaitez pouvoir craser des fichiers dj existants quand vous uploadez.',
    'Image::Magick is optional; It is needed if you would like to be able to create thumbnails of uploaded images.' => 'Image::Magick n\'est pas obligatoire; il est requis si vous souhaitez pouvoir crer des thumbnails des images uploades.',
    'Storable is optional; it is required by certain MT plugins available from third parties.' => 'Storable n\'est pas obligatoire; il est requis par certains plugins de MT disponibles  partir de la troisime partie.',
    'Crypt::DSA is optional; if it is installed, comment registration sign-ins will be accelerated.' => 'Crypt::DSA n\'est pas obligatoire; s\'il est install, l\'autentification lors des commentaires sera plus rapide.',
    'MIME::Base64 is required in order to enable comment registration.' => 'MIME::Base64 est ncessaire afin de permettre l\'enregistrement des commentaires.',
    'XML::Atom is required in order to use the Atom API.' => 'XML::Atom est ncessaire pour utiliser l\'API Atom.',
    'Data Storage' => 'Stockage des donnes',
    'Required' => 'Requis',
    'Optional' => 'Optionnels',

    ## ./extras/examples/plugins/mirror/lib/Mirror.pm

    ## ./extras/examples/plugins/l10nsample/lib/l10nsample.pm
    'This is localized in perl module' => 'Ceci est localis dans le module perl',

    ## ./extras/examples/plugins/l10nsample/lib/l10nsample/L10N.pm

    ## ./extras/examples/plugins/l10nsample/lib/l10nsample/L10N/ja.pm

    ## ./extras/examples/plugins/l10nsample/lib/l10nsample/L10N/en_us.pm

    ## ./plugins/feeds-app-lite/lib/MT/Feeds/Lite.pm
    'An error occurred processing [_1]. ' => 'Une erreur s\'est produite lors de [_1]. ',

    ## ./plugins/feeds-app-lite/lib/MT/Feeds/Find.pm

    ## ./plugins/feeds-app-lite/lib/MT/Feeds/Lite/CacheMgr.pm

    ## ./plugins/feeds-app-lite/lib/MT/App/FeedsWidget.pm

    ## ./plugins/spamlookup/lib/spamlookup.pm
    'Failed to resolve IP address for source URL [_1]' => 'Impossible de trouver l adresse IP de l URL source [_1]',
    'Moderating: Domain IP does not match ping IP for source URL [_1]; domain IP: [_2]; ping IP: [_3]' => 'Modration: Domain IP does not match ping IP for source URL [_1]; domain IP: [_2]; ping IP: [_3]',
    'Domain IP does not match ping IP for source URL [_1]; domain IP: [_2]; ping IP: [_3]' => 'Le domaine IP ne correspond pas avec le ping IP pour l\'URL source [_1]; domain IP: [_2]; ping IP: [_3]',
    'No links are present in feedback' => 'Pas de lien dans ce retour lecteur',
    'Number of links exceed junk limit ([_1])' => 'Le nombre de liens dpasse la limite des indsirables ([_1])',
    'Number of links exceed moderation limit ([_1])' => 'Le nombre de liens dpasse la limite de modration([_1])',
    'Link was previously published (comment id [_1]).' => 'Le lien a par le pass t publi (Id commentaire [_1]).',
    'Link was previously published (TrackBack id [_1]).' => 'Le lien a par le pass t publi (TrackBack id [_1]).',
    'E-mail was previously published (comment id [_1]).' => 'L E-mail a par le pass t publi (commentaire id [_1]).',
    'Word Filter match on \'[_1]\': \'[_2]\'.' => 'Le filtre de mot s accorde \'[_1]\' : \'[_2]\'.',
    'Moderating for Word Filter match on \'[_1]\': \'[_2]\'.' => 'La modration pour le filtre de mot s\'accorde \'[_1]\' : \'[_2]\'.',
    'domain \'[_1]\' found on service [_2]' => 'Le domaine \'[_1]\' a t touv sur le service [_2]',
    '[_1] found on service [_2]' => '[_1] trouv sur le service [_2]',

    ## ./plugins/spamlookup/lib/spamlookup/L10N.pm

    ## ./plugins/GoogleSearch/lib/GoogleSearch/L10N.pm

    ## ./plugins/GoogleSearch/lib/GoogleSearch/L10N/es.pm

    ## ./plugins/GoogleSearch/lib/GoogleSearch/L10N/nl.pm

    ## ./plugins/GoogleSearch/lib/GoogleSearch/L10N/ja.pm

    ## ./plugins/GoogleSearch/lib/GoogleSearch/L10N/de.pm

    ## ./plugins/GoogleSearch/lib/GoogleSearch/L10N/en_us.pm

    ## ./plugins/GoogleSearch/lib/GoogleSearch/L10N/fr.pm

    ## ./plugins/StyleCatcher/lib/StyleCatcher.pm
    'StyleCatcher must first be configured system-wide before it can be used.' => 'StyleCatcher doit tre configur avant de pouvoir tre utilis.',
    'Configure plugin' => 'Configurer le plugin',
    'Could not create [_1] folder - Check that your \'themes\' folder is webserver-writable.' => 'Impossible de crer le dossier [_1] - Vrifiez que votre dossier \'themes\' et en mode webserveur/criture.',
    'Successfully applied new theme selection.' => 'Slection de nouveau Thme applique avec succs.',

    ## ./plugins/StyleCatcher/lib/StyleCatcher/L10N.pm

    ## ./plugins/StyleCatcher/lib/StyleCatcher/L10N/es.pm

    ## ./plugins/StyleCatcher/lib/StyleCatcher/L10N/nl.pm

    ## ./plugins/StyleCatcher/lib/StyleCatcher/L10N/ja.pm

    ## ./plugins/StyleCatcher/lib/StyleCatcher/L10N/de.pm

    ## ./plugins/StyleCatcher/lib/StyleCatcher/L10N/en_us.pm

    ## ./plugins/StyleCatcher/lib/StyleCatcher/L10N/fr.pm

    ## ./plugins/WidgetManager/lib/WidgetManager/L10N.pm

    ## ./plugins/WidgetManager/lib/WidgetManager/Plugin.pm
    'Can\'t find included template module \'[_1]\'' => 'Impossible de trouver le module de modle inclus \'[_1]\'',

    ## ./plugins/WidgetManager/lib/WidgetManager/Util.pm

    ## ./plugins/WidgetManager/lib/WidgetManager/App.pm
    'Loading template \'[_1]\' failed: [_2]' => 'Echec lors du chargement du modle \'[_1]\': [_2]',
    'Permission denied.' => 'Permission refuse.',
    'Can\'t duplicate the existing \'[_1]\' Widget Manager. Please go back and enter a unique name.' => 'Impossible de dupliquer le gestionnaire de Widgets \'[_1]\' existant. Merci de revenir  la page prcdente et de saisir un nom unique.',
    'Moving [_1] to list of installed modules' => 'Dplacement de [_1] dans la liste des modules installs',
    'Error opening file \'[_1]\': [_2]' => 'Erreur lors de l\'ouverture du fichier \'[_1]\': [_2]',
    'First Widget Manager' => 'Premier gestionnaire de widget',

    ## ./plugins/WidgetManager/lib/WidgetManager/L10N/es.pm

    ## ./plugins/WidgetManager/lib/WidgetManager/L10N/nl.pm

    ## ./plugins/WidgetManager/lib/WidgetManager/L10N/ja.pm

    ## ./plugins/WidgetManager/lib/WidgetManager/L10N/de.pm

    ## ./plugins/WidgetManager/lib/WidgetManager/L10N/en_us.pm

    ## ./plugins/WidgetManager/lib/WidgetManager/L10N/fr.pm

    ## ./mt-static/mt.js
    'You did not select any [_1] to delete.' => 'Vous n\'avez pas slectionn de [_1]  effacer.',
    'Deleting an author is an irrevocable action which creates orphans of the author\'s entries.  If you wish to retire an author or remove their access to the system, removing all of their permissions is the recommended course of action.  Are you sure you want to delete this author?' => 'La suppression d\'un auteur est irrvocable et peut crer des notes orphelines (sans auteur). Si vous souhaitez retirer l\'accs au systme  un auteur, il est recommand de lui retirer les droits plutt que de le supprimer. tes-vous sr de vouloir supprimer cet auteur ?',
    'Deleting an author is an irrevocable action which creates orphans of the author\'s entries.  If you wish to retire an author or remove their access to the system, removing all of their permissions is the recommended course of action.  Are you sure you want to delete the [_1] selected authors?' => 'La suppression d\'un ou plusieurs auteurs est irrvocable et peut crer des notes orphelines (sans auteur). Si vous souhaitez retirer l\'accs au systme  plusieurs auteurs, il est recommand de leur retirer les droits plutt que de les supprimer. tes-vous sr de vouloir supprimer les [_1] auteurs slectionns ?',
    'Are you sure you want to delete this [_1]?' => 'tes-vous sr de vouloir supprimer ce(tte) [_1] ?',
    'Are you sure you want to delete the [_1] selected [_2]?' => 'tes-vous sr de vouloir supprimer les [_1] slectionn(e)s [_2] ?',
    'to delete' => ' effacer',
    'You did not select any [_1] [_2].' => 'Vous n\'avez pas slectionn de [_1] [_2].',
    'You must select an action.' => 'Vous devez slectionner une action.',
    'to mark as junk' => 'pour marquer indsirable',
    'to remove "junk" status' => 'pour retirer le statut "indsirable"',
    'Enter email address:' => 'Saisissez l\'adresse email :',
    'Enter URL:' => 'Saisissez l\'URL :',

    ## ./lib/MT.pm
    'Message: [_1]' => 'Message : [_1]',
    'Unnamed plugin' => 'Plugin sans nom',
    '[_1] died with: [_2]' => '[_1] mort avec: [_2]',
    'Plugin error: [_1] [_2]' => 'Erreur Plugin: [_1] [_2]',

    ## ./lib/MT/Comment.pm
    'Load of entry \'[_1]\' failed: [_2]' => 'Le chargement de la note \'[_1]\' a chou : [_2]',
    'Load of blog \'[_1]\' failed: [_2]' => 'Le chargement du blog \'[_1]\' a chou : [_2]',

    ## ./lib/MT/Author.pm
    'Can\'t approve/ban non-COMMENTER author' => 'Un auteur non commentateur ne peut pas tre approuv ou banni',
    'The approval could not be committed: [_1]' => 'L\'aprobation ne peut tre ralise : [_1]',

    ## ./lib/MT/TemplateMap.pm

    ## ./lib/MT/Bootstrap.pm
    'Got an error: [_1]' => 'Erreur de type : [_1]',

    ## ./lib/MT/Callback.pm

    ## ./lib/MT/Serialize.pm

    ## ./lib/MT/Permission.pm

    ## ./lib/MT/WeblogPublisher.pm
    'Archive type \'[_1]\' is not a chosen archive type' => 'Le Type d\'archive\'[_1]\' n\'est pas un type d\'archive slectionn',
    'Parameter \'[_1]\' is required' => 'Le Paramtre \'[_1]\' est requis',
    'Building category archives, but no category provided.' => 'Construction des archives de catgorie, mais aucune catgorie n\'a t fournie.',
    'You did not set your Local Archive Path' => 'Vous n\'avez pas spcifi votre chemin local des Archives',
    'Building category \'[_1]\' failed: [_2]' => 'La construction de la catgorie\'[_1]\' a chou : [_2]',
    'Building entry \'[_1]\' failed: [_2]' => 'La construction de la note \'[_1]\' a chou : [_2]',
    'Building date-based archive \'[_1]\' failed: [_2]' => 'La construction des archives de la base de donnes \'[_1]\' a chou : [_2]',
    'You did not set your Local Site Path' => 'Vous n\'avez pas spcifi votre chemin local du Site',
    'Template \'[_1]\' does not have an Output File.' => 'Le modle \'[_1]\' n\'a pas de fichier de sortie.',
    'An error occurred while rebuilding to publish scheduled posts: [_1]' => 'Un erreur est intervenue pendant la reconstruction pour publier les notes futures : [_1]',

    ## ./lib/MT/Session.pm

    ## ./lib/MT/Sanitize.pm

    ## ./lib/MT/TaskMgr.pm
    'Unable to secure lock for executing system tasks. Make sure your TempDir location ([_1]) is writable.' => 'Impossible d\'assurer le vrrouillage pour l\'xcution de tches systme. Vrifiez que la zone TempDir ([_1]) est en mode criture.',
    'Error during task \'[_1]\': [_2]' => 'Erreur pendant la tche \'[_1]\' : [_2]',
    'Scheduled Tasks Update' => 'Mise  jour des tches planifies',
    'The following tasks were run:' => 'Les tches suivantes ont t excutes :',

    ## ./lib/MT/IPBanList.pm

    ## ./lib/MT/FileMgr.pm

    ## ./lib/MT/Category.pm
    'Categories must exist within the same blog' => 'Les categories doivent exister au sein du mme blog ',
    'Category loop detected' => 'Loop de catgorie dtect',

    ## ./lib/MT/ErrorHandler.pm

    ## ./lib/MT/ObjectDriver.pm

    ## ./lib/MT/Object.pm
    '4th argument to add_callback must be a perl CODE reference' => 'Le 4me argument de add_callback doit tre une rfrence CODE perl',

    ## ./lib/MT/Upgrade.pm
    'Invalid upgrade function: [_1].' => 'Fonction de mise  jour invalide : [_1].',
    'Error loading class: [_1].' => 'Erreur de chargement de classe : [_1].',
    'Creating initial weblog and author records...' => 'Cration du weblog initial et des informations auteur...',
    'Error saving record: [_1].' => 'Erreur de l\'enregistrement des informations : [_1].',
    'First Weblog' => 'Premier Weblog',
    'Can\'t find default template list; where is \'default-templates.pl\'? Error: [_1]' => 'Impossible de trouver la liste de modles par dfaut; o se trouve \'default-templates.pl\'? Erreur : [_1]',
    'Creating new template: \'[_1]\'.' => 'Creation d\'un nouveau modle: \'[_1]\'.',
    'Mapping templates to blog archive types...' => 'Mapping des habillages vers les archives des blogs...',
    'Upgrading table for [_1]' => 'Mise  jour des tables pour [_1]',
    'Upgrading database from version [_1].' => 'Mise  jour de la Base de donnes de la version [_1].',
    'Database has been upgraded to version [_1].' => 'La base de donnes a t mise  jour version [_1].',
    'Plugin \'[_1]\' upgraded successfully.' => 'Le Plugin \'[_1]\' a correctement t mis  jour.',
    'Plugin \'[_1]\' installed successfully.' => 'Le Plugin \'[_1]\' a t install correctement.',
    'Setting your permissions to administrator.' => 'Paramtrage des permissions pour administrateur.',
    'Creating configuration record.' => 'Cration des infos de configuration.',
    'Creating template maps...' => 'Cration des liens de modles...',
    'Mapping template ID [_1] to [_2] ([_3]).' => 'Lien du modle [_1] vers [_2] ([_3]).',
    'Mapping template ID [_1] to [_2].' => 'Lien du modle [_1] vers [_2].',

    ## ./lib/MT/PluginData.pm

    ## ./lib/MT/Template.pm
    'Parse error in template \'[_1]\': [_2]' => 'Erreur de parsing dans le modle \'[_1]\' : [_2]',
    'Build error in template \'[_1]\': [_2]' => 'Erreur de compilation dans le modle \'[_1]\' : [_2]',
    'You cannot use a [_1] extension for a linked file.' => 'Vous ne pouvez pas utiliser l\'extension [_1] pour un fichier joint.',
    'Opening linked file \'[_1]\' failed: [_2]' => 'L\'ouverture du fichier li \'[_1]\' a chou : [_2] ',

    ## ./lib/MT/L10N.pm

    ## ./lib/MT/Image.pm
    'Can\'t load Image::Magick: [_1]' => 'Impossible de charger Image::Magick : [_1]',
    'Reading file \'[_1]\' failed: [_2]' => 'La lecture du fichier \'[_1]\' a chou : [_2]',
    'Reading image failed: [_1]' => 'Echec lors de la lecture de l\'image : [_1]',
    'Scaling to [_1]x[_2] failed: [_3]' => 'La mise  l\'chelle vers [_1]x[_2] a chou : [_3]',
    'Can\'t load IPC::Run: [_1]' => 'Impossible de charger IPC::Run : [_1]',
    'You do not have a valid path to the NetPBM tools on your machine.' => 'Votre chemin d\'accs vers les outils NetPBM n\'est pas valide sur votre machine.',

    ## ./lib/MT/ObjectTag.pm

    ## ./lib/MT/Plugin.pm

    ## ./lib/MT/Task.pm

    ## ./lib/MT/Config.pm

    ## ./lib/MT/FileInfo.pm

    ## ./lib/MT/Blocklist.pm

    ## ./lib/MT/Trackback.pm

    ## ./lib/MT/BasicSession.pm

    ## ./lib/MT/Notification.pm

    ## ./lib/MT/JunkFilter.pm
    'Action: Junked (score below threshold)' => 'Action : Indsirable (score ci-dessous)',
    'Action: Published (default action)' => 'Action : Publi (action par dfaut)',
    'Junk Filter [_1] died with: [_2]' => 'Filtre indsirable [_1] mort avec : [_2]',
    'Unnamed Junk Filter' => 'Filtre indsirable sans nom',
    'Composite score: [_1]' => 'Score composite : [_1]',

    ## ./lib/MT/Builder.pm
    '&lt;MT[_1]> with no &lt;/MT[_1]>' => '&lt;MT[_1]> sans &lt;/MT[_1]>',
    'Error in &lt;MT[_1]> tag: [_2]' => 'Erreur dans &lt;MT[_1]> tag : [_2]',

    ## ./lib/MT/Request.pm

    ## ./lib/MT/BasicAuthor.pm

    ## ./lib/MT/Blog.pm

    ## ./lib/MT/DateTime.pm

    ## ./lib/MT/TBPing.pm

    ## ./lib/MT/DefaultTemplates.pm

    ## ./lib/MT/Util.pm
    'Less than 1 minute from now' => 'Moins d\'une minute  partir de maintenant',
    'Less than 1 minute ago' => 'Il y a moins d\'une minute',
    '[quant,_1,hour], [quant,_2,minute] from now' => '[quant,_1,heure], [quant,_2,minute]  compter de maintenant',
    '[quant,_1,hour], [quant,_2,minute] ago' => 'Il y a [quant,_1,heure], [quant,_2,minute]',
    '[quant,_1,hour] from now' => '[quant,_1,heure]  compter de maintenant',
    '[quant,_1,hour] ago' => 'Il y a [quant,_1,heure]',
    '[quant,_1,minute] from now' => '[quant,_1,minute]  compter de maintenant',
    '[quant,_1,minute] ago' => 'Il y a [quant,_1,minute]',
    '[quant,_1,day], [quant,_2,hour] from now' => '[quant,_1,jour], [quant,_2,heure]  compter de maintenant',
    '[quant,_1,day], [quant,_2,hour] ago' => 'Il y a [quant,_1,jour], [quant,_2,heure]',
    '[quant,_1,day] from now' => '[quant,_1,jour]  compter de maintenant',
    '[quant,_1,day] ago' => 'Il y a [quant,_1,jour]',
    'Invalid Archive Type setting \'[_1]\'' => 'Paramtre du type d\'archive invalide \'[_1]\'',

    ## ./lib/MT/Placement.pm

    ## ./lib/MT/Tag.pm
    'Tag must have a valid name' => 'Le tag doit avoir un nom valide',
    'This tag is referenced by others.' => 'Ce Tag est rfrenc par d autres.',

    ## ./lib/MT/Promise.pm

    ## ./lib/MT/XMLRPC.pm
    'No WeblogsPingURL defined in mt.cfg' => 'Le WeblogsPingURL n\'est pas dfini dans le fichier mt.cfg',
    'No MTPingURL defined in mt.cfg' => 'Le MTPingURL  n\'est pas dfini dans le fichier mt.cfg',
    'HTTP error: [_1]' => 'Erreur HTTP: [_1]',
    'Ping error: [_1]' => 'Erreur Ping: [_1]',

    ## ./lib/MT/AtomServer.pm
    'PreSave failed [_1]' => 'Echec PreEnregistrement [_1]',
    'User \'[_1]\' (user #[_2]) added entry #[_3]' => 'Utilisateur \'[_1]\' (utilisateur #[_2]) a ajoute Note #[_3]',

    ## ./lib/MT/Entry.pm
    'Load of blog failed: [_1]' => 'Echec lors du chargement du blog : [_1]',

    ## ./lib/MT/ImportExport.pm
    'No Stream' => 'Pas de Stream',
    'No Blog' => 'Pas de Blog',
    'Can\'t rewind' => 'Impossible de revenir en arrire',
    'Can\'t open \'[_1]\': [_2]' => 'Impossible d\'ouvrir \'[_1]\' : [_2]',
    'Can\'t open directory \'[_1]\': [_2]' => 'Impossible d\'ouvrir le dossier \'[_1]\' : [_2]',
    'No readable files could be found in your import directory [_1].' => 'Aucun fichier lisible n\'a t trouv dans le rpertoire d\'importation [_1].',
    'Importing entries from file \'[_1]\'' => 'Importation des notes du fichier \'[_1]\'',
    'You need to provide a password if you are going to\n' => 'Vous devez saisir un mot de passe si vous allez sur \n',
    'Need either ImportAs or ParentAuthor' => 'ImportAs ou ParentAuthor sont ncessaires',
    'Creating new author (\'[_1]\')...' => 'Creation d\'un nouvel auteur (\'[_1]\')...',
    'ok\n' => 'ok\n', # Translate - Previous (2)
    'failed\n' => 'chou\n',
    'Saving author failed: [_1]' => 'Echec lors de la sauvegarde de l\'Auteur : [_1]',
    'Assigning permissions for new author...' => 'Mise en place d\'autorisation pour un nouvel auteur...',
    'Saving permission failed: [_1]' => 'Echec lors de la sauvegarde des Droits des Auteurs : [_1]',
    'Creating new category (\'[_1]\')...' => 'Creation d\'une nouvelle catgorie (\'[_1]\')...',
    'Saving category failed: [_1]' => 'Echec lors de la sauvegarde des Catgories : [_1]',
    'Invalid status value \'[_1]\'' => 'Valeur d\'tat invalide \'[_1]\'',
    'Invalid allow pings value \'[_1]\'' => 'Valeur Ping invalide\'[_1]\'',
    'Can\'t find existing entry with timestamp \'[_1]\'... skipping comments, and moving on to next entry.\n' => 'Impossible de trouver une note existante avec la date \'[_1]\'... saut des commentaires et passage  la note suivante.\n',
    'Importing into existing entry [_1] (\'[_2]\')\n' => 'Importation dans la note [_1] (\'[_2]\')\n',
    'Saving entry (\'[_1]\')...' => 'Enregistrement de la note (\'[_1]\')...',
    'ok (ID [_1])\n' => 'ok (ID [_1])\n', # Translate - Previous (4)
    'Saving entry failed: [_1]' => 'Echec lors de la sauvegarde de la Note: [_1]',
    'Saving placement failed: [_1]' => 'Echec lors de la sauvegarde du Placement : [_1]',
    'Creating new comment (from \'[_1]\')...' => 'Cration d\'un nouveau commentaire (de \'[_1]\')...',
    'Saving comment failed: [_1]' => 'Echec lors de la sauvegarde du Commentaire : [_1]',
    'Entry has no MT::Trackback object!' => 'La note n\'a pas d\'objet MT::Trackback !',
    'Creating new ping (\'[_1]\')...' => 'Cration d\'un nouveau ping (\'[_1]\')...',
    'Saving ping failed: [_1]' => 'Echec lors de la sauvegarde du ping : [_1]',
    'Export failed on entry \'[_1]\': [_2]' => 'Echec lors de l\'export sur la Note \'[_1]\' : [_2]',
    'Invalid date format \'[_1]\'; must be ' => 'Format de date invalide \'[_1]\'; doit tre ',

    ## ./lib/MT/Log.pm
    'Entry # [_1] not found.' => 'Note # [_1] non trouve.',
    'Comment # [_1] not found.' => 'Commentaire # [_1] non trouv.',
    'TrackBack # [_1] not found.' => 'TrackBack # [_1] non trouv.',

    ## ./lib/MT/I18N.pm

    ## ./lib/MT/Atom.pm

    ## ./lib/MT/Mail.pm
    'Unknown MailTransfer method \'[_1]\'' => 'Mthode de transfert de mail inconnu \'[_1]\'',
    'Sending mail via SMTP requires that your server ' => 'L\'envoi de mail via SMTP ncessite que votre serveur ',
    'Error sending mail: [_1]' => 'Erreur lors de l\'envoi du mail : [_1]',
    'You do not have a valid path to sendmail on your machine. ' => 'Le chemin d\'accs vers sendmail n\'est pas valide sur votre machine. ',
    'Exec of sendmail failed: [_1]' => 'Echec lors de l\'excution de sendmail : [_1]',

    ## ./lib/MT/ConfigMgr.pm
    'Config directive [_1] without value at [_2] line [_3]' => 'Config directive [_1] sans valeur sur [_2] ligne [_3]',
    'No such config variable \'[_1]\'' => 'Pas de variable de configuration de ce type \'[_1]\'',

    ## ./lib/MT/XMLRPCServer.pm
    'Invalid timestamp format' => 'Format de date invalide',
    'No web services password assigned.  Please see your author profile to set it.' => 'Aucun mot de passe associ au service web. Merci de vrifier votre profil Auteur pour le dfinir.',
    'No blog_id' => 'Pas de blog_id',
    'Invalid blog ID \'[_1]\'' => 'ID du blog invalide \'[_1]\'',
    'Invalid login' => 'Login invalide',
    'No posting privileges' => 'Pas dtenteur de droits de publication',
    'Value for \'mt_[_1]\' must be either 0 or 1 (was \'[_2]\')' => 'Valeur pour \'mt_[_1]\' doit tre 1 ou 0 (tait \'[_2]\')',
    'No entry_id' => 'Pas de note_id',
    'Invalid entry ID \'[_1]\'' => 'ID de Note invalide \'[_1]\'',
    'Not privileged to edit entry' => 'Pas dtenteur de droit pour modifier les notes',
    'Not privileged to delete entry' => 'Pas dtenteur de droit pour effacer des notes',
    'Entry \'[_1]\' (entry #[_2]) deleted by \'[_3]\' (user #[_4]) from xml-rpc' => 'Note \'[_1]\' (la note #[_2])efface par \'[_3]\' (utilisateur #[_4]) de xml-rpc',
    'Not privileged to get entry' => 'Pas dtenteur de droit pour avoir une Note',
    'Author does not have privileges' => 'L\'auteur n\'est pas dtenteur de droits',
    'Not privileged to set entry categories' => 'Pas dtenteur de droit pour choisir la catgorie d\'une Note',
    'Publish failed: [_1]' => 'Echec de la publication : [_1]',
    'Not privileged to upload files' => 'Pas dtenteur de droit pour tlcharger des fichiers',
    'No filename provided' => 'Aucun nom de fichier',
    'Invalid filename \'[_1]\'' => 'Nom de fichier invalide \'[_1]\'',
    'Error making path \'[_1]\': [_2]' => 'Erreur dans le chemin \'[_1]\' : [_2]',
    'Error writing uploaded file: [_1]' => 'Erreur criture fichier tlcharg : [_1]',
    'Template methods are not implemented, due to differences between the Blogger API and the Movable Type API.' => 'Les mthodes d\'habillage ne sont pas implmente en raison d\'une diffrence entre l\'API Blogger et l\'API Movable Type.',

    ## ./lib/MT/App.pm
    'Error loading [_1]: [_2]' => 'Erreur au chargement [_1] : [_2]',
    'Failed login attempt by unknown user \'[_1]\'' => 'Echec d\'identification par un utilisateur inconnu \'[_1]\'',
    'Failed login attempt with incorrect password by user \'[_1]\' (ID: [_2])' => 'Echec d\'identification avec mot de passe incorrect par l\'utilisateur \'[_1]\' (ID: [_2])',
    'User \'[_1]\' (ID:[_2]) logged in successfully' => 'L\'utilisateur \'[_1]\' (ID:[_2]) s\'est identifi correctement',
    'Invalid login.' => 'Identifiant invalide.',
    'User \'[_1]\' (ID:[_2]) logged out' => 'L\'utilisateur \'[_1]\' (ID:[_2]) s\'est dconnect',
    'The file you uploaded is too large.' => 'Le fichier tlcharg est trop lourd.',
    'Unknown action [_1]' => 'Action inconnue [_1]',

    ## ./lib/MT/L10N/es.pm

    ## ./lib/MT/L10N/de-iso-8859-1.pm

    ## ./lib/MT/L10N/nl.pm

    ## ./lib/MT/L10N/nl-iso-8859-1.pm

    ## ./lib/MT/L10N/es-iso-8859-1.pm

    ## ./lib/MT/L10N/ja.pm

    ## ./lib/MT/L10N/fr-iso-8859-1.pm

    ## ./lib/MT/L10N/de.pm

    ## ./lib/MT/L10N/en_us.pm

    ## ./lib/MT/L10N/fr.pm

    ## ./lib/MT/ObjectDriver/DBM.pm
    'Your DataSource directory (\'[_1]\') does not exist.' => 'Votre dossier de donnes (\'[_1]\') n\'existe pas.',
    'Your DataSource directory (\'[_1]\') is not writable.' => 'Votre dossier de donnes (\'[_1]\') est protg en criture.',
    'Tie \'[_1]\' failed: [_2]' => 'La cration du lien \'[_1]\' a chou : [_2]',
    'Failed to generate unique ID: [_1]' => 'Echec lors de la gnration de l\'ID unique : [_1]',
    'Unlink of \'[_1]\' failed: [_2]' => 'La suppression du lien \'[_1]\' a chou: [_2]',

    ## ./lib/MT/ObjectDriver/DBI.pm
    'Loading data failed with SQL error [_1]' => 'Echec du Chargement des donnes SQL erreur [_1]',
    'Count [_1] failed on SQL error [_2]' => 'Echec Comptage [_1] sur erreur SQL [_2]',
    'Prepare failed' => 'La prparation a chou',
    'Execute failed' => 'L\'Excution a chou',
    'existence test failed on SQL error [_1]' => 'test d\'existence a chou par une erreur SQL [_1]',
    'Insertion test failed on SQL error [_1]' => 'Test d\'insertion a chou par une erreur SQL [_1]',
    'Update failed on SQL error [_1]' => 'Echec de la mise  jour. Erreur SQL [_1]',
    'No such object.' => 'Objet inconnu.',
    'Remove failed on SQL error [_1]' => 'Echec du retrait.  Erreur SQL [_1]',
    'Remove-all failed on SQL error [_1]' => 'Echec du retrait gnralis. Erreur SQL [_1] ',

    ## ./lib/MT/ObjectDriver/DBI/sqlite.pm
    'Your database file (\'[_1]\') is not writable.' => 'Votre fichier base de donnes (\'[_1]\') est interdit en criture.',
    'Your database directory (\'[_1]\') is not writable.' => 'Le rpertoire de votre Base de donnes (\'[_1]\') est interdit en criture.',
    'Connection error: [_1]' => 'Erreur de connexion : [_1]',

    ## ./lib/MT/ObjectDriver/DBI/mysql.pm
    'undefined type: [_1]' => 'Type indfini : [_1]',

    ## ./lib/MT/ObjectDriver/DBI/postgres.pm

    ## ./lib/MT/Template/ContextHandlers.pm
    'Can\'t find included file \'[_1]\'' => 'Impossible de trouver le fichier inclus \'[_1]\'',
    'Error opening included file \'[_1]\': [_2]' => 'Erreur lors de l\'ouverture du fichier inclus \'[_1]\' : [_2]',
    'Unspecified archive template' => 'Habillage d\'archive non spcifi',
    'Error in file template: [_1]' => 'Erreur dans fichier habillage : [_1]',
    'Can\'t find template \'[_1]\'' => 'Impossible de trouver le modle \'[_1]\'',
    'Can\'t find entry \'[_1]\'' => 'Impossible de trouver la note \'[_1]\'',
    '[_1] [_2]' => '[_1] [_2]', # Translate - Previous (3)
    'You used a [_1] tag without any arguments.' => 'Vous utilisez un [_1] tag sans aucun argument.',
    'You have an error in your \'category\' attribute: [_1]' => 'Vous avez une erreur dans votre attribut \'catgorie\' : [_1]',
    'You have an error in your \'tag\' attribute: [_1]' => 'Vous avez une erreur dans votre attribut \'tag\': [_1]',
    'No such author \'[_1]\'' => 'L\'auteur \'[_1]\' n\'existe pas',
    'You used an \'[_1]\' tag outside of the context of an entry; ' => 'Vous utilisez un tag \'[_1]\' en dehors du contexte d\'une note; ',
    'You used <$MTEntryFlag$> without a flag.' => 'Vous utilisez <$MTEntryFlag$> sans drapeau.',
    'You used an [_1] tag for linking into \'[_2]\' archives, but that archive type is not published.' => 'Vous avez utilis un [_1] tag pour crer un lien vers \'[_2]\' archives, mais le type d\'archive n\'est pas publi.',
    'Could not create atom id for entry [_1]' => 'Impossible de crer un ID Atom pour cette note [_1]',
    'To enable comment registration, you ' => 'Pour demander l\'enregistrement avant de pouvoir commenter, vous ',
    '(You may use HTML tags for style)' => '(Vous dpouvez utiliser des tags HTML pour le style)',
    'You used an [_1] tag without a date context set up.' => 'Vous utilisez un tag [_1] sans avoir configur la date.',
    'You used an \'[_1]\' tag outside of the context of a comment; ' => 'Vous utilisez un tag \'[_1]\' en dehors du contexte d\'un commentaire; ',
    'You used an [_1] without a date context set up.' => 'Vous utilisez un [_1] sans avoir configurer la date.',
    '[_1] can be used only with Daily, Weekly, or Monthly archives.' => '[_1] est valide uniquement avec des archives quotidiennes, hebdomadaires ou mensuelles.',
    'Couldn\'t get daily archive list' => 'Impossible de rcuprer la liste des archives journalires',
    'Couldn\'t get monthly archive list' => 'Impossible de rcuprer la liste des archives mensuelles',
    'Couldn\'t get weekly archive list' => 'Impossible de rcuprer la liste des archives hebdomadaire',
    'Unknown archive type [_1] in <MTArchiveList>' => 'Type d\'archive inconnu [_1] in <MTArchiveList>',
    'Group iterator failed.' => 'L\'itrateur de groupe a chou',
    'You used an [_1] tag outside of the proper context.' => 'Vous utilisez un tag [_1] en dehors de son contexte propre.',
    'You used an [_1] tag outside of a Daily, Weekly, or Monthly ' => 'Vous utilisez un tag [_1] en dehors d\'une utilisation quotidienne, hebdomadaire ou mensuelle ',
    'Could not determine entry' => 'La note ne peut pas tre dtermine',
    'Invalid month format: must be YYYYMM' => 'Le format du mois est invalide : Il doit tre de la forme AAAAMM',
    'No such category \'[_1]\'' => 'La catgorie \'[_1]\' n\'existe pas',
    'You used <$MTCategoryDescription$> outside of the proper context.' => 'Vous avez utilis <$MTCategoryDescription$> en dehors de son contexte.',
    '[_1] can be used only if you have enabled Category archives.' => '[_1] peut tre utilis seulement si vous avez activ l\'archivage par Catgories.',
    '<\$MTCategoryTrackbackLink\$> must be used in the context of a category, or with the \'category\' attribute to the tag.' => '<\$MTCategoryTrackbackLink\$> doit tre utilis dans le contexte d\'une catgorie, ou avec l\'attribut \'Catgorie\' dans le tag.',
    'You failed to specify the label attribute for the [_1] tag.' => 'Vous n\'avez pas spcifi l\'tiquette du tag [_1].',
    'You used an \'[_1]\' tag outside of the context of ' => 'Vous avez utilis le tag \'[_1]\' en dehors du contexte de ',
    'MTSubCatsRecurse used outside of MTSubCategories' => 'MTSubCatsRecurse est utilis en dehors d\'une balise MTSubCategories',
    'MT[_1] must be used in a category context' => 'MT[_1] doit tre utilis dans le contexte d\'une catgorie',
    'Cannot find package [_1]: [_2]' => 'Impossible de trouver le package [_1]: [_2]',
    'Error sorting categories: [_1]' => 'Erreur en triant les catgories: [_1]',

    ## ./lib/MT/Template/Context.pm

    ## ./lib/MT/Plugin/L10N.pm

    ## ./lib/MT/Plugin/JunkFilter.pm
    'from rule' => 'de la rgle',
    'from test' => 'du test',

    ## ./lib/MT/App/Viewer.pm
    'This is an experimental feature; turn off SafeMode (in mt.cfg) in order to use it.' => 'C\'est une fonctionnalit encore  l\'essai; Dsactivez le  SafeMode (dans mt.cfg) pour pouvoir l\'utiliser.',
    'Not allowed to view blog [_1]' => 'Non autoris  voir ce blog [_1]',
    'Loading blog with ID [_1] failed' => 'Echec du chargement du blog avec ID [_1] ',
    'Can\'t load \'[_1]\' template.' => 'Impossible de charger l\'habillage \'[_1]\' .',
    'Building template failed: [_1]' => 'Echec de la construction de l\'habillage: [_1]',
    'Invalid date spec' => 'Spec de date incorrects',
    'Can\'t load template [_1]' => 'Impossible de charge l\'habillage [_1]',
    'Building archive failed: [_1]' => 'Echec de la construction des archives: [_1]',
    'Invalid entry ID [_1]' => ' ID [_1] de la note incorrect',
    'Entry [_1] is not published' => 'La note [_1] n\'est pas publie',
    'Invalid category ID \'[_1]\'' => 'ID catgorie incorrect \'[_1]\'',

    ## ./lib/MT/App/NotifyList.pm
    'Please enter a valid email address.' => 'Veuillez entrer une adresse e-mail valide.',
    'Missing required parameter: blog_id. Please consult the user manual to configure notifications.' => 'Il manque un paramtre requis : blog_id. Veuillez consulter le manuel d\'utilisateur pour configurer les notifications.',
    'Email notifications have not been configured! The weblog owner needs to set the EmailVerificationSecret configuration variable in mt.cfg.' => 'L\'avis par e-mail n\'a pas t configur ! Le webmaster de la plateforme doit mettre la variable de configuration EmailVerificationSecret dans mt.cfg.',
    'An invalid redirect parameter was provided. The weblog owner needs to specify a path that matches with the domain of the weblog.' => 'Vous avez fourni un paramtre de redirection non valide. Le propritaire du weblog doit spcifier le chemin qui correspond au nom de domaine du weblog.',
    'The email address \'[_1]\' is already in the notification list for this weblog.' => 'L\'adresse e-mail \'[_1]\' fait dj parti de la liste de notification pour ce weblog.',
    'Please verify your email to subscribe' => 'Merci de vrifier votre email pour souscrire',
    'The address [_1] was not subscribed.' => 'L\'adresse [_1] n\'a pas t souscrite.',
    'The address [_1] has been unsubscribed.' => 'L\'adresse [_1] a t supprime.',

    ## ./lib/MT/App/Search.pm
    'You are currently performing a search. Please wait ' => 'Une recherche est actuellement en cours. Merci de patienter ',
    'Search failed. Invalid pattern given: [_1]' => 'Echec de la recherche. Comportement non valide : [_1]',
    'Search failed: [_1]' => 'Echec lors de la recherche : [_1]',
    'No alternate template is specified for the Template \'[_1]\'' => 'Pas d\'habillage alternatif spcifi pour l\'habillage \'[_1]\'',
    'Opening local file \'[_1]\' failed: [_2]' => 'L\'ouverture du fichier local \'[_1]\' a chou: [_2]',
    'Building results failed: [_1]' => 'Echec lors de la construction des rsultats: [_1]',
    'Search: query for \'[_1]\'' => 'Recherche : requte pour \'[_1]\'',
    'Search: new comment search' => 'Recherche : recherche de nouveaux commentaires',

    ## ./lib/MT/App/Upgrader.pm
    'The initial account name is required.' => 'Le nom initial du compte est ncessaire.',
    'You failed to validate your password.' => 'Echec de la validation du mot de passe.',
    'You failed to supply a password.' => 'Vous n\'avez pas donn de mot de passe.',
    'The value you entered was not a valid email address' => 'Vous devez saisir une adresse e-mail valide',
    'Password recovery word/phrase is required.' => 'La phrase de rcupration de mot de passe est requise.',
    'User \'[_1]\' upgraded database to version [_2]' => 'L\'utilisateur \'[_1]\' a mis  jour la base de donnes avec la version [_2]',
    'Invalid session.' => 'Session invalide.',
    'No permissions. Please contact your administrator for upgrading Movable Type.' => 'Pas d\'autorisation. Contactez votre administrateur systme Movable Type pour changer votre statut.',

    ## ./lib/MT/App/Trackback.pm
    'You must define a Ping template in order to display pings.' => 'Vous devez dfinir un modle d\'affichage Ping pour les afficher.',
    'Trackback pings must use HTTP POST' => 'Les Pings Trackback doivent utiliser HTTP POST',
    'Need a TrackBack ID (tb_id).' => 'Un TrackBack ID est requis (tb_id).',
    'Invalid TrackBack ID \'[_1]\'' => 'TrackBack ID invalide \'[_1]\'',
    'You are not allowed to send TrackBack pings.' => 'You n\'tes pas autoris  envoyer des TrackBack pings.',
    'You are pinging trackbacks too quickly. Please try again later.' => 'Vous pinguez les trackbacks trop rapidement. Merci d\'essayer plus tard.',
    'Need a Source URL (url).' => 'Une source URL est requise (url).',
    'Invalid URL \'[_1]\'' => 'URL invalide \'[_1]\'',
    'This TrackBack item is disabled.' => 'Cet lment TrackBack est dsactiv.',
    'This TrackBack item is protected by a passphrase.' => 'Cet lment de TrackBack est protg par un mot de passe.',
    'TrackBack on "[_1]" from "[_2]".' => 'TrackBack sur "[_1]" provenant de "[_2]".',
    'TrackBack on category \'[_1]\' (ID:[_2]).' => 'TrackBack sur la catgorie \'[_1]\' (ID:[_2]).',
    'Rebuild failed: [_1]' => 'Echec lors de la recontruction: [_1]',
    'Can\'t create RSS feed \'[_1]\': ' => 'Impossible de crer le flux RSS \'[_1]\': ',
    'New TrackBack Ping to Entry [_1] ([_2])' => 'Nouveau TrackBack Ping pour la Note [_1] ([_2])',
    'New TrackBack Ping to Category [_1] ([_2])' => 'Nouveau TrackBack Ping pour la Catgorie [_1] ([_2])',

    ## ./lib/MT/App/Comments.pm
    'No id' => 'pas d\'id',
    'No such comment' => 'Pas de commentaire de la sorte',
    'IP [_1] banned because comment rate exceeded 8 comments in [_2] seconds.' => 'l\'IP [_1] a t bannie car elle emet plus de 8 commentaires en  [_2] seconds.',
    'IP Banned Due to Excessive Comments' => 'IP bannie pour cause de commentaires excessifs',
    'Invalid request' => 'Demande incorrecte',
    'No such entry \'[_1]\'.' => 'Aucune Note \'[_1]\'.',
    'You are not allowed to post comments.' => 'Vous n\'tes pas autoris  poster des commentaires.',
    'Comments are not allowed on this entry.' => 'Les commentaires ne sont pas autoriss sur cette Note.',
    'Comment text is required.' => 'Le texte de commentaire est requis.',
    'Registration is required.' => 'L\'inscription est requise.',
    'Name and email address are required.' => 'Le nom et l\'e-mail sont requis.',
    'Invalid email address \'[_1]\'' => 'Adresse e-mail invalide \'[_1]\'',
    'Comment save failed with [_1]' => 'La sauvegarde du commentaire a chou [_1]',
    'Comment on "[_1]" by [_2].' => 'Commentaire sur "[_1]" par [_2].',
    'Commenter save failed with [_1]' => 'L\'enregistrement de l\'auteur de commentaires a chou [_1]',
    'New Comment Posted to \'[_1]\'' => 'Nouveau commentaire post sur \'[_1]\'',
    'The login could not be confirmed because of a database error ([_1])' => 'Le login ne peut pas tre confirm en raison d\'une erreur de base de donnes ([_1])',
    'Couldn\'t get public key from url provided' => 'Impossible d\'avoir une clef publique',
    'No public key could be found to validate registration.' => 'Aucune cl publique n\'a t trouve pour valider l\'inscription.',
    'TypeKey signature verif\'n returned [_1] in [_2] seconds verifying [_3] with [_4]' => 'La vrification de la signature Typekey retourne [_1] dans [_2] secondes en vrifiant [_3] avec [_4]',
    'The TypeKey signature is out of date ([_1] seconds old). Ensure that your server\'s clock is correct' => 'La signature Typekey est prime depuis ([_1] secondes). Vrifier que votre serveur a une heure correcte',
    'The sign-in validation failed.' => 'Cette validation pour enregistrement a chou.',
    'This weblog requires commenters to pass an email address. If you\'d like to do so you may log in again, and give the authentication service permission to pass your email address.' => 'Les auteurs de commentaires de ce weblog doivent donner une adresse email. Si vous souhaitez le faire il faut vous enregistrer  nouveau et donner l\'autorisation au systme d\'identification de rcuprer votre adresse email',
    'Couldn\'t save the session' => 'Impossible de sauvegarder la session',
    'This weblog requires commenters to pass an email address' => 'Les auteurs de commentaires de ce weblog doivent donner une adresse email',
    'Sign in requires a secure signature; logout requires the logout=1 parameter' => 'La procdure d\'enregistrement ncessite une signature scurise; la procdure de dconnexion ncessite le paramtre logout=1',
    'The sign-in attempt was not successful; please try again.' => 'La tentative d\'enregistrement a chou; veuillez essayer de nouveau.',
    'The sign-in validation was not successful. Please make sure your weblog is properly configured and try again.' => 'La procdure d\'enrgistrement a chou. Veuillez vrifier que votre weblog est configur correctement et essayez de nouveau.',
    'No such entry ID \'[_1]\'' => 'Aucune ID pour la Note \'[_1]\'',
    'You must define an Individual template in order to ' => 'Vous devez dfinir un modle individuel pour ',
    'You must define a Comment Listing template in order to ' => 'Vous devez dfinir un modle de liste de commentaires pour ',
    'No entry was specified; perhaps there is a template problem?' => 'Aucune Note n\'a t spcifie; peut-tre y a-t-il un problme de modle?',
    'Somehow, the entry you tried to comment on does not exist' => 'Il semble que la Note que vous souhaitez commenter n\'existe pas',
    'You must define a Comment Pending template.' => 'Vous devez dfinir un modle pour les commentaires en attente de validation.',
    'You must define a Comment Error template.' => 'Vous devez dfinir un modle d\'erreur de commentaire.',
    'You must define a Comment Preview template.' => 'Vous devez dfinir un modle de prvisualisation de commentaire.',

    ## ./lib/MT/App/Wizard.pm
    'Sendmail' => 'Envoyer d\'email',
    'Test email from Movable Type Configuration Wizard' => 'E-mail de test de l\'assistant de configuration Movable Type',
    'This is the test email sent by your new installation of Movable Type.' => 'Ceci est un e-mail de test envoy par votre nouvelle installation Movable Type.',

    ## ./lib/MT/App/ActivityFeeds.pm
    'An error occurred while generating the activity feed: [_1].' => 'Une erreur est survenue lors de la gnration du flux d\'activit : [_1].',
    'No permissions.' => 'Pas de permissions.',
    '[_1] Weblog TrackBacks' => 'TrackBacks du weblog [_1] ',
    'All Weblog TrackBacks' => 'Tous les TrackBacks du weblog',
    '[_1] Weblog Comments' => 'Commentaires du weblog[_1] ',
    'All Weblog Comments' => 'Tous les commentaires du weblog',
    '[_1] Weblog Entries' => 'Notes du weblog[_1] ',
    'All Weblog Entries' => 'Toutes les notes du weblog ',
    '[_1] Weblog Activity' => 'Activit du weblog [_1] ',
    'All Weblog Activity' => 'Toutes l activit du weblog',
    'Movable Type Debug Activity' => 'Activit Debug Movable Type',

    ## ./lib/MT/App/CMS.pm
    'No permissions' => 'Aucun Droit',
    'Invalid blog' => 'Blog incorrect',
    'Convert Line Breaks' => 'Conversion retours ligne',
    'Invalid author_id' => 'auteur_id incorrect',
    'Invalid username \'[_1]\' in password recovery attempt' => 'Nom d\'utilisateur incorrect \'[_1]\' pendant la tentative de rcupration du mot de passe',
    'Username or password recovery phrase is incorrect.' => 'Le nom d\'utilisateur ou la phrase de rcupration du mot de passe sont incorrects.',
    'Password recovery for user \'[_1]\' failed due to lack of recovery phrase specified in profile.' => 'La rcupration du mot de passe par l\'utilisateur \'[_1]\' a choue du fait de l\'absence de la phrase de rcupration dans le profil.',
    'No password recovery phrase set in user profile. Please see your system administrator for password recovery.' => 'Il n\'y a pas de phrase de rcupration de mot de passe dans le profil utilisateur. Merci de contacter votre administrateur pour rcuprer le mot de passe.',
    'Invalid attempt to recover password (used recovery phrase \'[_1]\')' => 'La tentative de rcupration du mot de passe a choue (phrase de rcupration du mot de passe utilise : \'[_1]\')',
    'Password recovery for user \'[_1]\' failed due to lack of email specified in profile.' => 'La tentative de rcupration du mot de passe a choue pour l\'utilisateur \'[_1]\' car il n\'y avait pas d\'email dans le profil.',
    'No email specified in user profile.  Please see your system administrator for password recovery.' => 'Pas d\'adresse email prcise dans le profil utilisateur. Merci de contacter votre administrateur pour rcuprer le mot de passe.',
    'Password was reset for user \'[_1]\' (ID:[_2]) and sent to address: [_3]' => 'Mot de passe rinitialis pour l\'utilisateur \'[_1]\' (ID:[_2]) et envoy  l\'adresse email : [_3]',
    'Error sending mail ([_1]); please fix the problem, then ' => 'Erreur lors de l\'envoi de l\'e-mail ([_1]); veuillez rsoudre le problme puis ',
    'Invalid type' => 'Type incorrect',
    'No such tag' => 'Pas de Tag de ce type',
    'You are not authorized to log in to this blog.' => 'Vous n\'tes pas autoris  vous connecter sur ce weblog.',
    'No such blog [_1]' => 'Aucun weblog ne porte le nom [_1]',
    'Weblog Activity Feed' => 'Flux d\'activit du weblog',
    '(author deleted)' => '(auteur effac)',
    'All Feedback' => 'Tous les retours lecteurs',
    'log records' => 'entres du journal',
    'System Activity Feed' => 'Flux d\'activit du systme',
    'Activity log for blog \'[_1]\' (ID:[_2]) reset by \'[_3]\'' => 'Journal d\'activit pour le blog \'[_1]\' (ID:[_2]) rinitialis par \'[_3]\'',
    'Activity log reset by \'[_1]\'' => 'Journal d\'activit rinitialis par \'[_1]\'',
    'Import/Export' => 'Importer / Exporter',
    'Invalid blog id [_1].' => 'ID du blog invalide [_1].',
    'Invalid parameter' => 'Paramtre Invalide',
    'Load failed: [_1]' => 'Echec de chargement : [_1]',
    '(no reason given)' => '(sans raison donne)',
    '(untitled)' => '(sans titre)',
    'Create template requires type' => 'La cration d\'habillages ncessite un type',
    'New Template' => 'Nouveau modle',
    'New Weblog' => 'Nouveau weblog',
    'Author requires username' => 'Un nom d\'utilisateur est ncessaire pour l\'auteur',
    'Author requires password' => 'L\'auteur a besoin d\'un mot de passe',
    'Author requires password recovery word/phrase' => 'L\'auteur demande la phrase de rcupration de mot de passe',
    'Email Address is required for password recovery' => 'L\'adresse email est ncessaire pour rcuprer le mot de passe',
    'The e-mail address you entered is already on the Notification List for this weblog.' => 'L\'adresse e-mail que vous avez entre fait dj parti de la liste de notification de ce weblog.',
    'You did not enter an IP address to ban.' => 'Vous devez saisir une adresse IP  bannir.',
    'The IP you entered is already banned for this weblog.' => 'L\'adresse IP que vous avez entre a t bannie de ce weblog.',
    'You did not specify a weblog name.' => 'Vous devez  spcifier un nom de weblog.',
    'Site URL must be an absolute URL.' => 'L\'URL du site doit tre une URL absolue.',
    'Archive URL must be an absolute URL.' => 'Les URL d\'archive doivent tre des URL absolues.',
    'The name \'[_1]\' is too long!' => 'Le nom \'[_1]\' est trop long.',
    'Category \'[_1]\' created by \'[_2]\'' => 'Catgorie \'[_1]\' cre par \'[_2]\'',
    'The category label \'[_1]\' conflicts with another category. Top-level categories and sub-categories with the same parent must have unique names.' => 'Le nom de catgorie \'[_1]\' est en conflit avec une autre catgorie. Les catgories et les sous-catgories doivent avoir un nom unique.',
    'Saving permissions failed: [_1]' => 'Echec lors de la sauvegarde des Autorisations : [_1]',
    'Can\'t find default template list; where is ' => 'Impossible de trouver la liste des modles par dfaut; o est ',
    'Populating blog with default templates failed: [_1]' => 'L\'activation sur le blog des modles par dfaut a chou : [_1]',
    'Setting up mappings failed: [_1]' => 'La mise en oeuvre des mappings a chou : [_1]',
    'Weblog \'[_1]\' (ID:[_2]) created by \'[_3]\'' => 'Weblog \'[_1]\' (ID:[_2]) cr par \'[_3]\'',
    'User \'[_1]\' (ID:[_2]) created by \'[_3]\'' => 'Utilisateur \'[_1]\' (ID:[_2]) cr par \'[_3]\'',
    'Template \'[_1]\' (ID:[_2]) created by \'[_3]\'' => 'Modle \'[_1]\' (ID:[_2]) cr par \'[_3]\'',
    'You cannot delete your own author record.' => 'Vous ne pouvez pas effacer vos propres donnes Auteur.',
    'You have no permission to delete the author [_1].' => 'Vous n\'avez pas l\'autorisation d\'effacer l\'auteur [_1].',
    'Weblog \'[_1]\' (ID:[_2]) deleted by \'[_3]\'' => 'Weblog \'[_1]\' (ID:[_2]) supprim par \'[_3]\'',
    'Subscriber \'[_1]\' (ID:[_2]) deleted from notification list by \'[_3]\'' => 'Abonn \'[_1]\' (ID:[_2]) supprim de la liste de notifications par \'[_3]\'',
    'User \'[_1]\' (ID:[_2]) deleted by \'[_3]\'' => 'Utilisateur \'[_1]\' (ID:[_2]) supprim par \'[_3]\'',
    'Category \'[_1]\' (ID:[_2]) deleted by \'[_3]\'' => 'Catgorie \'[_1]\' (ID:[_2]) supprime par \'[_3]\'',
    'Comment (ID:[_1]) by \'[_2]\' deleted by \'[_3]\' from entry \'[_4]\'' => 'Commentaire (ID:[_1]) de \'[_2]\' supprim par \'[_3]\' de la note \'[_4]\'',
    'Entry \'[_1]\' (ID:[_2]) deleted by \'[_3]\'' => 'Note \'[_1]\' (ID:[_2]) supprime par \'[_3]\'',
    '(Unlabeled category)' => '(Catgorie sans description)',
    'Ping (ID:[_1]) from \'[_2]\' deleted by \'[_3]\' from category \'[_4]\'' => 'Ping (ID:[_1]) de \'[_2]\' supprim par \'[_3]\' de la catgorie \'[_4]\'',
    '(Untitled entry)' => '(Note sans titre)',
    'Ping (ID:[_1]) from \'[_2]\' deleted by \'[_3]\' from entry \'[_4]\'' => 'Ping (ID:[_1]) de \'[_2]\' supprim par \'[_3]\' de la note \'[_4]\'',
    'Template \'[_1]\' (ID:[_2]) deleted by \'[_3]\'' => 'Modle \'[_1]\' (ID:[_2]) supprim par \'[_3]\'',
    'Tag \'[_1]\' (ID:[_2]) deleted by \'[_3]\'' => 'Tag \'[_1]\' (ID:[_2]) supprim par \'[_3]\'',
    'Passwords do not match.' => 'Les mots de passe ne sont pas conformes.',
    'Failed to verify current password.' => 'Erreur lors de la vrification du mot de passe.',
    'An author by that name already exists.' => 'Un auteur ayant ce nom existe dj.',
    'Save failed: [_1]' => 'Echec sauvegarde: [_1]',
    'Saving object failed: [_1]' => 'Echec lors de la sauvegarde de l\'objet : [_1]',
    'No Name' => 'Pas de Nom',
    'Notification List' => 'Liste de notifications',
    'email addresses' => 'adresses email',
    'Can\'t delete that way' => 'Impossible de supprimer comme cela',
    'Your login session has expired.' => 'Votre session a expir.',
    'You can\'t delete that category because it has sub-categories. Move or delete the sub-categories first if you want to delete this one.' => 'Vous ne pouvez pas effacer cette catgorie car elle contient des sous-catgories. Dplacez ou supprimez d\'abord les sous-catgories pour pouvoir effacer cette catgorie.',
    'System templates can not be deleted.' => 'Les modles crs par le Systme ne peuvent pas tre supprims.',
    'Unknown object type [_1]' => 'Objet de type [_1] inconnu',
    'Loading object driver [_1] failed: [_2]' => 'Echec lors du chargement du driver [_1] : [_2]',
    'Reading \'[_1]\' failed: [_2]' => 'Echec \'[_1]\' lors de la lecture de : [_2]',
    'Thumbnail failed: [_1]' => 'Echec de a vignette: [_1]',
    'Error writing to \'[_1]\': [_2]' => 'Erreur \'[_1]\' lors de l\'criture de : [_2]',
    'Invalid basename \'[_1]\'' => 'Nom de base invalide \'[_1]\'',
    'No such commenter [_1].' => 'Pas de d\'auteur de commentaires [_1].',
    'User \'[_1]\' trusted commenter \'[_2]\'.' => 'L\'utilisateur \'[_1]\' a accord le statut Fiable  l\'auteur de commentaire \'[_2]\'.',
    'User \'[_1]\' banned commenter \'[_2]\'.' => 'L\'utilisateur \'[_1]\'  a banni l\'auteur de commentaire \'[_2]\'.',
    'User \'[_1]\' unbanned commenter \'[_2]\'.' => 'L\'utilisateur \'[_1]\'  a retir le statu Banni  l\'auteur de commentaire \'[_2]\'.',
    'User \'[_1]\' untrusted commenter \'[_2]\'.' => 'L\'utilisateur \'[_1]\'  a retir le statut Fiable  l\'auteur de commentaire \'[_2]\'.',
    'Need a status to update entries' => 'Statut ncessaire pour mettre  jour les notes',
    'Need entries to update status' => 'Notes ncessaires pour mettre  jour le statut',
    'One of the entries ([_1]) did not actually exist' => 'Une des notes ([_1]) n\'existait pas',
    'Some entries failed to save' => 'Certaines notes non pas t sauvegardes correctement',
    'You don\'t have permission to approve this TrackBack.' => 'Vous n\'avez pas l\'autorisation d\'approuver ce TrackBack.',
    'Comment on missing entry!' => 'Commentaire su une note maquante !',
    'You don\'t have permission to approve this comment.' => 'Vous n\'avez pas la permission d\'approuver ce commentaire.',
    'Comment Activity Feed' => 'Flux d\'activit des commentaires',
    'Orphaned comment' => 'Commentaire orphelin',
    'Plugin Set: [_1]' => 'Eventail de Plugin : [_1]',
    'TrackBack Activity Feed' => 'Flux d\'activit des TrackBacks ',
    'No Excerpt' => 'Pas d\'extrait',
    'No Title' => 'Pas de Titre',
    'Orphaned TrackBack' => 'TrackBack orphelin',
    'Tag' => 'Tag', # Translate - Previous (1)
    'Entry Activity Feed' => 'Flux d\'activit des notes',
    'Invalid date \'[_1]\'; authored on dates must be in the format YYYY-MM-DD HH:MM:SS.' => 'Date invalide \'[_1]\'; les dates doivent tre au format AAAA-MM-JJ HH:MM:SS.',
    'Invalid date \'[_1]\'; authored on dates should be real dates.' => 'Date invalide \'[_1]\'; les dates de publication doivent tre relles.',
    'Saving entry \'[_1]\' failed: [_2]' => 'Echec \'[_1]\' lors de la sauvegarde de la Note : [_2]',
    'Removing placement failed: [_1]' => 'Echec lors de la suppression de l\'emplacement : [_1]',
    'No such entry.' => 'Aucune Note de ce type.',
    'Your weblog has not been configured with a site path and URL. You cannot publish entries until these are defined.' => 'Votre weblog n\'a pas t configur avec un chemin et une URL. Vous ne pouvez pas publier de notes avant qu\'ils ne soient dfinis',
    'Entry \'[_1]\' (ID:[_2]) added by user \'[_3]\'' => 'Note \'[_1]\' (ID:[_2]) ajoute par l\'utilisateur \'[_3]\'',
    'The category must be given a name!' => 'Vous devez donner un nom a votre catgorie.',
    'yyyy/mm/entry_basename' => 'aaaa/mm/titre_de_la_note',
    'yyyy/mm/entry-basename' => 'aaaa/mm/titre-de-la-note',
    'yyyy/mm/entry_basename/' => 'aaaa/mm/titre_de_la_note/',
    'yyyy/mm/entry-basename/' => 'aaaa/mm/titre-de-la-note/',
    'yyyy/mm/dd/entry_basename' => 'aaaa/mm/jj/titre_de_la_note',
    'yyyy/mm/dd/entry-basename' => 'aaaa/mm/jj/titre-de-la-note',
    'yyyy/mm/dd/entry_basename/' => 'aaaa/mm/jj/titre_de_la_note/',
    'yyyy/mm/dd/entry-basename/' => 'aaaa/mm/jj/titre-de-la-note/',
    'category/sub_category/entry_basename' => 'categorie/sous_categorie/titre_de_la_note',
    'category/sub_category/entry_basename/' => 'categorie/sous_categorie/titre_de_la_note/',
    'category/sub-category/entry_basename' => 'categorie/sous-categorie/titre_de_la_note',
    'category/sub-category/entry-basename' => 'categorie/sous-categorie/titre-de-la-note',
    'category/sub-category/entry_basename/' => 'categorie/sous-categorie/titre_de_la_note/',
    'category/sub-category/entry-basename/' => 'categorie/sous-categorie/titre-de-la-note/',
    'primary_category/entry_basename' => 'categorie_principale/titre_de_la_note',
    'primary_category/entry_basename/' => 'categorie_principale/titre_de_la_note/',
    'primary-category/entry_basename' => 'categorie-principale/titre_de_la_note',
    'primary-category/entry-basename' => 'categorie-principale/titre-de-la-note',
    'primary-category/entry_basename/' => 'categorie-principale/titre_de_la_note/',
    'primary-category/entry-basename/' => 'categorie-principale/titre-de-la-note/',
    'yyyy/mm/' => 'aaaa/mm/',
    'yyyy_mm' => 'aaaa_mm',
    'yyyy/mm/dd/' => 'aaaa/mm/jj/',
    'yyyy_mm_dd' => 'aaaa_mm_jj',
    'yyyy/mm/dd-week/' => 'aaaa/mm/jj-semaine/',
    'week_yyyy_mm_dd' => 'semaine_aaaa_mm_jj',
    'category/sub_category/' => 'categorie/sous_categorie/',
    'category/sub-category/' => 'categorie/sous-categorie/',
    'cat_category' => 'cat_categorie',
    'Saving blog failed: [_1]' => 'Echec lors de la sauvegarde du blog : [_1]',
    'You do not have permission to configure the blog' => 'Vous n\'avez pas la permission de configurer le weblog.',
    'Saving map failed: [_1]' => 'Echec lors du rattachement: [_1]',
    'Parse error: [_1]' => 'Erreur de parsing : [_1]',
    'Build error: [_1]' => 'Erreur de construction : [_1]',
    'Rebuild-option name must not contain special characters' => 'L option de reconstruction de nom ne doit pas contenir de caractres spciaux',
    'index template \'[_1]\'' => 'index hbaillage \'[_1]\'',
    'entry \'[_1]\'' => 'note \'[_1]\'',
    'Ping \'[_1]\' failed: [_2]' => 'Le Ping \'[_1]\' n\'a pas fonctionn : [_2]',
    'You cannot modify your own permissions.' => 'Vous ne pouvez pas modifier vos propres permissions.',
    'You are not allowed to edit the permissions of this author.' => 'Vous n tes pas autoris  modifier les autorisations de cet auteur.',
    'Edit Permissions' => 'Editer les Autorisations',
    'Edit Profile' => 'Editer le profil',
    'No entry ID provided' => 'Aucune ID de Note fournie',
    'No such entry \'[_1]\'' => 'Aucune Note du type \'[_1]\'',
    'No email address for author \'[_1]\'' => 'L\'auteur \'[_1]\' ne possde pas d\'adresse e-mail',
    'No valid recipients found for the entry notification.' => 'Aucun destinataire valide n\'a t trouv pour la notification de cette note.',
    'Error sending mail ([_1]); try another MailTransfer setting?' => 'Erreur lors de l\'envoi de l\'e-mail ([_1]); essayer un autre paramtre de MailTransfer ?',
    'You did not choose a file to upload.' => 'Vous n\'avez pas slectionn de fichier  envoyer.',
    'Invalid extra path \'[_1]\'' => 'Chemin supplmentaire invalide \'[_1]\'',
    'Can\'t make path \'[_1]\': [_2]' => 'Impossible de crer le chemin \'[_1]\' : [_2]',
    'Invalid temp file name \'[_1]\'' => 'Nom de fichier temporaire invalide \'[_1]\'',
    'Error opening \'[_1]\': [_2]' => 'Erreur lors de l\'ouverture de \'[_1]\' : [_2]',
    'Error deleting \'[_1]\': [_2]' => 'Erreur lors de la suppression de \'[_1]\' : [_2]',
    'File with name \'[_1]\' already exists. (Install ' => 'Le fichier portant le nom \'[_1]\' existe dj. (Installez ',
    'Error creating temporary file; please check your TempDir ' => 'Erreur lors de la cration du fichier temporaire; veuillez vrifier votre rpertoire temporaire (Temp) ',
    'unassigned' => 'non assign',
    'File with name \'[_1]\' already exists; Tried to write ' => 'Le fichier portant le nom \'[_1]\' existe dj; Essayez d\'crire ',
    'Error writing upload to \'[_1]\': [_2]' => 'Erreur d\'criture lors de l\'envoi de \'[_1]\' : [_2]',
    'Perl module Image::Size is required to determine ' => 'le Module Perl Image::Size est requis pour dterminer ',
    'Invalid date(s) specified for date range.' => 'Date(s) incorrecte(s) pour la slection de calendrier.',
    'Error in search expression: [_1]' => 'Erreur dans la recherche de l expression : [_1]',
    'Saving object failed: [_2]' => 'La sauvegarde des objets a chou : [_2]',
    'Search & Replace' => 'Rechercher et Remplacer',
    'No blog ID' => 'Aucun blog ID',
    'You do not have export permissions' => 'Vous n\'avez pas les droits d\'exportation',
    'You do not have import permissions' => 'Vous n\'avez pas les droits d\'importation',
    'You do not have permission to create authors' => 'Vous n\'tes pas autoris  crer des auteurs',
    'Preferences' => 'Prfrences',
    'Add a Category' => 'Ajouter une Catgorie',
    'No label' => 'Pas d etiquette',
    'Category name cannot be blank.' => 'Vous devez nommer votre catgorie.',
    'That action ([_1]) is apparently not implemented!' => 'Cette action ([_1]) n\'est visiblement pas implmente!',
    'Permission denied' => 'Autorisation refuse',

    ## ./lib/MT/FileMgr/FTP.pm
    'Creating path \'[_1]\' failed: [_2]' => 'Cration chemin \'[_1]\' a choue : [_2]',
    'Renaming \'[_1]\' to \'[_2]\' failed: [_3]' => 'Renommer \'[_1]\' vers \'[_2]\' a chou : [_3]',
    'Deleting \'[_1]\' failed: [_2]' => 'Effacement \'[_1]\' echec : [_2]',

    ## ./lib/MT/FileMgr/SFTP.pm
    'SFTP connection failed: [_1]' => 'La connection SFTP a chou : [_1]',
    'SFTP get failed: [_1]' => 'Obtention SFTP a chou : [_1]',
    'SFTP put failed: [_1]' => 'Mettre SFTP a chou : [_1]',

    ## ./lib/MT/FileMgr/DAV.pm
    'DAV connection failed: [_1]' => 'La connection DAV a chou : [_1]',
    'DAV open failed: [_1]' => 'Ouverture DAV a choue : [_1]',
    'DAV get failed: [_1]' => 'Obtention DAV a choue : [_1]',
    'DAV put failed: [_1]' => 'Mettre DAV a choue : [_1]',

    ## ./lib/MT/FileMgr/Local.pm

    ## ./lib/MT/I18N/default.pm

    ## ./lib/MT/I18N/ja.pm

    ## ./lib/MT/I18N/en_us.pm

    ## ./build/Html.pm

    ## ./build/Build.pm

    ## ./build/sample.pm

    ## ./build/cwapi.pm

    ## ./build/Backup.pm

    ## ./extlib/DateTimePPExtra.pm

    ## ./extlib/DateTimePP.pm

    ## ./extlib/JSON.pm

    ## ./extlib/Jcode.pm

    ## ./extlib/DateTime.pm

    ## ./extlib/CGI.pm

    ## ./extlib/URI.pm

    ## ./extlib/LWP.pm

    ## ./extlib/Module/Load.pm

    ## ./extlib/Module/Load/Conditional.pm

    ## ./extlib/URI/_userpass.pm

    ## ./extlib/URI/_login.pm

    ## ./extlib/URI/QueryParam.pm

    ## ./extlib/URI/http.pm

    ## ./extlib/URI/URL.pm

    ## ./extlib/URI/telnet.pm

    ## ./extlib/URI/_foreign.pm

    ## ./extlib/URI/_segment.pm

    ## ./extlib/URI/rsync.pm

    ## ./extlib/URI/WithBase.pm

    ## ./extlib/URI/_query.pm

    ## ./extlib/URI/pop.pm

    ## ./extlib/URI/urn.pm

    ## ./extlib/URI/Fetch.pm

    ## ./extlib/URI/rtspu.pm

    ## ./extlib/URI/rtsp.pm

    ## ./extlib/URI/file.pm

    ## ./extlib/URI/Heuristic.pm

    ## ./extlib/URI/_server.pm

    ## ./extlib/URI/sip.pm

    ## ./extlib/URI/gopher.pm

    ## ./extlib/URI/_generic.pm

    ## ./extlib/URI/news.pm

    ## ./extlib/URI/ldap.pm

    ## ./extlib/URI/sips.pm

    ## ./extlib/URI/ssh.pm

    ## ./extlib/URI/https.pm

    ## ./extlib/URI/mailto.pm

    ## ./extlib/URI/ftp.pm

    ## ./extlib/URI/snews.pm

    ## ./extlib/URI/rlogin.pm

    ## ./extlib/URI/nntp.pm

    ## ./extlib/URI/Escape.pm

    ## ./extlib/URI/data.pm

    ## ./extlib/URI/Fetch/Response.pm

    ## ./extlib/URI/file/OS2.pm

    ## ./extlib/URI/file/Base.pm

    ## ./extlib/URI/file/Mac.pm

    ## ./extlib/URI/file/QNX.pm

    ## ./extlib/URI/file/FAT.pm

    ## ./extlib/URI/file/Win32.pm

    ## ./extlib/URI/file/Unix.pm

    ## ./extlib/URI/urn/oid.pm

    ## ./extlib/URI/urn/isbn.pm

    ## ./extlib/XML/Simple.pm

    ## ./extlib/XML/XPath.pm

    ## ./extlib/XML/NamespaceSupport.pm

    ## ./extlib/XML/SAX.pm

    ## ./extlib/XML/Elemental.pm

    ## ./extlib/XML/Atom.pm

    ## ./extlib/XML/Parser/Lite.pm

    ## ./extlib/XML/Parser/Style/Elemental.pm

    ## ./extlib/XML/SAX/Exception.pm

    ## ./extlib/XML/SAX/DocumentLocator.pm

    ## ./extlib/XML/SAX/Base.pm

    ## ./extlib/XML/SAX/ParserFactory.pm

    ## ./extlib/XML/SAX/PurePerl.pm

    ## ./extlib/XML/SAX/PurePerl/UnicodeExt.pm

    ## ./extlib/XML/SAX/PurePerl/DebugHandler.pm

    ## ./extlib/XML/SAX/PurePerl/NoUnicodeExt.pm

    ## ./extlib/XML/SAX/PurePerl/Productions.pm

    ## ./extlib/XML/SAX/PurePerl/Exception.pm

    ## ./extlib/XML/SAX/PurePerl/XMLDecl.pm

    ## ./extlib/XML/SAX/PurePerl/DocType.pm

    ## ./extlib/XML/SAX/PurePerl/DTDDecls.pm

    ## ./extlib/XML/SAX/PurePerl/EncodingDetect.pm

    ## ./extlib/XML/SAX/PurePerl/Reader.pm

    ## ./extlib/XML/SAX/PurePerl/Reader/UnicodeExt.pm

    ## ./extlib/XML/SAX/PurePerl/Reader/NoUnicodeExt.pm

    ## ./extlib/XML/SAX/PurePerl/Reader/String.pm

    ## ./extlib/XML/SAX/PurePerl/Reader/Stream.pm

    ## ./extlib/XML/SAX/PurePerl/Reader/URI.pm

    ## ./extlib/XML/Elemental/Element.pm

    ## ./extlib/XML/Elemental/SAXHandler.pm

    ## ./extlib/XML/Elemental/Characters.pm

    ## ./extlib/XML/Elemental/Node.pm

    ## ./extlib/XML/Elemental/Util.pm

    ## ./extlib/XML/Elemental/Document.pm

    ## ./extlib/XML/Atom/Author.pm

    ## ./extlib/XML/Atom/Link.pm

    ## ./extlib/XML/Atom/Client.pm

    ## ./extlib/XML/Atom/ErrorHandler.pm

    ## ./extlib/XML/Atom/Server.pm

    ## ./extlib/XML/Atom/API.pm

    ## ./extlib/XML/Atom/Feed.pm

    ## ./extlib/XML/Atom/Person.pm

    ## ./extlib/XML/Atom/Content.pm

    ## ./extlib/XML/Atom/Util.pm

    ## ./extlib/XML/Atom/Thing.pm

    ## ./extlib/XML/Atom/Entry.pm

    ## ./extlib/XML/XPath/Literal.pm

    ## ./extlib/XML/XPath/Root.pm

    ## ./extlib/XML/XPath/PerlSAX.pm

    ## ./extlib/XML/XPath/Parser.pm

    ## ./extlib/XML/XPath/Step.pm

    ## ./extlib/XML/XPath/Expr.pm

    ## ./extlib/XML/XPath/Function.pm

    ## ./extlib/XML/XPath/Variable.pm

    ## ./extlib/XML/XPath/NodeSet.pm

    ## ./extlib/XML/XPath/Builder.pm

    ## ./extlib/XML/XPath/Node.pm

    ## ./extlib/XML/XPath/LocationPath.pm

    ## ./extlib/XML/XPath/XMLParser.pm

    ## ./extlib/XML/XPath/Boolean.pm

    ## ./extlib/XML/XPath/Number.pm

    ## ./extlib/XML/XPath/Node/Comment.pm

    ## ./extlib/XML/XPath/Node/Attribute.pm

    ## ./extlib/XML/XPath/Node/Element.pm

    ## ./extlib/XML/XPath/Node/PI.pm

    ## ./extlib/XML/XPath/Node/Text.pm

    ## ./extlib/XML/XPath/Node/Namespace.pm

    ## ./extlib/File/Listing.pm

    ## ./extlib/File/Temp.pm

    ## ./extlib/File/Copy/Recursive.pm

    ## ./extlib/MIME/Words.pm

    ## ./extlib/HTTP/Headers.pm

    ## ./extlib/HTTP/Negotiate.pm

    ## ./extlib/HTTP/Daemon.pm

    ## ./extlib/HTTP/Response.pm

    ## ./extlib/HTTP/Request.pm

    ## ./extlib/HTTP/Message.pm

    ## ./extlib/HTTP/Status.pm

    ## ./extlib/HTTP/Date.pm

    ## ./extlib/HTTP/Cookies.pm

    ## ./extlib/HTTP/Headers/ETag.pm

    ## ./extlib/HTTP/Headers/Auth.pm

    ## ./extlib/HTTP/Headers/Util.pm

    ## ./extlib/HTTP/Request/Common.pm

    ## ./extlib/JSON/Parser.pm

    ## ./extlib/JSON/Converter.pm

    ## ./extlib/WWW/RobotRules.pm

    ## ./extlib/WWW/RobotRules/AnyDBM_File.pm

    ## ./extlib/DateTime/LocaleCatalog.pm

    ## ./extlib/DateTime/LeapSecond.pm

    ## ./extlib/DateTime/TimeZone.pm

    ## ./extlib/DateTime/Infinite.pm

    ## ./extlib/DateTime/Locale.pm

    ## ./extlib/DateTime/Duration.pm

    ## ./extlib/DateTime/TimeZoneCatalog.pm

    ## ./extlib/DateTime/Locale/Base.pm

    ## ./extlib/DateTime/Locale/root.pm

    ## ./extlib/DateTime/Locale/Alias/ISO639_2.pm

    ## ./extlib/DateTime/TimeZone/Floating.pm

    ## ./extlib/DateTime/TimeZone/OlsonDB.pm

    ## ./extlib/DateTime/TimeZone/UTC.pm

    ## ./extlib/DateTime/TimeZone/OffsetOnly.pm

    ## ./extlib/DateTime/TimeZone/Local.pm

    ## ./extlib/Apache/SOAP.pm

    ## ./extlib/Apache/XMLRPC/Lite.pm

    ## ./extlib/IPC/Cmd.pm

    ## ./extlib/Attribute/Params/Validate.pm

    ## ./extlib/Locale/Maketext.pm

    ## ./extlib/IO/SessionSet.pm

    ## ./extlib/IO/SessionData.pm

    ## ./extlib/Archive/Extract.pm

    ## ./extlib/Class/ErrorHandler.pm

    ## ./extlib/Class/Accessor.pm

    ## ./extlib/Class/Accessor/Fast.pm

    ## ./extlib/Jcode/Tr.pm

    ## ./extlib/Jcode/H2Z.pm

    ## ./extlib/Jcode/Constants.pm

    ## ./extlib/Jcode/Unicode/Constants.pm

    ## ./extlib/Jcode/Unicode/NoXS.pm

    ## ./extlib/Params/Validate.pm

    ## ./extlib/Params/ValidateXS.pm

    ## ./extlib/Params/Check.pm

    ## ./extlib/Params/ValidatePP.pm

    ## ./extlib/Net/HTTP.pm

    ## ./extlib/Net/HTTPS.pm

    ## ./extlib/Net/HTTP/Methods.pm

    ## ./extlib/Net/HTTP/NB.pm

    ## ./extlib/LWP/Simple.pm

    ## ./extlib/LWP/MemberMixin.pm

    ## ./extlib/LWP/Debug.pm

    ## ./extlib/LWP/RobotUA.pm

    ## ./extlib/LWP/UserAgent.pm

    ## ./extlib/LWP/MediaTypes.pm

    ## ./extlib/LWP/Protocol.pm

    ## ./extlib/LWP/ConnCache.pm

    ## ./extlib/LWP/Protocol/GHTTP.pm

    ## ./extlib/LWP/Protocol/http.pm

    ## ./extlib/LWP/Protocol/nogo.pm

    ## ./extlib/LWP/Protocol/file.pm

    ## ./extlib/LWP/Protocol/gopher.pm

    ## ./extlib/LWP/Protocol/http10.pm

    ## ./extlib/LWP/Protocol/https.pm

    ## ./extlib/LWP/Protocol/mailto.pm

    ## ./extlib/LWP/Protocol/ftp.pm

    ## ./extlib/LWP/Protocol/nntp.pm

    ## ./extlib/LWP/Protocol/https10.pm

    ## ./extlib/LWP/Protocol/data.pm

    ## ./extlib/LWP/Authen/Basic.pm

    ## ./extlib/LWP/Authen/Digest.pm

    ## ./extlib/HTML/Template.pm

    ## ./extlib/HTML/Form.pm

    ## ./extlib/UDDI/Lite.pm

    ## ./extlib/XMLRPC/Lite.pm

    ## ./extlib/XMLRPC/Test.pm

    ## ./extlib/XMLRPC/Transport/TCP.pm

    ## ./extlib/XMLRPC/Transport/HTTP.pm

    ## ./extlib/XMLRPC/Transport/POP3.pm

    ## ./extlib/SOAP/Lite.pm

    ## ./extlib/SOAP/Test.pm

    ## ./extlib/SOAP/Transport/IO.pm

    ## ./extlib/SOAP/Transport/TCP.pm

    ## ./extlib/SOAP/Transport/MAILTO.pm

    ## ./extlib/SOAP/Transport/FTP.pm

    ## ./extlib/SOAP/Transport/LOCAL.pm

    ## ./extlib/SOAP/Transport/MQ.pm

    ## ./extlib/SOAP/Transport/HTTP.pm

    ## ./extlib/SOAP/Transport/JABBER.pm

    ## ./extlib/SOAP/Transport/POP3.pm

    ## ./extlib/Math/BigInt.pm

    ## ./extlib/Math/BigInt/Scalar.pm

    ## ./extlib/Math/BigInt/Trace.pm

    ## ./extlib/Math/BigInt/Calc.pm

    ## ./extlib/I18N/LangTags.pm

    ## ./extlib/I18N/LangTags/List.pm

    ## ./extlib/Image/Size.pm

    ## ./extlib/CGI/Cookie.pm

    ## ./extlib/CGI/Apache.pm

    ## ./extlib/CGI/Fast.pm

    ## ./extlib/CGI/Pretty.pm

    ## ./extlib/CGI/Carp.pm

    ## ./extlib/CGI/Util.pm

    ## ./extlib/CGI/Switch.pm

    ## ./extlib/CGI/Push.pm

    ## ./t/Bar.pm

    ## ./t/Foo.pm

    ## ./t/lib/Text/WikiFormat.pm

    ## ./t/lib/LWP/UserAgent/Local.pm
    
    'You are currently performing a search. Please wait until your search is completed.' => 'Vous tes en train d\'effectuer une recherche. Merci d\'attendre que la recherche soit finie.',
    'We were unable to create your configuration file.' => 'Vous n\'avez pas pu crer votre fichier de configuration.',
    'If you would like to check the directory permissions and retry, click the \'Retry\' button.' => 'Si vous souhaitez vrifier les droits du rpertoire et essayer  nouveau, cliquez sur le bouton \'Ressayer\'',
    'The settings below have been written to the file <tt>[_1]</tt>. If any of these settings are incorrect, you may click the \'Back\' button below to reconfigure them.' => 'Les rglages ci-dessous ont t crits dans le fichier <tt>[_1]</tt>. Si certaines valeurs sont incorrectes, vous pouvez cliquer sur le bouton \'retour\' ci-dessous pour les modifier.', 
);


1;

## New words: 545
